package cn.beekee.zhongtong.JPush;

import android.content.Context;
import android.util.Log;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.MD5;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class JPushRegister {
    public static void register(Context context, String wayBill, NetTaskManagerNoDialog.INetNoDialogListener listener) {
        String deviceId = DeviceUtil.getUniqueId(context);
        try {
            String registerJsonString = new RegisterObject(deviceId + System.currentTimeMillis(), wayBill, deviceId).getJsonArray().toString();
            StringBuilder dataBuild = new StringBuilder();
            dataBuild.append(StaticParam.ODD_DATA + registerJsonString);
            dataBuild.append("&data_digest=" + getDigest(registerJsonString));
            dataBuild.append("&msg_type=SUB");
            dataBuild.append("&company_id=ANDROID");
            Log.e("", "注册订单的数据：" + dataBuild.toString());
            NetTaskManagerNoDialog.getInstance().startForceTaskPost(context, StaticParam.PUSH_REGISTER_URL, dataBuild.toString(), listener);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public static void cancel(Context context, String id, String wayBill, NetTaskManager.INetListener listener) {
        try {
            String cancelJsonString = new CancelObject(id, wayBill).getJsonArray().toString();
            StringBuilder dataBuild = new StringBuilder();
            dataBuild.append(StaticParam.ODD_DATA + cancelJsonString);
            dataBuild.append("&data_digest=" + getDigest(cancelJsonString));
            dataBuild.append("&msg_type=CANCEL");
            dataBuild.append("&company_id=ANDROID");
            Log.e("", "取消注册订单的数据：" + dataBuild.toString());
            NetTaskManager.getInstance().startForceTaskPost(context, StaticParam.PUSH_REGISTER_URL, dataBuild.toString(), listener);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    private static String getDigest(String jsonString) {
        return MD5.getMD5Hex(jsonString + JsonOrder.KEY);
    }

    static class RegisterObject {
        String iBillCode;
        String iCreateBy;
        String iId;
        String iPushCategory;
        String iPushTarget;
        int iPushTime;
        int iSubScriptionCategory;
        String iSubScriptionSource;

        private RegisterObject(String id, String billCode, String pushTarget) {
            this.iPushCategory = "ANDROID_APP";
            this.iPushTime = 1;
            this.iSubScriptionCategory = 31;
            this.iSubScriptionSource = "ANDROID_APP";
            this.iCreateBy = "ANDROID_APP";
            this.iId = id;
            this.iBillCode = billCode;
            this.iPushTarget = pushTarget;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private JSONArray getJsonArray() throws JSONException {
            JSONObject registerJson = new JSONObject();
            registerJson.put(JsonOperate.NEWS_ID, this.iId);
            registerJson.put(JsonOrder.UpdateJson.FIELD_BILL_CODE, this.iBillCode);
            registerJson.put("pushTarget", this.iPushTarget);
            registerJson.put("pushCategory", this.iPushCategory);
            registerJson.put("pushTime", this.iPushTime);
            registerJson.put("subscriptionCategory", this.iSubScriptionCategory);
            registerJson.put("subscriptionSource", this.iSubScriptionSource);
            registerJson.put("createBy", this.iCreateBy);
            JSONArray registerArrayJson = new JSONArray();
            registerArrayJson.put(registerJson);
            return registerArrayJson;
        }
    }

    static class CancelObject {
        String iBillCode;
        String iId;

        public CancelObject(String id, String billCode) {
            this.iId = id;
            this.iBillCode = billCode;
        }

        public JSONObject getJson() throws JSONException {
            JSONObject cancelJson = new JSONObject();
            cancelJson.put(JsonOperate.NEWS_ID, this.iId);
            cancelJson.put(JsonOrder.UpdateJson.FIELD_BILL_CODE, this.iBillCode);
            return cancelJson;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private JSONArray getJsonArray() throws JSONException {
            JSONObject cancelJson = new JSONObject();
            cancelJson.put(JsonOperate.NEWS_ID, this.iId);
            cancelJson.put(JsonOrder.UpdateJson.FIELD_BILL_CODE, this.iBillCode);
            JSONArray cancelArrayJson = new JSONArray();
            cancelArrayJson.put(cancelJson);
            return cancelArrayJson;
        }
    }
}
