package cn.beekee.zhongtong;

import android.app.Application;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import cn.beekee.zhongtong.JPush.JUtil;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.ParamsFlag;
import cn.jpush.android.api.JPushInterface;
import com.baidu.mapapi.SDKInitializer;

public class MyApplication extends Application {
    private SDKReceiver mReceiver;

    public class SDKReceiver extends BroadcastReceiver {
        public SDKReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            String s = intent.getAction();
            if (s.equals(SDKInitializer.SDK_BROADTCAST_ACTION_STRING_PERMISSION_CHECK_ERROR)) {
                ParamsFlag.MAP_ENABLE = false;
                ParamsFlag.MAP_ERROR = "抱歉，导航不可用";
            } else if (s.equals(SDKInitializer.SDK_BROADCAST_ACTION_STRING_NETWORK_ERROR)) {
                ParamsFlag.MAP_ENABLE = false;
                ParamsFlag.MAP_ERROR = "联网才能使用导航";
            }
        }
    }

    public void onCreate() {
        super.onCreate();
        SDKInitializer.initialize(getApplicationContext());
        IntentFilter iFilter = new IntentFilter();
        iFilter.addAction(SDKInitializer.SDK_BROADTCAST_ACTION_STRING_PERMISSION_CHECK_ERROR);
        iFilter.addAction(SDKInitializer.SDK_BROADCAST_ACTION_STRING_NETWORK_ERROR);
        this.mReceiver = new SDKReceiver();
        registerReceiver(this.mReceiver, iFilter);
        JPushInterface.init(this);
        JUtil.setJAlias(this);
        System.out.println("=====uniqueId:" + DeviceUtil.getUniqueId(this));
    }
}
