package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import java.io.Serializable;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class SiteInfoBean extends ResultBean implements Serializable {
    private static final long serialVersionUID = 8260065435858294000L;
    private String siteAddress;
    private String siteCity;
    private String siteDispatch;
    private String siteDispatchNot;
    private String siteDistrict;
    private String siteEnable;
    private String siteFax;
    private String siteId;
    private String siteLatitude;
    private String siteLongitude;
    private String siteManager;
    private String siteName;
    private String siteParent;
    private String sitePhone;
    private String siteProvince;

    public SiteInfoBean(String jsonString) {
        try {
            setResult(true);
            setMessage("");
            JSONArray array = new JSONArray(jsonString);
            if (array.length() == 1) {
                JSONObject object = array.getJSONObject(0);
                this.siteId = object.getString(JsonOperate.SITE_ID);
                this.siteManager = object.getString(JsonOperate.SITE_MANAGER);
                this.siteName = object.getString(JsonOperate.SITE_NAME);
                this.sitePhone = object.getString(JsonOperate.SITE_PHONE);
                this.siteEnable = object.getString(JsonOperate.SITE_ENABLED);
                this.siteProvince = object.getString(JsonOperate.SITE_PROVINCE);
                this.siteCity = object.getString(JsonOperate.SITE_CITY);
                this.siteDistrict = object.getString(JsonOperate.SITE_DISTRICT);
                this.siteParent = object.getString(JsonOperate.SITE_PARENT);
                this.siteFax = object.getString(JsonOperate.SITE_FAX);
                this.siteDispatch = object.getString(JsonOperate.SITE_DISPATCH);
                this.siteDispatchNot = object.getString(JsonOperate.SITE_DISPATCH_NOT);
                this.siteAddress = object.getString("ADDRESS");
                this.siteLongitude = object.getString("LONGITUDE");
                this.siteLatitude = object.getString("LATITUDE");
            }
            setParseResult(true);
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public SiteInfoBean(String siteId2, String siteManager2, String siteName2, String sitePhone2, String siteEnable2, String siteProvince2, String siteCity2, String siteDistrict2, String siteParent2, String siteFax2, String siteDispatch2, String siteDispatchNot2, String siteAddress2, String longtitude, String latitude) {
        this.siteId = siteId2;
        this.siteManager = siteManager2;
        this.siteName = siteName2;
        this.sitePhone = sitePhone2;
        this.siteEnable = siteEnable2;
        this.siteProvince = siteProvince2;
        this.siteCity = siteCity2;
        this.siteDistrict = siteDistrict2;
        this.siteParent = siteParent2;
        this.siteFax = siteFax2;
        this.siteDispatch = siteDispatch2;
        this.siteDispatchNot = siteDispatchNot2;
        this.siteAddress = siteAddress2;
        this.siteLongitude = longtitude;
        this.siteLatitude = latitude;
    }

    public String getSiteId() {
        return this.siteId;
    }

    public String getSiteManager() {
        return this.siteManager;
    }

    public String getSiteName() {
        return this.siteName;
    }

    public String getSitePhone() {
        return this.sitePhone;
    }

    public String getSiteEnable() {
        return this.siteEnable;
    }

    public String getSiteProvince() {
        return this.siteProvince;
    }

    public String getSiteCity() {
        return this.siteCity;
    }

    public String getSiteDistrict() {
        return this.siteDistrict;
    }

    public String getSiteParent() {
        return this.siteParent;
    }

    public String getSiteFax() {
        return this.siteFax;
    }

    public String getSiteDispatch() {
        return this.siteDispatch;
    }

    public String getSiteDispatchNot() {
        return this.siteDispatchNot;
    }

    public String getSiteAddress() {
        return this.siteAddress;
    }

    public String getSiteLongitude() {
        return this.siteLongitude;
    }

    public String getSiteLatitude() {
        return this.siteLatitude;
    }
}
