package cn.beekee.zhongtong.bean;

import android.util.Log;
import java.io.IOException;
import java.io.InputStream;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class UpdateCheckBean {
    private String apkUrl;
    private String updateLog;
    private int versionCode;
    private String versionName;

    private UpdateCheckBean() {
    }

    public int getVersionCode() {
        return this.versionCode;
    }

    public void setVersionCode(int versionCode2) {
        this.versionCode = versionCode2;
    }

    public String getVersionName() {
        return this.versionName;
    }

    public void setVersionName(String versionName2) {
        this.versionName = versionName2;
    }

    public String getUpdateLog() {
        return this.updateLog;
    }

    public void setUpdateLog(String updateLog2) {
        this.updateLog = updateLog2;
    }

    public String getApkUrl() {
        return this.apkUrl;
    }

    public void setApkUrl(String apkUrl2) {
        this.apkUrl = apkUrl2;
    }

    public String toString() {
        return "versionCode:" + getVersionCode() + " versionName:" + getVersionName() + " updateLog:" + getUpdateLog() + " apkUrl:" + getApkUrl();
    }

    public static UpdateCheckBean parseUpdateXml(InputStream inputStreamUpdate) {
        if (inputStreamUpdate == null) {
            return null;
        }
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        try {
            InputSource inputSource = new InputSource(inputStreamUpdate);
            inputSource.setEncoding("gbk");
            NodeList rootNodeList = factory.newDocumentBuilder().parse(inputSource).getElementsByTagName("root");
            if (rootNodeList == null) {
                return null;
            }
            Node rootNode = rootNodeList.item(0);
            if (rootNode == null) {
                return null;
            }
            NodeList updateNodeList = rootNode.getChildNodes();
            if (updateNodeList == null) {
                return null;
            }
            UpdateCheckBean updateBean = new UpdateCheckBean();
            for (int i = 0; i < updateNodeList.getLength(); i++) {
                Node currentNode = updateNodeList.item(i);
                Log.e("", "name:" + currentNode.getNodeName());
                Log.e("", "value:" + currentNode.getTextContent());
                String nodeName = currentNode.getNodeName();
                if ("versionCode".equals(nodeName)) {
                    updateBean.setVersionCode(Integer.parseInt(currentNode.getTextContent()));
                } else if ("versionName".equals(nodeName)) {
                    updateBean.setVersionName(currentNode.getTextContent());
                } else if ("updateLog".equals(nodeName)) {
                    updateBean.setUpdateLog(currentNode.getTextContent());
                } else if ("apkUrl".equals(nodeName)) {
                    updateBean.setApkUrl(currentNode.getTextContent());
                }
            }
            return updateBean;
        } catch (IOException | ParserConfigurationException | SAXException e) {
            e.printStackTrace();
            return null;
        }
    }
}
