package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import java.io.Serializable;
import org.json.JSONException;
import org.json.JSONObject;

public class UserBean extends ResultBean implements Serializable {
    private static final long serialVersionUID = 1;
    private String email;
    private boolean emailVerify;
    private String gender;
    private String mobile;
    private boolean mobileVarify;
    private String nickName;
    private String phone;
    private String qq;
    private String userId;
    private String userName;

    public UserBean(String userJsonString) {
        if (userJsonString != null) {
            try {
                JSONObject object = new JSONObject(userJsonString);
                setResult(object.getBoolean("Result"));
                setMessage(object.getString("Message"));
                if (isResult()) {
                    this.userId = object.getString("UserId");
                    this.userName = object.getString("UserName");
                    this.gender = object.getString(JsonOperate.USER_INFO_GENDER);
                    this.mobile = object.getString("Mobile");
                    this.email = object.getString(JsonOperate.USER_INFO_EMAIL);
                    this.phone = object.getString(JsonOperate.USER_INFO_TEL);
                    this.qq = object.getString(JsonOperate.USER_INFO_QQ);
                    this.emailVerify = object.getBoolean(JsonOperate.USER_INFO_EMAIL_VERIFY);
                    this.mobileVarify = object.getBoolean(JsonOperate.USER_INFO_MOBILE_VERIFY);
                    this.nickName = object.getString(JsonOperate.USER_INFO_NICKNAME);
                }
                setParseResult(true);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    public String getUserId() {
        return this.userId;
    }

    public String getUserName() {
        return this.userName;
    }

    public String getGender() {
        return this.gender;
    }

    public String getMobile() {
        return this.mobile;
    }

    public String getEmail() {
        return this.email;
    }

    public String getPhone() {
        return this.phone;
    }

    public String getQq() {
        return this.qq;
    }

    public boolean isEmailVerify() {
        return this.emailVerify;
    }

    public boolean isMobileVarify() {
        return this.mobileVarify;
    }

    public String getNickName() {
        return this.nickName;
    }
}
