package cn.beekee.zhongtong.bean;

import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class WayBillTraceBean extends ResultBean {
    private List<TraceBean> mList;

    public WayBillTraceBean(String traceString) {
        if (traceString != null) {
            try {
                JSONArray traceArray = new JSONObject(traceString).getJSONArray("traces");
                setResult(true);
                setMessage("");
                if (isResult()) {
                    this.mList = new ArrayList();
                    for (int i = traceArray.length() - 1; i > -1; i--) {
                        JSONObject traceJson = traceArray.getJSONObject(i);
                        this.mList.add(new TraceBean(traceJson.getString("acceptAddress"), traceJson.getString("acceptTime"), traceJson.getString("remark")));
                    }
                }
                setParseResult(true);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    public List<TraceBean> getTraceList() {
        return this.mList;
    }

    public static class TraceBean {
        private String mAcceptAddress;
        private String mAcceptTime;
        private String mRemark;

        public TraceBean(String mAcceptAddress2, String mAcceptTime2, String mRemark2) {
            this.mAcceptAddress = mAcceptAddress2;
            this.mAcceptTime = mAcceptTime2;
            this.mRemark = mRemark2;
        }

        public String getmAcceptAddress() {
            return this.mAcceptAddress;
        }

        public String getmAcceptTime() {
            return this.mAcceptTime;
        }

        public String getmRemark() {
            return this.mRemark;
        }
    }
}
