package cn.beekee.zhongtong.fragment;

import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.user.ActivityForget;
import cn.beekee.zhongtong.fragment.user.ActivityRegister;
import cn.beekee.zhongtong.util.MySharePreference;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.NetNoAccountGetVerify;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.TimerThreadHandler;

public class FragmentLogin extends Fragment implements View.OnClickListener {
    Fragment[] mFragments = {new FragmentAccount(), new FragmentNoAccount()};

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_login, (ViewGroup) null);
        view.findViewById(R.id.back).setVisibility(8);
        ((TextView) view.findViewById(R.id.title)).setText("帐号登录");
        getFragmentManager().beginTransaction().add(R.id.login_frame, this.mFragments[0]).add(R.id.login_frame, this.mFragments[1]).commit();
        ((RadioGroup) view.findViewById(R.id.login_select)).setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            /* class cn.beekee.zhongtong.fragment.FragmentLogin.AnonymousClass1 */

            public void onCheckedChanged(RadioGroup group, int checkedId) {
                if (checkedId == R.id.account) {
                    FragmentLogin.this.getFragmentManager().beginTransaction().hide(FragmentLogin.this.mFragments[1]).show(FragmentLogin.this.mFragments[0]).commit();
                } else if (checkedId == R.id.no_account) {
                    FragmentLogin.this.getFragmentManager().beginTransaction().hide(FragmentLogin.this.mFragments[0]).show(FragmentLogin.this.mFragments[1]).commit();
                }
            }
        });
        ((RadioButton) view.findViewById(R.id.account)).setChecked(true);
        view.findViewById(R.id.weibo).setOnClickListener(this);
        view.findViewById(R.id.qq).setOnClickListener(this);
        view.findViewById(R.id.taobao).setOnClickListener(this);
        return view;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.qq:
                Toast.makeText(getActivity(), StaticParam.NOT_OK, 0).show();
                return;
            case R.id.weibo:
                Toast.makeText(getActivity(), StaticParam.NOT_OK, 0).show();
                return;
            case R.id.taobao:
                Toast.makeText(getActivity(), StaticParam.NOT_OK, 0).show();
                return;
            default:
                return;
        }
    }

    public static class FragmentAccount extends Fragment {
        CheckBox mCheckBox;
        EditText mPswEditText;
        EditText mUserEditText;
        private View.OnClickListener onClickListener = new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.FragmentLogin.FragmentAccount.AnonymousClass1 */

            public void onClick(View v) {
                switch (v.getId()) {
                    case R.id.submit:
                        FragmentAccount.this.login(FragmentAccount.this.mUserEditText.getText().toString(), FragmentAccount.this.mPswEditText.getText().toString());
                        return;
                    case R.id.register:
                        FragmentAccount.this.startActivity(new Intent(FragmentAccount.this.getActivity(), ActivityRegister.class));
                        return;
                    case R.id.forget:
                        FragmentAccount.this.startActivity(new Intent(FragmentAccount.this.getActivity(), ActivityForget.class));
                        return;
                    default:
                        return;
                }
            }
        };

        public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View view = inflater.inflate(R.layout.fragment_account, (ViewGroup) null);
            this.mUserEditText = (EditText) view.findViewById(R.id.user_input);
            this.mPswEditText = (EditText) view.findViewById(R.id.psw_input);
            this.mCheckBox = (CheckBox) view.findViewById(R.id.remember);
            view.findViewById(R.id.submit).setOnClickListener(this.onClickListener);
            view.findViewById(R.id.register).setOnClickListener(this.onClickListener);
            view.findViewById(R.id.forget).setOnClickListener(this.onClickListener);
            this.mUserEditText.setText(MySharePreference.getAccount(getActivity()));
            this.mPswEditText.setText(MySharePreference.getPassword(getActivity()));
            this.mPswEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
                /* class cn.beekee.zhongtong.fragment.FragmentLogin.FragmentAccount.AnonymousClass2 */

                public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                    if (actionId != 6) {
                        return false;
                    }
                    FragmentAccount.this.login(FragmentAccount.this.mUserEditText.getText().toString(), FragmentAccount.this.mPswEditText.getText().toString());
                    return false;
                }
            });
            return view;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void login(String name, String psw) {
            if (TextUtils.isEmpty(name) || TextUtils.isEmpty(psw)) {
                SweetDialogCreator.showWarning(getActivity(), "请输入全部信息");
                return;
            }
            MySharePreference.setAccount(getActivity(), name);
            MySharePreference.setPassword(getActivity(), psw);
            MainActivity.gLogin = NetTaskManager.getInstance().startForceTaskGet(getActivity(), StaticParam.LOGIN_NAME + name + "&Password=" + psw + UnixTime.getUnixNet(), (NetTaskManager.INetListener) getActivity());
        }
    }

    public static class FragmentNoAccount extends Fragment implements View.OnClickListener, NetNoAccountGetVerify.INoAccountLoginVerify {
        private Handler HANDLER = new Handler(new Handler.Callback() {
            /* class cn.beekee.zhongtong.fragment.FragmentLogin.FragmentNoAccount.AnonymousClass1 */

            public boolean handleMessage(Message msg) {
                switch (msg.what) {
                    case 0:
                        FragmentNoAccount.this.updateVerify(msg.arg1, FragmentNoAccount.this.mVerifyText);
                        return false;
                    case 1:
                        FragmentNoAccount.this.usefulVerify(FragmentNoAccount.this.mVerifyText);
                        return false;
                    case 2:
                        FragmentNoAccount.this.unusefulVerify(FragmentNoAccount.this.mVerifyText);
                        return false;
                    default:
                        return false;
                }
            }
        });
        EditText mPhoneEditText;
        EditText mVerifyEditText;
        TextView mVerifyText;

        public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View view = inflater.inflate(R.layout.fragment_no_account, (ViewGroup) null);
            this.mPhoneEditText = (EditText) view.findViewById(R.id.phone_input);
            this.mVerifyEditText = (EditText) view.findViewById(R.id.verify_input);
            this.mVerifyEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
                /* class cn.beekee.zhongtong.fragment.FragmentLogin.FragmentNoAccount.AnonymousClass2 */

                public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                    if (actionId != 6) {
                        return false;
                    }
                    FragmentNoAccount.this.login(FragmentNoAccount.this.mPhoneEditText.getText().toString().trim(), FragmentNoAccount.this.mVerifyEditText.getText().toString().trim());
                    return false;
                }
            });
            this.mVerifyText = (TextView) view.findViewById(R.id.verify);
            this.mVerifyText.setOnClickListener(this);
            view.findViewById(R.id.submit).setOnClickListener(this);
            view.findViewById(R.id.register).setOnClickListener(this);
            return view;
        }

        public void onClick(View v) {
            switch (v.getId()) {
                case R.id.submit:
                    login(this.mPhoneEditText.getText().toString().trim(), this.mVerifyEditText.getText().toString().trim());
                    return;
                case R.id.register:
                    register();
                    return;
                case R.id.verify:
                    getVerify();
                    return;
                default:
                    return;
            }
        }

        private void getVerify() {
            String phone = this.mPhoneEditText.getText().toString();
            if (TextUtils.isEmpty(phone)) {
                SweetDialogCreator.showWarning(getActivity(), "请输入手机号码");
            } else {
                new NetNoAccountGetVerify(getActivity(), phone, this).execute(new String[0]);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void login(String phoneNum, String verifyCode) {
            if (TextUtils.isEmpty(phoneNum) || TextUtils.isEmpty(verifyCode)) {
                SweetDialogCreator.showWarning(getActivity(), "请输入完整内容");
                return;
            }
            MainActivity.gLogin = NetTaskManager.getInstance().startForceTaskGet(getActivity(), StaticParam.LOGIN_MOBILE + phoneNum + StaticParam.LOGIN_FORM + StaticParam.COMPANY_ID + StaticParam.LOGIN_THIRD_PARTY + JsonOperate.ORDER_PHONE + "&ValidateCode=" + verifyCode + UnixTime.getUnixNet(), (NetTaskManager.INetListener) getActivity());
        }

        private void register() {
            startActivity(new Intent(getActivity(), ActivityRegister.class));
        }

        @Override // cn.beekee.zhongtong.util.net.NetNoAccountGetVerify.INoAccountLoginVerify
        public void loginVerify(String result) {
            if (getActivity() == null) {
                return;
            }
            if ("true".equals(result)) {
                SweetDialogCreator.showSuccess(getActivity(), "获取成功,注意查收短信");
                TimerThreadHandler.startTimer(this.HANDLER);
                return;
            }
            SweetDialogCreator.showError(getActivity(), result);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void unusefulVerify(TextView textView) {
            textView.setClickable(false);
            textView.setBackgroundResource(R.color.text_gray);
            Log.e("", "----设置为灰色");
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void updateVerify(int time, TextView textView) {
            if (time < 10) {
                textView.setText("请小憩0" + time + "秒");
            } else {
                textView.setText("请小憩" + time + "秒");
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void usefulVerify(TextView textView) {
            textView.setText("获取验证码");
            textView.setClickable(true);
            textView.setBackgroundResource(R.drawable.selector_verify);
        }
    }
}
