package cn.beekee.zhongtong.fragment;

import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.EditText;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.main.ActivityComplainPhoneSearch;
import cn.beekee.zhongtong.fragment.main.ActivityDangerSearch;
import cn.beekee.zhongtong.fragment.main.ActivityPriceSearch;
import cn.beekee.zhongtong.fragment.main.ActivityRangeSearch;
import cn.beekee.zhongtong.fragment.main.ActivitySend;
import cn.beekee.zhongtong.fragment.main.ActivityServerConnect;
import cn.beekee.zhongtong.fragment.main.ActivityWayBillInfo;
import cn.beekee.zhongtong.fragment.main.ActivityWayBillSearch;
import cn.beekee.zhongtong.fragment.main.ActivityZTOApproach;
import cn.beekee.zhongtong.fragment.main.ActivityZTOProduct;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.ViewScale;
import cn.beekee.zhongtong.util.WaybillTextWatcher;
import cn.beekee.zhongtong.zxing.CaptureActivity;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FragmentMain extends Fragment implements View.OnClickListener, AdapterView.OnItemClickListener {
    private static final String IMG_KEY = "img_key";
    private static final int SCAN_FLAG = 1;
    private static final String TEXT_KEY = "text_key";
    List<Map<String, Object>> mListData = new ArrayList();
    EditText mWayBillInpuText;

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_main, (ViewGroup) null);
        initData();
        GridView gridView = (GridView) view.findViewById(R.id.grid);
        gridView.setAdapter((ListAdapter) new SimpleAdapter(getActivity(), this.mListData, R.layout.main_grid, new String[]{IMG_KEY, TEXT_KEY}, new int[]{R.id.img, R.id.text}));
        gridView.setOnItemClickListener(this);
        ImageView ztoAboutView = (ImageView) view.findViewById(R.id.top);
        ViewScale.setBitmapByScreenWidth(getActivity(), R.drawable.main_top, ztoAboutView);
        ViewScale.scaleViewByResource(getActivity(), R.drawable.main_top, ztoAboutView);
        ztoAboutView.setOnClickListener(this);
        view.findViewById(R.id.sreach_range).setOnClickListener(this);
        view.findViewById(R.id.sreach_price).setOnClickListener(this);
        view.findViewById(R.id.sreach_danger).setOnClickListener(this);
        view.findViewById(R.id.sreach_phone).setOnClickListener(this);
        View scanView = view.findViewById(R.id.scan);
        View clearView = view.findViewById(R.id.clear_text);
        scanView.setOnClickListener(this);
        clearView.setOnClickListener(this);
        view.findViewById(R.id.waybill_search).setOnClickListener(this);
        this.mWayBillInpuText = (EditText) view.findViewById(R.id.waybill_input);
        this.mWayBillInpuText.addTextChangedListener(new WaybillTextWatcher(scanView, clearView));
        this.mWayBillInpuText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.FragmentMain.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 5) {
                    return false;
                }
                FragmentMain.this.wayBillInfoSearch();
                return false;
            }
        });
        return view;
    }

    private void initData() {
        Map<String, Object> map1 = new HashMap<>();
        map1.put(IMG_KEY, Integer.valueOf((int) R.drawable.order_search));
        map1.put(TEXT_KEY, "我要查件");
        this.mListData.add(map1);
        Map<String, Object> map2 = new HashMap<>();
        map2.put(IMG_KEY, Integer.valueOf((int) R.drawable.connect_server));
        map2.put(TEXT_KEY, "联系客服");
        this.mListData.add(map2);
        Map<String, Object> map3 = new HashMap<>();
        map3.put(IMG_KEY, Integer.valueOf((int) R.drawable.order_send));
        map3.put(TEXT_KEY, "我要寄件");
        this.mListData.add(map3);
        Map<String, Object> map4 = new HashMap<>();
        map4.put(IMG_KEY, Integer.valueOf((int) R.drawable.product_serve));
        map4.put(TEXT_KEY, "产品服务");
        this.mListData.add(map4);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.top:
                startActivity(new Intent(getActivity(), ActivityZTOApproach.class));
                return;
            case R.id.sreach_range:
                startActivity(new Intent(getActivity(), ActivityRangeSearch.class));
                return;
            case R.id.sreach_price:
                startActivity(new Intent(getActivity(), ActivityPriceSearch.class));
                return;
            case R.id.sreach_danger:
                startActivity(new Intent(getActivity(), ActivityDangerSearch.class));
                return;
            case R.id.sreach_phone:
                startActivity(new Intent(getActivity(), ActivityComplainPhoneSearch.class));
                return;
            case R.id.waybill_search:
                wayBillInfoSearch();
                return;
            case R.id.scan:
                scan();
                return;
            case R.id.clear_text:
                this.mWayBillInpuText.setText("");
                return;
            default:
                return;
        }
    }

    private void scan() {
        startActivityForResult(new Intent(getActivity(), CaptureActivity.class), 1);
    }

    private void wayBillSearch() {
        startActivity(new Intent(getActivity(), ActivityWayBillSearch.class));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void wayBillInfoSearch() {
        if (TextUtils.isEmpty(this.mWayBillInpuText.getText().toString())) {
            SweetDialogCreator.showWarning(getActivity(), "请输入运单号");
            return;
        }
        Intent intent = new Intent(getActivity(), ActivityWayBillInfo.class);
        intent.putExtra(ActivityWayBillInfo.DATA_KEY, this.mWayBillInpuText.getText().toString().trim());
        startActivity(intent);
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        switch (position) {
            case 0:
                wayBillSearch();
                return;
            case 1:
                startActivity(new Intent(getActivity(), ActivityServerConnect.class));
                return;
            case 2:
                if (((MainActivity) getActivity()).checkSend()) {
                    startActivity(new Intent(getActivity(), ActivitySend.class));
                    return;
                }
                return;
            case 3:
                startActivity(new Intent(getActivity(), ActivityZTOProduct.class));
                return;
            default:
                return;
        }
    }

    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String zbraString;
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == -1 && requestCode == 1 && (zbraString = data.getStringExtra(CaptureActivity.ZBAR_KEY)) != null) {
            Log.e("", "zebra:" + zbraString);
            this.mWayBillInpuText.setText(zbraString);
            this.mWayBillInpuText.setSelection(zbraString.length());
        }
    }
}
