package cn.beekee.zhongtong.fragment;

import android.app.Fragment;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import cn.beekee.zhongtong.JPush.JPushRegister;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.RegisterMsgBean;
import cn.beekee.zhongtong.bean.RegisterOrCancelBean;
import cn.beekee.zhongtong.database.DatabaseRegisterHelper;
import cn.beekee.zhongtong.fragment.main.ActivityWayBillInfo;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.view.adapter.SlipListViewWayBillMsgAdapter;
import com.baoyz.swipemenulistview.SwipeMenu;
import com.baoyz.swipemenulistview.SwipeMenuCreator;
import com.baoyz.swipemenulistview.SwipeMenuItem;
import com.baoyz.swipemenulistview.SwipeMenuListView;
import java.util.List;

public class FragmentMsg extends Fragment {
    Fragment[] mMsgFragments = {new MsgTraceFragment(), new MsgOtherFragment()};

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.e("", "----fragment:onCreate:");
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_msg, (ViewGroup) null);
        view.findViewById(R.id.back).setVisibility(8);
        ((TextView) view.findViewById(R.id.title)).setText("消息中心");
        ((RadioGroup) view.findViewById(R.id.msg_select)).setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            /* class cn.beekee.zhongtong.fragment.FragmentMsg.AnonymousClass1 */

            public void onCheckedChanged(RadioGroup group, int checkedId) {
                if (checkedId == R.id.msg_express) {
                    FragmentMsg.this.express();
                } else if (checkedId == R.id.msg_other) {
                    FragmentMsg.this.other();
                }
            }
        });
        ((RadioButton) view.findViewById(R.id.msg_express)).setChecked(true);
        return view;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void express() {
        getFragmentManager().beginTransaction().replace(R.id.msg_frame, this.mMsgFragments[0]).commit();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void other() {
        getFragmentManager().beginTransaction().replace(R.id.msg_frame, this.mMsgFragments[1]).commit();
    }

    public static class MsgTraceFragment extends Fragment implements DialogHint.IDialogListener, NetTaskManager.INetListener, AdapterView.OnItemClickListener {
        List<RegisterMsgBean> iListData;
        View iNoDataView;
        int iPosition;
        SwipeMenuListView iTraceMsgListView;
        SlipListViewWayBillMsgAdapter iWayBillAdapter;

        public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View rootView = inflater.inflate(R.layout.msg_frame, (ViewGroup) null);
            this.iTraceMsgListView = (SwipeMenuListView) rootView.findViewById(R.id.list);
            this.iTraceMsgListView.setOnItemClickListener(this);
            initListView();
            this.iNoDataView = rootView.findViewById(R.id.no);
            return rootView;
        }

        private void initListView() {
            this.iTraceMsgListView.setMenuCreator(new SwipeMenuCreator() {
                /* class cn.beekee.zhongtong.fragment.FragmentMsg.MsgTraceFragment.AnonymousClass1 */

                @Override // com.baoyz.swipemenulistview.SwipeMenuCreator
                public void create(SwipeMenu menu) {
                    SwipeMenuItem deleteItem = new SwipeMenuItem(MsgTraceFragment.this.getActivity());
                    deleteItem.setBackground(new ColorDrawable(Color.rgb(249, 63, 37)));
                    deleteItem.setWidth(DeviceUtil.dp2px(MsgTraceFragment.this.getActivity(), 90));
                    deleteItem.setIcon(R.drawable.trash);
                    menu.addMenuItem(deleteItem);
                }
            });
            this.iTraceMsgListView.setOnMenuItemClickListener(new SwipeMenuListView.OnMenuItemClickListener() {
                /* class cn.beekee.zhongtong.fragment.FragmentMsg.MsgTraceFragment.AnonymousClass2 */

                @Override // com.baoyz.swipemenulistview.SwipeMenuListView.OnMenuItemClickListener
                public boolean onMenuItemClick(int position, SwipeMenu menu, int index) {
                    if (MsgTraceFragment.this.iListData != null) {
                        switch (index) {
                            case 0:
                                MsgTraceFragment.this.performDelete(position);
                                break;
                        }
                    }
                    return false;
                }
            });
        }

        public void onStart() {
            super.onStart();
            this.iListData = DatabaseRegisterHelper.getInstance(getActivity()).query();
            this.iWayBillAdapter = new SlipListViewWayBillMsgAdapter(getActivity(), this.iListData);
            this.iTraceMsgListView.setAdapter((ListAdapter) this.iWayBillAdapter);
            updateStatus();
        }

        private void updateStatus() {
            Log.e("", "=========快件消息Size:" + this.iListData.size());
            if (this.iListData == null || this.iListData.size() <= 0) {
                this.iTraceMsgListView.setVisibility(4);
                this.iNoDataView.setVisibility(0);
                return;
            }
            this.iTraceMsgListView.setVisibility(0);
            this.iNoDataView.setVisibility(4);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void performDelete(int position) {
            this.iPosition = position;
            DialogHint.showDialog(getActivity(), "您要取消此单号的订阅吗?", this);
        }

        @Override // cn.beekee.zhongtong.util.DialogHint.IDialogListener
        public void clickOK(boolean ok) {
            if (ok && this.iListData != null && this.iPosition < this.iListData.size()) {
                RegisterMsgBean msgBean = this.iListData.get(this.iPosition);
                JPushRegister.cancel(getActivity(), msgBean.getId(), msgBean.getWayBillCode(), this);
            }
        }

        @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener
        public boolean netResult(int flag, Object result) {
            if (getActivity() != null) {
                RegisterOrCancelBean registerOrCancelBean = new RegisterOrCancelBean((String) result);
                if (!registerOrCancelBean.ismParseSuccess() || !registerOrCancelBean.ismRequestSuccess()) {
                    SweetDialogCreator.showError(getActivity(), "取消订阅失败");
                } else {
                    DatabaseRegisterHelper.getInstance(getActivity()).delete(this.iListData.get(this.iPosition).getWayBillCode());
                    this.iListData.remove(this.iPosition);
                    this.iWayBillAdapter.notifyDataSetChanged();
                    SweetDialogCreator.showSuccess(getActivity(), "取消成功");
                    updateStatus();
                }
            }
            return false;
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
            if (position < this.iListData.size()) {
                String billCode = this.iListData.get(position).getWayBillCode();
                Intent intent = new Intent(getActivity(), ActivityWayBillInfo.class);
                intent.putExtra(ActivityWayBillInfo.DATA_KEY, billCode);
                startActivity(intent);
            }
        }
    }

    public static class MsgOtherFragment extends Fragment {
        View iNoDataView;
        ListView iOtherMsgListView;

        public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View rootView = inflater.inflate(R.layout.msg_frame, (ViewGroup) null);
            this.iOtherMsgListView = (ListView) rootView.findViewById(R.id.list);
            this.iNoDataView = rootView.findViewById(R.id.no);
            return rootView;
        }

        public void onStart() {
            super.onStart();
            this.iOtherMsgListView.setVisibility(4);
            this.iNoDataView.setVisibility(0);
        }
    }
}
