package cn.beekee.zhongtong.fragment;

import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.main.ActivitySend;
import cn.beekee.zhongtong.fragment.user.ActivityMyAccount;
import cn.beekee.zhongtong.fragment.user.ActivityMyAddress;
import cn.beekee.zhongtong.fragment.user.ActivityMyOrder;
import cn.beekee.zhongtong.fragment.user.ActivityMySite;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FragmentMy extends Fragment implements AdapterView.OnItemClickListener {
    private static final String FLAG_KEY = "flag_key";
    private static final String TEXT_KEY = "text_key";
    private List<Map<String, Object>> mListData = new ArrayList();

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_my, (ViewGroup) null);
        view.findViewById(R.id.back).setVisibility(8);
        ((TextView) view.findViewById(R.id.title)).setText("我的中通");
        view.findViewById(R.id.my_account).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.FragmentMy.AnonymousClass1 */

            public void onClick(View v) {
                FragmentMy.this.startActivityForResult(new Intent(FragmentMy.this.getActivity(), ActivityMyAccount.class), 0);
            }
        });
        FragmentSetting.scaleTopImage(getActivity(), view.findViewById(R.id.my_account));
        TextView userNameTextView = (TextView) view.findViewById(R.id.user_name);
        if (MainActivity.gLoginBean == null) {
            ((MainActivity) getActivity()).loginQuit();
        } else {
            userNameTextView.setText(MainActivity.gLoginBean.getUserName());
            initData();
            ListView listView = (ListView) view.findViewById(R.id.list);
            listView.setAdapter((ListAdapter) new SimpleAdapter(getActivity(), this.mListData, R.layout.item, new String[]{FLAG_KEY, TEXT_KEY}, new int[]{R.id.flag, R.id.text}));
            listView.setOnItemClickListener(this);
        }
        return view;
    }

    private void initData() {
        Map<String, Object> map0 = new HashMap<>();
        map0.put(FLAG_KEY, Integer.valueOf((int) R.drawable.send_icon));
        map0.put(TEXT_KEY, "我要寄件");
        this.mListData.add(map0);
        Map<String, Object> map1 = new HashMap<>();
        map1.put(FLAG_KEY, Integer.valueOf((int) R.drawable.my_order));
        map1.put(TEXT_KEY, "我的订单");
        this.mListData.add(map1);
        Map<String, Object> map2 = new HashMap<>();
        map2.put(FLAG_KEY, Integer.valueOf((int) R.drawable.my_address));
        map2.put(TEXT_KEY, "我的地址薄");
        this.mListData.add(map2);
        Map<String, Object> map3 = new HashMap<>();
        map3.put(FLAG_KEY, Integer.valueOf((int) R.drawable.my_site));
        map3.put(TEXT_KEY, "我收藏的网点");
        this.mListData.add(map3);
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        switch (position) {
            case 0:
                startActivity(new Intent(getActivity(), ActivitySend.class));
                return;
            case 1:
                startActivity(new Intent(getActivity(), ActivityMyOrder.class));
                return;
            case 2:
                startActivity(new Intent(getActivity(), ActivityMyAddress.class));
                return;
            case 3:
                startActivity(new Intent(getActivity(), ActivityMySite.class));
                return;
            default:
                return;
        }
    }

    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == 0 && resultCode == -1) {
            ((MainActivity) getActivity()).loginQuit();
        }
    }
}
