package cn.beekee.zhongtong.fragment;

import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.setting.ActivityFeedback;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.FileUtil;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UpdateCheck;
import cn.beekee.zhongtong.util.ViewScale;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FragmentSetting extends Fragment implements AdapterView.OnItemClickListener {
    private static final String FLAG_KEY = "flag_key";
    private static final String TEXT_KEY = "text_key";
    private List<Map<String, Object>> mListData;

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_setting, (ViewGroup) null);
        view.findViewById(R.id.back).setVisibility(8);
        ((TextView) view.findViewById(R.id.title)).setText("设置");
        scaleTopImage(getActivity(), view.findViewById(R.id.my_account));
        initData();
        ListView listView = (ListView) view.findViewById(R.id.list);
        listView.setAdapter((ListAdapter) new SimpleAdapter(getActivity(), this.mListData, R.layout.item, new String[]{FLAG_KEY, TEXT_KEY}, new int[]{R.id.flag, R.id.text}));
        listView.setOnItemClickListener(this);
        return view;
    }

    private void initData() {
        this.mListData = new ArrayList();
        Map<String, Object> map1 = new HashMap<>();
        map1.put(FLAG_KEY, Integer.valueOf((int) R.drawable.update));
        map1.put(TEXT_KEY, "检查更新");
        this.mListData.add(map1);
        Map<String, Object> map2 = new HashMap<>();
        map2.put(FLAG_KEY, Integer.valueOf((int) R.drawable.clear_cache));
        map2.put(TEXT_KEY, "清空缓存");
        this.mListData.add(map2);
        Map<String, Object> map3 = new HashMap<>();
        map3.put(FLAG_KEY, Integer.valueOf((int) R.drawable.feedback));
        map3.put(TEXT_KEY, "意见反馈");
        this.mListData.add(map3);
        Map<String, Object> map4 = new HashMap<>();
        map4.put(FLAG_KEY, Integer.valueOf((int) R.drawable.evaluate));
        map4.put(TEXT_KEY, "亲，给个好评");
        this.mListData.add(map4);
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        switch (position) {
            case 0:
                updateAPK();
                return;
            case 1:
                if (new FileUtil().clearCache()) {
                    SweetDialogCreator.showSuccess(getActivity(), "清除缓存成功");
                    return;
                } else {
                    SweetDialogCreator.showError(getActivity(), "╮(╯▽╰)╭,竟然失败了");
                    return;
                }
            case 2:
                startActivity(new Intent(getActivity(), ActivityFeedback.class));
                return;
            case 3:
                praise();
                return;
            default:
                return;
        }
    }

    private void updateAPK() {
        UpdateCheck.updateApk(getActivity());
    }

    private void praise() {
        try {
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("market://details?id=" + DeviceUtil.getPackageName(getActivity())));
            intent.addFlags(268435456);
            startActivity(intent);
        } catch (Exception e) {
            SweetDialogCreator.showNormalTip(getActivity(), "啊啊，不能给好评，您安装应用市场了吗");
        }
    }

    public static void scaleTopImage(Context context, View view) {
        ViewScale.setBitmapByScreenWidth(context, R.drawable.account_top_bg, (ImageView) view);
        ViewScale.scaleViewByResource(context, R.drawable.account_top_bg, view);
    }
}
