package cn.beekee.zhongtong.fragment;

import android.app.Dialog;
import android.app.Fragment;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.util.SweetDialogCreator;

public class FragmentWeb extends Fragment {
    public static final String URL = "url";
    Dialog mDialog;

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        WebView webView = (WebView) getActivity().getLayoutInflater().inflate(R.layout.web_view, (ViewGroup) null);
        String urlString = getArguments().getString(URL);
        this.mDialog = SweetDialogCreator.getLoadingDialog(getActivity());
        webView.loadUrl(urlString);
        WebSettings settings = webView.getSettings();
        settings.setBuiltInZoomControls(true);
        settings.setSupportZoom(true);
        settings.setUseWideViewPort(true);
        webView.setWebViewClient(new WebViewClient() {
            /* class cn.beekee.zhongtong.fragment.FragmentWeb.AnonymousClass1 */

            @Override // android.webkit.WebViewClient
            public boolean shouldOverrideUrlLoading(WebView view, String url) {
                view.loadUrl(url);
                return true;
            }

            public void onPageStarted(WebView view, String url, Bitmap favicon) {
                super.onPageStarted(view, url, favicon);
                FragmentWeb.this.mDialog.show();
            }

            public void onPageFinished(WebView view, String url) {
                super.onPageFinished(view, url);
                FragmentWeb.this.mDialog.dismiss();
            }
        });
        return webView;
    }

    public void onDestroy() {
        super.onDestroy();
        if (this.mDialog != null && this.mDialog.isShowing()) {
            this.mDialog.dismiss();
        }
    }
}
