package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.util.AddressPriceSelect;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import java.math.BigDecimal;
import java.util.Map;

public class ActivityPriceSearch extends ActivityBase implements View.OnClickListener, AddressPriceSelect.IAddressPriceSelectListener {
    TextView mFromEditText;
    View mParentView;
    TextView mPriceTextView;
    AddressPriceSelect mSelect;
    TextView mTimeTextView;
    TextView mToEditText;
    int mType = 1;
    EditText mWeightEditText;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_aging);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("运费时效");
        this.mFromEditText = (TextView) findViewById(R.id.from);
        this.mToEditText = (TextView) findViewById(R.id.to);
        this.mWeightEditText = (EditText) findViewById(R.id.weight);
        this.mWeightEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityPriceSearch.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityPriceSearch.this.getPrice();
                return false;
            }
        });
        this.mFromEditText.setOnClickListener(this);
        this.mToEditText.setOnClickListener(this);
        findViewById(R.id.submit).setOnClickListener(this);
        this.mParentView = findViewById(R.id.aging_content);
        this.mPriceTextView = (TextView) findViewById(R.id.price);
        this.mTimeTextView = (TextView) findViewById(R.id.time);
        this.mSelect = new AddressPriceSelect(this, this);
        findViewById(R.id.service).setOnClickListener(this);
        findViewById(R.id.send).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                getPrice();
                return;
            case R.id.from:
                this.mType = 1;
                this.mSelect.startSelect();
                return;
            case R.id.to:
                this.mType = 2;
                this.mSelect.startSelect();
                return;
            case R.id.service:
                startActivity(new Intent(this, ActivityServerConnect.class));
                return;
            case R.id.send:
                ActivitySend.send(this);
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    @Override // cn.beekee.zhongtong.util.AddressPriceSelect.IAddressPriceSelectListener
    public void pickAddressPrice(String province, String city, String cityCode) {
        Log.e("", "Price收到地址结果:");
        switch (this.mType) {
            case 1:
                this.mFromEditText.setText(province + " " + city);
                return;
            case 2:
                this.mToEditText.setText(province + " " + city);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getPrice() {
        String[] from = this.mFromEditText.getText().toString().split(" ");
        String[] to = this.mToEditText.getText().toString().split(" ");
        String weight = this.mWeightEditText.getText().toString();
        if (from.length != 2 || to.length != 2 || TextUtils.isEmpty(weight) || compute(weight) == 0) {
            SweetDialogCreator.showWarning(this, "请填写完整信息");
            return;
        }
        String priceJsonString = JsonOrder.priceJson(from[0], from[1], to[0], to[1]).toJsonString();
        NetTaskManager.getInstance().startForceTaskPost(this, StaticParam.PRICE_LINK, StaticParam.ODD_DATA + priceJsonString + StaticParam.ODD_DIGEST + JsonOrder.getDigest() + StaticParam.ODD_MSG_TYPE + StaticParam.TYPE_PRICE + StaticParam.ODD_COMPANY_ID, this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        Map<String, String> map = JsonOperate.decodePrice((String) result);
        if ("true".equals(map.get("status"))) {
            this.mPriceTextView.setText(computePrice(map.get(JsonOperate.PRICE_BASE), map.get(JsonOperate.PRICE_OTHER), compute(this.mWeightEditText.getText().toString())) + "元");
            this.mTimeTextView.setText(map.get(JsonOperate.PRICE_TIME) + "小时");
            if (this.mParentView.getVisibility() != 0) {
                this.mParentView.setVisibility(0);
            }
        } else {
            SweetDialogCreator.showWarning(this, "msg");
        }
        return true;
    }

    private int compute(String number) {
        try {
            BigDecimal decimal = new BigDecimal(number);
            decimal.setScale(0, 0);
            return decimal.intValue();
        } catch (NumberFormatException e) {
            return 0;
        }
    }

    private String computePrice(String basePrice, String otherPrice, int weight) {
        try {
            int base = Integer.valueOf(basePrice).intValue();
            int other = Integer.valueOf(otherPrice).intValue();
            int price = base;
            int weight2 = weight - 1;
            if (weight2 > 0) {
                price += weight2 * other;
            }
            return "" + price;
        } catch (Exception e) {
            e.printStackTrace();
            SweetDialogCreator.showWarning(this, "计算价格时出现了失误");
            return "";
        }
    }
}
