package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ExpandableListView;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.SiteInfoBean;
import cn.beekee.zhongtong.database.DatabaseSiteInfoHelper;
import cn.beekee.zhongtong.util.ParamsFlag;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.view.adapter.ExpandableSiteInfoAdapter;

public class ActivityRangeInfo extends ActivityBase implements View.OnClickListener {
    public static final String DATA = "data";
    private SiteInfoBean mSiteInfoBean;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_rangeinfo);
        try {
            this.mSiteInfoBean = (SiteInfoBean) getIntent().getExtras().getSerializable("data");
        } catch (Exception e) {
            e.printStackTrace();
            this.mSiteInfoBean = null;
            SweetDialogCreator.showWarning(this, "数据有误");
        }
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("网点信息");
        View rightView = findViewById(R.id.right);
        rightView.setVisibility(0);
        rightView.setOnClickListener(this);
        ExpandableListView expandableListView = (ExpandableListView) findViewById(R.id.expandableListView);
        ExpandableSiteInfoAdapter adapter = new ExpandableSiteInfoAdapter(this, this.mSiteInfoBean);
        expandableListView.setAdapter(adapter);
        for (int i = 0; i < adapter.getGroupCount(); i++) {
            expandableListView.expandGroup(i);
        }
        findViewById(R.id.navigate).setOnClickListener(this);
        findViewById(R.id.send).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.right:
                save();
                return;
            case R.id.send:
                ActivitySend.send(this);
                return;
            case R.id.navigate:
                navigate();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    private void save() {
        if (DatabaseSiteInfoHelper.getInstance(this).query(this.mSiteInfoBean.getSiteId()) != null) {
            SweetDialogCreator.showNormalTip(this, "已收藏过此网点");
        } else if (DatabaseSiteInfoHelper.getInstance(this).insert(this.mSiteInfoBean)) {
            SweetDialogCreator.showSuccess(this, "收藏成功");
        } else {
            SweetDialogCreator.showError(this, "收藏失败");
        }
    }

    private void navigate() {
        if (ParamsFlag.MAP_ENABLE) {
            Intent intent = new Intent(this, ActivityNavigate.class);
            intent.putExtra("data", this.mSiteInfoBean);
            startActivity(intent);
            return;
        }
        SweetDialogCreator.showWarning(this, ParamsFlag.MAP_ERROR);
    }
}
