package cn.beekee.zhongtong.fragment.main;

import android.app.AlertDialog;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.app.TimePickerDialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.text.format.Time;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.DatePicker;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.TimePicker;
import cn.beekee.zhongtong.AdrLocActivity;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.AddressAllBean;
import cn.beekee.zhongtong.bean.AddressBean;
import cn.beekee.zhongtong.bean.OddCreateBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.fragment.user.ActivityAddressAdd;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import com.baidu.location.BDLocation;
import java.util.List;

public class ActivitySend extends AdrLocActivity implements View.OnClickListener, DatePickerDialog.OnDateSetListener, TimePickerDialog.OnTimeSetListener, DialogHint.IDialogListener {
    TextView mAddressMoreTextView;
    TextView mAddressTextView;
    int mAdrFlag;
    CheckBox mCheckBox;
    String mDate = "";
    AlertDialog mDateDialog;
    TextView mDateTextView;
    Dialog mDialog;
    String mHour = "";
    AlertDialog mHourDialog;
    TextView mHourTextView;
    List<AddressBean> mListAdrs;
    TextView mNameTextView;
    TextView mNoTextView;
    TextView mPhoneTextView;
    int mSubmitFlag;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.AdrLocActivity, cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_send);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("我要寄件");
        initWidget();
    }

    private void initWidget() {
        this.mNameTextView = (TextView) findViewById(R.id.name_input);
        this.mPhoneTextView = (TextView) findViewById(R.id.phone_input);
        this.mAddressTextView = (TextView) findViewById(R.id.address_input);
        this.mAddressMoreTextView = (TextView) findViewById(R.id.address_more_input);
        this.mNoTextView = (TextView) findViewById(R.id.note_input);
        findViewById(R.id.adr_select).setOnClickListener(this);
        this.mAddressTextView.setOnClickListener(this);
        this.mCheckBox = (CheckBox) findViewById(R.id.checkbox);
        Time time = new Time();
        time.setToNow();
        this.mDateTextView = (TextView) findViewById(R.id.date);
        this.mDateTextView.setText(time.year + " - " + (time.month + 1) + " - " + time.monthDay);
        this.mDateTextView.setOnClickListener(this);
        this.mDate = time.year + "-" + (time.month + 1) + "-" + time.monthDay;
        this.mHourTextView = (TextView) findViewById(R.id.hour);
        this.mHourTextView.setText(time.hour + " : " + time.minute);
        this.mHourTextView.setOnClickListener(this);
        this.mHour = time.hour + ":" + time.minute + ":00";
        findViewById(R.id.submit).setOnClickListener(this);
        this.mDateDialog = createDateDialog();
        this.mHourDialog = createHourDialog();
    }

    private AlertDialog createDateDialog() {
        Time time = new Time();
        time.setToNow();
        DatePickerDialog dialog = new DatePickerDialog(this, this, time.year, time.month, time.monthDay);
        dialog.setCancelable(true);
        return dialog;
    }

    private AlertDialog createHourDialog() {
        Time time = new Time();
        time.setToNow();
        TimePickerDialog dialog = new TimePickerDialog(this, this, time.hour, time.minute, true);
        dialog.setCancelable(true);
        return dialog;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit();
                return;
            case R.id.date:
                this.mDateDialog.show();
                return;
            case R.id.hour:
                this.mHourDialog.show();
                return;
            case R.id.address_input:
                startSelect();
                return;
            case R.id.adr_select:
                getAdrUserInfo();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    private void getAdrUserInfo() {
        this.mAdrFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ADDRESS_ALL_OPENID + MainActivity.gLoginBean.getOpenId() + UnixTime.getUnixNet(), this);
    }

    private void submit() {
        String name = this.mNameTextView.getText().toString();
        String phone = this.mPhoneTextView.getText().toString();
        String startTime = this.mDate + " " + this.mHour;
        String remark = this.mNoTextView.getText().toString();
        String[] addresStrings = this.mAddressTextView.getText().toString().split("/");
        String province = "";
        String city = "";
        if (addresStrings.length > 1) {
            province = addresStrings[0];
            city = addresStrings[1];
        }
        String district = addresStrings.length == 3 ? addresStrings[2] : "";
        String addressMore = this.mAddressMoreTextView.getText().toString();
        if (TextUtils.isEmpty(province) || TextUtils.isEmpty(addressMore)) {
            SweetDialogCreator.showWarning(this, "请填写完整信息");
            return;
        }
        String createString = JsonOrder.createJson("", "", MainActivity.gLoginBean.getUserId(), name, phone, province, city, district, addressMore, startTime, remark).toJsonString();
        String digest = JsonOrder.getDigest();
        StringBuilder builder = new StringBuilder();
        builder.append(StaticParam.ODD_DATA);
        builder.append(createString);
        builder.append(StaticParam.ODD_DIGEST);
        builder.append(digest);
        builder.append(StaticParam.ODD_MSG_TYPE);
        builder.append(StaticParam.ODD_TYPE_CREATE);
        builder.append(StaticParam.ODD_COMPANY_ID);
        builder.append(StaticParam.ODD_OPENID);
        builder.append(MainActivity.gLoginBean.getOpenId());
        Log.e("", "create link:" + builder.toString());
        this.mSubmitFlag = NetTaskManager.getInstance().startForceTaskPost(this, StaticParam.ODD_LINK, builder.toString(), this);
    }

    @Override // com.baidu.location.BDLocationListener, cn.beekee.zhongtong.AdrLocActivity
    public void onReceiveLocation(BDLocation location) {
        super.onReceiveLocation(location);
        if (location != null) {
            String province = location.getProvince();
            String city = location.getCity();
            String district = location.getDistrict();
            String address = location.getAddrStr();
            Log.e("", "" + address);
            if (TextUtils.isEmpty(province) || TextUtils.isEmpty(city) || TextUtils.isEmpty(district)) {
                SweetDialogCreator.showWarning(this, "定位有误，请手动输入");
                return;
            }
            this.mAddressTextView.setText(province + "/" + city + "/" + district);
            if (TextUtils.isEmpty(address)) {
                SweetDialogCreator.showWarning(this, "请手动输入详细地址");
                return;
            }
            String[] detailAdr = address.split(district);
            if (detailAdr == null || detailAdr.length != 2 || detailAdr[1] == null) {
                this.mAddressMoreTextView.setText("");
                SweetDialogCreator.showWarning(this, "请手动输入详细地址");
                return;
            }
            this.mAddressMoreTextView.setText(detailAdr[1]);
        }
    }

    private void showAdrDialog() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        ListView listView = new ListView(this);
        listView.setAdapter((ListAdapter) new AdrAdapter());
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivitySend.AnonymousClass1 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
                ActivitySend.this.mDialog.dismiss();
                AddressBean bean = ActivitySend.this.mListAdrs.get(position);
                ActivitySend.this.mNameTextView.setText(bean.getContactName());
                ActivitySend.this.mPhoneTextView.setText(bean.getMobile());
                ActivitySend.this.mAddressTextView.setText(bean.getProvince() + "/" + bean.getCity() + "/" + bean.getDistrict());
                ActivitySend.this.mAddressMoreTextView.setText(bean.getAddress());
            }
        });
        builder.setView(listView);
        this.mDialog = builder.create();
        this.mDialog.setCanceledOnTouchOutside(true);
        this.mDialog.show();
    }

    @Override // cn.beekee.zhongtong.AdrLocActivity, cn.beekee.zhongtong.util.AddressAllSelect.IAddressSelectListener
    public void pickAddress(String province, String provinceCode, String city, String cityCode, String district, String districtCode) {
        super.pickAddress(province, provinceCode, city, cityCode, district, districtCode);
        this.mAddressTextView.setText(province + "/" + city + "/" + district);
    }

    public void onDateSet(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
        this.mDateTextView.setText(year + " - " + (monthOfYear + 1) + " - " + dayOfMonth);
        this.mDate = year + "-" + (monthOfYear + 1) + "-" + dayOfMonth;
    }

    public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
        this.mHourTextView.setText(hourOfDay + " : " + minute);
        this.mHour = hourOfDay + ":" + minute + ":00";
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        if (flag == this.mSubmitFlag) {
            if (ResultBean.checkBean(this, new OddCreateBean((String) result))) {
                startActivity(new Intent(this, ActivitySendSuc.class));
                finish();
            }
        } else if (flag == this.mAdrFlag) {
            AddressAllBean allBean = new AddressAllBean((String) result);
            if (ResultBean.checkBean(this, allBean)) {
                this.mListAdrs = allBean.getAddressBeans();
                if (this.mListAdrs.size() == 0) {
                    DialogHint.showDialog(this, "还没有地址簿,要去添加吗", this);
                } else {
                    showAdrDialog();
                }
            }
        }
        return true;
    }

    @Override // cn.beekee.zhongtong.util.DialogHint.IDialogListener
    public void clickOK(boolean ok) {
        if (ok) {
            startActivity(new Intent(this, ActivityAddressAdd.class));
        }
    }

    @Override // cn.beekee.zhongtong.AdrLocActivity
    public void onDestroy() {
        super.onDestroy();
        if (this.mDateDialog != null && this.mDateDialog.isShowing()) {
            this.mDateDialog.dismiss();
        }
        if (this.mHourDialog != null && this.mHourDialog.isShowing()) {
            this.mHourDialog.dismiss();
        }
        if (this.mDialog != null && this.mDialog.isShowing()) {
            this.mDialog.dismiss();
        }
    }

    public static void send(Context context) {
        if (MainActivity.gLoginBean == null || TextUtils.isEmpty(MainActivity.gLoginBean.getOpenId())) {
            SweetDialogCreator.showWarning(context, "请先登录中通账号");
        } else {
            context.startActivity(new Intent(context, ActivitySend.class));
        }
    }

    /* access modifiers changed from: package-private */
    public class AdrAdapter extends BaseAdapter {
        AdrAdapter() {
        }

        public int getCount() {
            if (ActivitySend.this.mListAdrs == null) {
                return 0;
            }
            return ActivitySend.this.mListAdrs.size();
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            AddressBean bean = ActivitySend.this.mListAdrs.get(position);
            if (convertView == null) {
                convertView = ActivitySend.this.getLayoutInflater().inflate(R.layout.dialog_adr, (ViewGroup) null);
            }
            ((TextView) convertView.findViewById(R.id.dialog_adr_name)).setText(bean.getContactName());
            ((TextView) convertView.findViewById(R.id.dialog_adr_adr)).setText(bean.getAddress());
            return convertView;
        }
    }
}
