package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.bean.SiteInfoBean;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class ActivitySiteList extends ActivityBase implements AdapterView.OnItemClickListener {
    public static final String SITE_LIST_KEY = "list_key";
    List<Map<String, String>> mListData;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sitelist);
        try {
            this.mListData = (List) getIntent().getExtras().getSerializable(SITE_LIST_KEY);
        } catch (Exception e) {
            e.printStackTrace();
            this.mListData = new ArrayList();
            SweetDialogCreator.showWarning(this, "数据有误");
        }
        findViewById(R.id.back).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivitySiteList.AnonymousClass1 */

            public void onClick(View v) {
                ActivitySiteList.this.finish();
            }
        });
        ((TextView) findViewById(R.id.title)).setText("网点列表");
        ListView listView = (ListView) findViewById(R.id.list);
        listView.setAdapter((ListAdapter) new SimpleAdapter(this, this.mListData, R.layout.site_list_element, new String[]{JsonOperate.SITE_NAME, JsonOperate.SITE_MANAGER, JsonOperate.SITE_PHONE}, new int[]{R.id.site_name, R.id.manager, R.id.phone}));
        listView.setOnItemClickListener(this);
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        getSiteInfo(this.mListData.get(position).get(JsonOperate.SITE_ID));
    }

    private void getSiteInfo(String siteId) {
        NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.SITE_INFO_GET + siteId, this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        SiteInfoBean siteInfoBean = new SiteInfoBean((String) result);
        if (ResultBean.checkBean(this, siteInfoBean)) {
            Intent intent = new Intent(this, ActivityRangeInfo.class);
            Bundle bundle = new Bundle();
            bundle.putSerializable("data", siteInfoBean);
            intent.putExtras(bundle);
            startActivity(intent);
        }
        return true;
    }
}
