package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.JPush.JPushRegister;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.RegisterOrCancelBean;
import cn.beekee.zhongtong.bean.WayBillTraceBean;
import cn.beekee.zhongtong.database.DatabaseRegisterHelper;
import cn.beekee.zhongtong.database.DatabaseWayBillHelper;
import cn.beekee.zhongtong.util.DateUtil;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.ViewScale;
import cn.beekee.zhongtong.util.WayBillUtil;
import cn.beekee.zhongtong.util.WaybillTextWatcher;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import cn.beekee.zhongtong.zxing.CaptureActivity;
import java.util.Date;
import java.util.List;

public class ActivityWayBillInfo extends ActivityBase implements View.OnClickListener, NetTaskManagerNoDialog.INetNoDialogListener {
    public static final String DATA_KEY = "data_key";
    private static final int SCAN_FLAG = 1;
    ListView mListView;
    ImageView mStatusImageView;
    View mTraceParent;
    EditText mWayBillNumberEditText;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_waybillinfo);
        this.mWayBillNumberEditText = (EditText) findViewById(R.id.waybill_input);
        View scanView = findViewById(R.id.scan);
        View clearView = findViewById(R.id.clear_text);
        scanView.setOnClickListener(this);
        clearView.setOnClickListener(this);
        this.mWayBillNumberEditText.addTextChangedListener(new WaybillTextWatcher(scanView, clearView));
        this.mWayBillNumberEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityWayBillInfo.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                Log.e("", "---神马事件呢：" + actionId);
                if (actionId != 6) {
                    return false;
                }
                ActivityWayBillInfo.this.searchNum(ActivityWayBillInfo.this.mWayBillNumberEditText.getText().toString());
                return false;
            }
        });
        String wayBill = getIntent().getStringExtra(DATA_KEY);
        this.mWayBillNumberEditText.setText(wayBill);
        this.mWayBillNumberEditText.setSelection(wayBill.length());
        findViewById(R.id.waybill_search).setOnClickListener(this);
        searchNum(wayBill);
        ((TextView) findViewById(R.id.title)).setText("查询结果");
        findViewById(R.id.back).setOnClickListener(this);
        this.mTraceParent = findViewById(R.id.trace_parent);
        this.mStatusImageView = (ImageView) findViewById(R.id.status);
        ViewScale.scaleViewByResource(this, R.drawable.waybill_status_1, this.mStatusImageView);
        this.mListView = (ListView) findViewById(R.id.list);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.back:
                finish();
                return;
            case R.id.ca:
            case R.id.waybill_input:
            default:
                return;
            case R.id.waybill_search:
                searchNum(this.mWayBillNumberEditText.getText().toString());
                return;
            case R.id.scan:
                scan();
                return;
            case R.id.clear_text:
                this.mWayBillNumberEditText.setText("");
                return;
        }
    }

    private void scan() {
        startActivityForResult(new Intent(this, CaptureActivity.class), 1);
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String zbra;
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == -1 && requestCode == 1 && (zbra = data.getStringExtra(CaptureActivity.ZBAR_KEY)) != null) {
            this.mWayBillNumberEditText.setText(zbra);
            this.mWayBillNumberEditText.setSelection(zbra.length());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void searchNum(String wayBill) {
        if (!WayBillUtil.check(wayBill)) {
            SweetDialogCreator.showWarning(this, "请检查运单号是否正确");
            return;
        }
        NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ODD_TRACE_URL + wayBill.trim(), this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        List<WayBillTraceBean.TraceBean> traceList = new WayBillTraceBean((String) result).getTraceList();
        if (traceList == null) {
            getFail();
        } else {
            getSuc(traceList);
            saveDatabase(this.mWayBillNumberEditText.getText().toString().trim());
        }
        return true;
    }

    private void hideTrace() {
        this.mStatusImageView.setVisibility(4);
        this.mTraceParent.setVisibility(4);
    }

    private void showTrace() {
        this.mStatusImageView.setVisibility(0);
        this.mTraceParent.setVisibility(0);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog.INetNoDialogListener
    public boolean netNoDialogResult(int flag, Object result) {
        Log.e("", "=====wayBillInfo:" + result);
        RegisterOrCancelBean registerOrCancelBean = new RegisterOrCancelBean((String) result);
        if (registerOrCancelBean.ismParseSuccess() && registerOrCancelBean.ismRequestSuccess()) {
            Log.e("", "=====插入：" + DatabaseRegisterHelper.getInstance(this).insert(registerOrCancelBean.getmId(), this.mWayBillNumberEditText.getText().toString(), "", ""));
        }
        return false;
    }

    private void saveDatabase(String wayBill) {
        if (DatabaseWayBillHelper.getInstance(this).query(wayBill).size() == 0) {
            DatabaseWayBillHelper.getInstance(this).insert(wayBill, DateUtil.orderFormat(new Date()));
        } else {
            DatabaseWayBillHelper.getInstance(this).update(wayBill, DateUtil.orderFormat(new Date()));
        }
    }

    private void getFail() {
        hideTrace();
        SweetDialogCreator.showWarning(this, "请检查运单号是否正确");
    }

    private void getSuc(List<WayBillTraceBean.TraceBean> list) {
        showTrace();
        if (list == null || list.size() == 0) {
            receive();
            return;
        }
        this.mListView.setAdapter((ListAdapter) new MyAdapter(list));
        String lastLine = list.get(0).getmRemark();
        if (lastLine == null) {
            return;
        }
        if (lastLine.contains("签收")) {
            signIn();
        } else if (lastLine.contains("派件")) {
            send();
        } else if (lastLine.contains("收件")) {
            receive();
        } else {
            transport();
        }
    }

    private void receive() {
        this.mStatusImageView.setImageResource(R.drawable.waybill_status_1);
        ViewScale.scaleViewByResource(this, R.drawable.waybill_status_1, this.mStatusImageView);
        SweetDialogCreator.showWarning(this, "暂无物流进展，请稍后再试..");
        register(this.mWayBillNumberEditText.getText().toString().trim());
    }

    private void transport() {
        this.mStatusImageView.setImageResource(R.drawable.waybill_status_2);
        ViewScale.scaleViewByResource(this, R.drawable.waybill_status_2, this.mStatusImageView);
        register(this.mWayBillNumberEditText.getText().toString().trim());
    }

    private void send() {
        this.mStatusImageView.setImageResource(R.drawable.waybill_status_3);
        ViewScale.scaleViewByResource(this, R.drawable.waybill_status_3, this.mStatusImageView);
        register(this.mWayBillNumberEditText.getText().toString().trim());
    }

    private void signIn() {
        this.mStatusImageView.setImageResource(R.drawable.waybill_status_4);
        ViewScale.scaleViewByResource(this, R.drawable.waybill_status_4, this.mStatusImageView);
    }

    private void register(String wayBill) {
        if (!(DatabaseRegisterHelper.getInstance(this).query(wayBill) != null)) {
            JPushRegister.register(this, wayBill, this);
        }
    }

    public class MyAdapter extends BaseAdapter {
        private List<WayBillTraceBean.TraceBean> iList;

        public MyAdapter(List<WayBillTraceBean.TraceBean> list) {
            this.iList = list;
        }

        public int getCount() {
            return this.iList.size();
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            if (convertView == null) {
                convertView = ActivityWayBillInfo.this.getLayoutInflater().inflate(R.layout.waybill_trace_element, (ViewGroup) null);
            }
            TextView remarkView = (TextView) convertView.findViewById(R.id.remark);
            TextView dateView = (TextView) convertView.findViewById(R.id.date);
            WayBillTraceBean.TraceBean traceBean = this.iList.get(position);
            remarkView.setText(traceBean.getmRemark());
            dateView.setText(traceBean.getmAcceptTime());
            if (position == 0) {
                ((ImageView) convertView.findViewById(R.id.img)).setImageResource(R.drawable.line_2);
                remarkView.setTextColor(ActivityWayBillInfo.this.getResources().getColor(R.color.orange));
                dateView.setTextColor(ActivityWayBillInfo.this.getResources().getColor(R.color.orange));
            } else {
                ((ImageView) convertView.findViewById(R.id.img)).setImageResource(R.drawable.line_1);
                remarkView.setTextColor(ActivityWayBillInfo.this.getResources().getColor(R.color.text_gray));
                dateView.setTextColor(ActivityWayBillInfo.this.getResources().getColor(R.color.text_gray));
            }
            return convertView;
        }
    }
}
