package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.EditText;
import android.widget.ListAdapter;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.database.DatabaseWayBillHelper;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.WaybillTextWatcher;
import cn.beekee.zhongtong.zxing.CaptureActivity;
import cn.pedant.SweetAlert.SweetAlertDialog;
import com.baoyz.swipemenulistview.SwipeMenu;
import com.baoyz.swipemenulistview.SwipeMenuCreator;
import com.baoyz.swipemenulistview.SwipeMenuItem;
import com.baoyz.swipemenulistview.SwipeMenuListView;
import java.util.List;
import java.util.Map;

public class ActivityWayBillSearch extends ActivityBase implements View.OnClickListener, AdapterView.OnItemClickListener {
    private static final int SCAN_FLAG = 1;
    List<Map<String, String>> mListData;
    SimpleAdapter mWaybillAdapter;
    SwipeMenuListView mWaybillListView;
    EditText mWaybillNumberEditText;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_waybillsearch);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("单号查询");
        View scanView = findViewById(R.id.scan);
        View clearView = findViewById(R.id.clear_text);
        scanView.setOnClickListener(this);
        clearView.setOnClickListener(this);
        findViewById(R.id.waybill_search).setOnClickListener(this);
        this.mWaybillNumberEditText = (EditText) findViewById(R.id.waybill_input);
        this.mWaybillNumberEditText.addTextChangedListener(new WaybillTextWatcher(scanView, clearView));
        this.mWaybillNumberEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityWayBillSearch.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityWayBillSearch.this.searchInfo(ActivityWayBillSearch.this.mWaybillNumberEditText.getText().toString());
                return false;
            }
        });
        findViewById(R.id.clear).setOnClickListener(this);
        this.mWaybillListView = (SwipeMenuListView) findViewById(R.id.listview_slip);
        this.mWaybillListView.setOnItemClickListener(this);
        initListView();
        findViewById(R.id.service).setOnClickListener(this);
        findViewById(R.id.send).setOnClickListener(this);
    }

    private void initListView() {
        this.mWaybillListView.setMenuCreator(new SwipeMenuCreator() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityWayBillSearch.AnonymousClass2 */

            @Override // com.baoyz.swipemenulistview.SwipeMenuCreator
            public void create(SwipeMenu menu) {
                SwipeMenuItem deleteItem = new SwipeMenuItem(ActivityWayBillSearch.this.getApplicationContext());
                deleteItem.setBackground(new ColorDrawable(Color.rgb(249, 63, 37)));
                deleteItem.setWidth(DeviceUtil.dp2px(ActivityWayBillSearch.this, 90));
                deleteItem.setIcon(R.drawable.trash);
                menu.addMenuItem(deleteItem);
            }
        });
        this.mWaybillListView.setOnMenuItemClickListener(new SwipeMenuListView.OnMenuItemClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityWayBillSearch.AnonymousClass3 */

            @Override // com.baoyz.swipemenulistview.SwipeMenuListView.OnMenuItemClickListener
            public boolean onMenuItemClick(int position, SwipeMenu menu, int index) {
                if (ActivityWayBillSearch.this.mListData != null) {
                    switch (index) {
                        case 0:
                            ActivityWayBillSearch.this.performDelete(position);
                            break;
                    }
                }
                return false;
            }
        });
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        this.mListData = DatabaseWayBillHelper.getInstance(this).query();
        this.mWaybillAdapter = new SimpleAdapter(this, this.mListData, R.layout.item_listview_order_slip, new String[]{"waybill", "date"}, new int[]{R.id.order, R.id.time});
        this.mWaybillListView.setAdapter((ListAdapter) this.mWaybillAdapter);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.clear:
                if (hasHistory()) {
                    clearAll();
                    return;
                } else {
                    SweetDialogCreator.showNormalTip(this, "没有历史记录");
                    return;
                }
            case R.id.service:
                startActivity(new Intent(this, ActivityServerConnect.class));
                return;
            case R.id.send:
                ActivitySend.send(this);
                return;
            case R.id.back:
                finish();
                return;
            case R.id.waybill_search:
                searchInfo(this.mWaybillNumberEditText.getText().toString());
                return;
            case R.id.scan:
                scan();
                return;
            case R.id.clear_text:
                this.mWaybillNumberEditText.setText("");
                return;
            default:
                return;
        }
    }

    private void scan() {
        startActivityForResult(new Intent(this, CaptureActivity.class), 1);
    }

    private void clearAll() {
        DialogHint.showDialog(this, "要清空历史纪录吗", new DialogHint.IDialogListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityWayBillSearch.AnonymousClass4 */

            @Override // cn.beekee.zhongtong.util.DialogHint.IDialogListener
            public void clickOK(boolean ok) {
                if (ok) {
                    ActivityWayBillSearch.this.performClearAll();
                }
            }
        });
    }

    private boolean hasHistory() {
        return DatabaseWayBillHelper.getInstance(this).query().size() > 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void performClearAll() {
        SweetAlertDialog dialog = SweetDialogCreator.showProgress(this, "删除中...");
        DatabaseWayBillHelper.getInstance(this).clearTable();
        this.mListData.clear();
        this.mWaybillAdapter.notifyDataSetChanged();
        SweetDialogCreator.fromProgressToSuc(dialog, "删除成功");
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String zbra;
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == -1 && requestCode == 1 && (zbra = data.getStringExtra(CaptureActivity.ZBAR_KEY)) != null) {
            this.mWaybillNumberEditText.setText(zbra);
            this.mWaybillNumberEditText.setSelection(zbra.length());
        }
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        String wayBill = this.mListData.get(position).get("waybill");
        this.mWaybillNumberEditText.setText(wayBill);
        searchInfo(wayBill);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void searchInfo(String wayBill) {
        if (TextUtils.isEmpty(wayBill)) {
            SweetDialogCreator.showWarning(this, "请输入中通运单号");
            return;
        }
        Intent intent = new Intent(this, ActivityWayBillInfo.class);
        intent.putExtra(ActivityWayBillInfo.DATA_KEY, wayBill);
        startActivity(intent);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void performDelete(int position) {
        if (DatabaseWayBillHelper.getInstance(this).delete(this.mListData.get(position).get("waybill"))) {
            SweetDialogCreator.showSuccess(this, "删除成功");
            this.mListData.remove(position);
            this.mWaybillAdapter.notifyDataSetChanged();
            return;
        }
        SweetDialogCreator.showError(this, "删除失败");
    }
}
