package cn.beekee.zhongtong.fragment.myzto;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.ManyOrderBean;
import cn.beekee.zhongtong.bean.OrderBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.fragment.main.ActivityWayBillInfo;
import cn.beekee.zhongtong.util.DateUtil;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import java.util.Date;

public class OrderAlreadyFragment extends OrderFragment {
    AlreadyAdapter mAdapter = new AlreadyAdapter();

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        refresh();
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void refresh() {
        super.refresh();
        JsonOrder.SearchJson json = JsonOrder.searchJson(MainActivity.gLoginBean.getUserId(), StaticParam.ODD_START_TIME, DateUtil.orderFormat2(new Date()), "100", "1");
        json.setStatus("3,4,-4,99");
        String jString = json.toJsonString();
        String digest = JsonOrder.getDigest();
        StringBuilder builder = new StringBuilder();
        builder.append(StaticParam.ODD_DATA);
        builder.append(jString);
        builder.append(StaticParam.ODD_DIGEST);
        builder.append(digest);
        builder.append(StaticParam.ODD_MSG_TYPE);
        builder.append(StaticParam.ODD_TYPE_SEARCH);
        builder.append(StaticParam.ODD_COMPANY_ID);
        builder.append(StaticParam.ODD_OPENID);
        builder.append(MainActivity.gLoginBean.getOpenId());
        Log.e("", builder.toString());
        NetTaskManagerNoDialog.getInstance().startTaskPost(getActivity(), StaticParam.ODD_LINK, builder.toString(), this);
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void receive(String request) {
        super.receive(request);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog.INetNoDialogListener, cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public boolean netNoDialogResult(int flag, Object result) {
        if (!super.netNoDialogResult(flag, result)) {
            return false;
        }
        Log.e("", "已收件：" + result);
        ManyOrderBean manyOrderBean = new ManyOrderBean((String) result);
        if (ResultBean.checkBean(getActivity(), manyOrderBean)) {
            this.mList = manyOrderBean.getmList();
            if (this.mPullRefreshListView != null) {
                this.mPullRefreshListView.setAdapter(this.mAdapter);
            }
        }
        return true;
    }

    private class AlreadyAdapter extends BaseAdapter {
        private AlreadyAdapter() {
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            final OrderBean data = (OrderBean) OrderAlreadyFragment.this.mList.get(position);
            if (convertView == null) {
                convertView = LayoutInflater.from(OrderAlreadyFragment.this.getActivity()).inflate(R.layout.piece_already, (ViewGroup) null);
            }
            ((TextView) convertView.findViewById(R.id.order)).setText("订单号：" + data.getOrderCode());
            ((TextView) convertView.findViewById(R.id.status)).setText("订单状态：" + data.getStatusDecription());
            ((TextView) convertView.findViewById(R.id.waybill)).setText("运单号：" + data.getWayBillCode());
            ((TextView) convertView.findViewById(R.id.down)).setText("下单时间：" + data.getCreateDate());
            convertView.findViewById(R.id.look).setOnClickListener(new View.OnClickListener() {
                /* class cn.beekee.zhongtong.fragment.myzto.OrderAlreadyFragment.AlreadyAdapter.AnonymousClass1 */

                public void onClick(View v) {
                    String wayBill = data.getWayBillCode();
                    if (TextUtils.isEmpty(wayBill)) {
                        DialogHint.showDialog(OrderAlreadyFragment.this.getActivity(), "没有生成运单号，暂时无法查询", null);
                        return;
                    }
                    Intent intent = new Intent(OrderAlreadyFragment.this.getActivity(), ActivityWayBillInfo.class);
                    intent.putExtra(ActivityWayBillInfo.DATA_KEY, wayBill);
                    OrderAlreadyFragment.this.startActivity(intent);
                }
            });
            return convertView;
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public int getCount() {
            if (OrderAlreadyFragment.this.mList == null) {
                return 0;
            }
            return OrderAlreadyFragment.this.mList.size();
        }
    }
}
