package cn.beekee.zhongtong.fragment.myzto;

import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.ManyOrderBean;
import cn.beekee.zhongtong.bean.OrderBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.util.DateUtil;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import java.util.Date;

public class OrderCancelFragment extends OrderFragment {
    private CancelAdapter mAdapter = new CancelAdapter();

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        refresh();
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void refresh() {
        super.refresh();
        JsonOrder.SearchJson json = JsonOrder.searchJson(MainActivity.gLoginBean.getUserId(), StaticParam.ODD_START_TIME, DateUtil.orderFormat2(new Date()), "100", "1");
        json.setStatus("-5");
        String jString = json.toJsonString();
        String digest = JsonOrder.getDigest();
        StringBuilder builder = new StringBuilder();
        builder.append(StaticParam.ODD_DATA);
        builder.append(jString);
        builder.append(StaticParam.ODD_DIGEST);
        builder.append(digest);
        builder.append(StaticParam.ODD_MSG_TYPE);
        builder.append(StaticParam.ODD_TYPE_SEARCH);
        builder.append(StaticParam.ODD_COMPANY_ID);
        builder.append(StaticParam.ODD_OPENID);
        builder.append(MainActivity.gLoginBean.getOpenId());
        Log.e("", builder.toString());
        NetTaskManagerNoDialog.getInstance().startTaskPost(getActivity(), StaticParam.ODD_LINK, builder.toString(), this);
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void receive(String request) {
        super.receive(request);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog.INetNoDialogListener, cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public boolean netNoDialogResult(int flag, Object result) {
        if (!super.netNoDialogResult(flag, result)) {
            return false;
        }
        Log.e("", "已取消：" + result);
        ManyOrderBean manyOrderBean = new ManyOrderBean((String) result);
        if (ResultBean.checkBean(getActivity(), manyOrderBean)) {
            this.mList = manyOrderBean.getmList();
            if (this.mPullRefreshListView != null) {
                this.mPullRefreshListView.setAdapter(this.mAdapter);
            }
        }
        return true;
    }

    private class CancelAdapter extends BaseAdapter {
        private CancelAdapter() {
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            OrderBean data = (OrderBean) OrderCancelFragment.this.mList.get(position);
            if (convertView == null) {
                convertView = LayoutInflater.from(OrderCancelFragment.this.getActivity()).inflate(R.layout.piece_cancel, (ViewGroup) null);
            }
            ((TextView) convertView.findViewById(R.id.order)).setText("订单号：" + data.getOrderCode());
            ((TextView) convertView.findViewById(R.id.status)).setText("订单状态：" + data.getStatusDecription());
            ((TextView) convertView.findViewById(R.id.down)).setText("下单时间：" + data.getCreateDate());
            convertView.findViewById(R.id.delete).setOnClickListener(new View.OnClickListener() {
                /* class cn.beekee.zhongtong.fragment.myzto.OrderCancelFragment.CancelAdapter.AnonymousClass1 */

                public void onClick(View v) {
                }
            });
            return convertView;
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public int getCount() {
            if (OrderCancelFragment.this.mList == null) {
                return 0;
            }
            return OrderCancelFragment.this.mList.size();
        }
    }
}
