package cn.beekee.zhongtong.fragment.myzto;

import android.app.Fragment;
import android.os.Bundle;
import android.text.format.DateUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.OrderBean;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import com.handmark.pulltorefresh.library.PullToRefreshBase;
import com.handmark.pulltorefresh.library.PullToRefreshListView;
import com.handmark.pulltorefresh.library.extras.SoundPullEventListener;
import java.util.List;

public class OrderFragment extends Fragment implements NetTaskManagerNoDialog.INetNoDialogListener {
    protected List<OrderBean> mList;
    protected PullToRefreshListView mPullRefreshListView;

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        this.mPullRefreshListView = (PullToRefreshListView) inflater.inflate(R.layout.pull_refresh_listview, (ViewGroup) null);
        this.mPullRefreshListView.setOnRefreshListener(new PullToRefreshBase.OnRefreshListener<ListView>() {
            /* class cn.beekee.zhongtong.fragment.myzto.OrderFragment.AnonymousClass1 */

            @Override // com.handmark.pulltorefresh.library.PullToRefreshBase.OnRefreshListener
            public void onRefresh(PullToRefreshBase<ListView> refreshView) {
                refreshView.getLoadingLayoutProxy().setLastUpdatedLabel(DateUtils.formatDateTime(OrderFragment.this.getActivity(), System.currentTimeMillis(), 524305));
                OrderFragment.this.refresh();
            }
        });
        SoundPullEventListener<ListView> soundListener = new SoundPullEventListener<>(getActivity());
        soundListener.addSoundEvent(PullToRefreshBase.State.PULL_TO_REFRESH, R.raw.pull_event);
        soundListener.addSoundEvent(PullToRefreshBase.State.RESET, R.raw.reset_sound);
        soundListener.addSoundEvent(PullToRefreshBase.State.REFRESHING, R.raw.refreshing_sound);
        this.mPullRefreshListView.setOnPullEventListener(soundListener);
        return this.mPullRefreshListView;
    }

    public void refresh() {
    }

    public void receive(String request) {
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog.INetNoDialogListener
    public boolean netNoDialogResult(int flag, Object result) {
        this.mPullRefreshListView.onRefreshComplete();
        if (getActivity() == null) {
            return false;
        }
        if (result != null) {
            return true;
        }
        SweetDialogCreator.showError(getActivity(), StaticParam.NET_SERVICE_FAIL);
        return false;
    }
}
