package cn.beekee.zhongtong.fragment.myzto;

import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.ManyOrderBean;
import cn.beekee.zhongtong.bean.OrderBean;
import cn.beekee.zhongtong.bean.OrderUpdateBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.util.DateUtil;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog;
import java.util.Date;

public class OrderNotFragment extends OrderFragment implements DialogHint.IDialogListener, NetTaskManager.INetListener {
    NotAdapter mAdapter = new NotAdapter();
    int mCancelFlag;
    int mPosition;
    int mSearchFlag;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        refresh();
    }

    public void onStart() {
        super.onStart();
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void refresh() {
        super.refresh();
        JsonOrder.SearchJson json = JsonOrder.searchJson(MainActivity.gLoginBean.getUserId(), StaticParam.ODD_START_TIME, DateUtil.orderFormat2(new Date()), "100", "1");
        json.setStatus("0,1,2,-1,-2,-3");
        String jString = json.toJsonString();
        String digest = JsonOrder.getDigest();
        StringBuilder builder = new StringBuilder();
        builder.append(StaticParam.ODD_DATA);
        builder.append(jString);
        builder.append(StaticParam.ODD_DIGEST);
        builder.append(digest);
        builder.append(StaticParam.ODD_MSG_TYPE);
        builder.append(StaticParam.ODD_TYPE_SEARCH);
        builder.append(StaticParam.ODD_COMPANY_ID);
        builder.append(StaticParam.ODD_OPENID);
        builder.append(MainActivity.gLoginBean.getOpenId());
        Log.e("", builder.toString());
        this.mSearchFlag = NetTaskManagerNoDialog.getInstance().startTaskPost(getActivity(), StaticParam.ODD_LINK, builder.toString(), this);
    }

    private void cancelOrder(int position) {
        String cancelString = JsonOrder.updateJson(((OrderBean) this.mList.get(position)).getOrderCode(), "status", JsonOrder.UpdateJson.VALUE_STATUS_CANCEL, "用户手动取消").toJsonString();
        String digest = JsonOrder.getDigest();
        StringBuilder builder = new StringBuilder();
        builder.append(StaticParam.ODD_DATA);
        builder.append(cancelString);
        builder.append(StaticParam.ODD_DIGEST);
        builder.append(digest);
        builder.append(StaticParam.ODD_MSG_TYPE);
        builder.append(StaticParam.ODD_TYPE_UPDATE);
        builder.append(StaticParam.ODD_COMPANY_ID);
        builder.append(StaticParam.ODD_OPENID);
        builder.append(MainActivity.gLoginBean.getOpenId());
        Log.e("", "----K:" + builder.toString());
        this.mCancelFlag = NetTaskManager.getInstance().startTaskPost(getActivity(), StaticParam.ODD_LINK, builder.toString(), this);
    }

    @Override // cn.beekee.zhongtong.util.DialogHint.IDialogListener
    public void clickOK(boolean ok) {
        if (ok) {
            cancelOrder(this.mPosition);
        }
    }

    @Override // cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public void receive(String request) {
        super.receive(request);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManagerNoDialog.INetNoDialogListener, cn.beekee.zhongtong.fragment.myzto.OrderFragment
    public boolean netNoDialogResult(int flag, Object result) {
        if (!super.netNoDialogResult(flag, result)) {
            return false;
        }
        Log.e("", "未收件：" + result);
        if (flag == this.mSearchFlag) {
            ManyOrderBean manyOrderBean = new ManyOrderBean((String) result);
            if (ResultBean.checkBean(getActivity(), manyOrderBean)) {
                this.mList = manyOrderBean.getmList();
                if (this.mPullRefreshListView != null) {
                    this.mPullRefreshListView.setAdapter(this.mAdapter);
                }
            }
        } else if (flag == this.mCancelFlag) {
            OrderUpdateBean updateBean = new OrderUpdateBean((String) result);
            if (ResultBean.checkBean(getActivity(), updateBean)) {
                if (!updateBean.isOperateSuc()) {
                    SweetDialogCreator.showError(getActivity(), "取消失败");
                } else {
                    SweetDialogCreator.showSuccess(getActivity(), "取消成功");
                    this.mList.remove(this.mPosition);
                    this.mAdapter.notifyDataSetChanged();
                }
            }
        }
        return true;
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener
    public boolean netResult(int flag, Object result) {
        netNoDialogResult(flag, result);
        return false;
    }

    /* access modifiers changed from: private */
    public class NotAdapter extends BaseAdapter {
        private NotAdapter() {
        }

        public View getView(final int position, View convertView, ViewGroup parent) {
            OrderBean data = (OrderBean) OrderNotFragment.this.mList.get(position);
            if (convertView == null) {
                convertView = LayoutInflater.from(OrderNotFragment.this.getActivity()).inflate(R.layout.piece_not, (ViewGroup) null);
            }
            ((TextView) convertView.findViewById(R.id.order)).setText("订单号：" + data.getOrderCode());
            ((TextView) convertView.findViewById(R.id.status)).setText("订单状态：" + data.getStatusDecription());
            ((TextView) convertView.findViewById(R.id.down)).setText("下单时间：" + data.getCreateDate());
            ((TextView) convertView.findViewById(R.id.note)).setText("备注：" + data.getRemark());
            convertView.findViewById(R.id.cancel).setOnClickListener(new View.OnClickListener() {
                /* class cn.beekee.zhongtong.fragment.myzto.OrderNotFragment.NotAdapter.AnonymousClass1 */

                public void onClick(View v) {
                    OrderNotFragment.this.mPosition = position;
                    DialogHint.showDialog(OrderNotFragment.this.getActivity(), "确定取消此订单吗", OrderNotFragment.this);
                }
            });
            return convertView;
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public int getCount() {
            if (OrderNotFragment.this.mList == null) {
                return 0;
            }
            return OrderNotFragment.this.mList.size();
        }
    }
}
