package cn.beekee.zhongtong.fragment.setting;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;

public class ActivityFeedback extends ActivityBase implements View.OnClickListener {
    EditText mContentEditText;
    EditText mMailEditText;
    EditText mNameEditText;
    EditText mPhoneEditText;
    Spinner mServeSpinner;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_feedback);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("意见反馈");
        this.mNameEditText = (EditText) findViewById(R.id.name_input);
        this.mPhoneEditText = (EditText) findViewById(R.id.phone_input);
        this.mMailEditText = (EditText) findViewById(R.id.mail_input);
        this.mServeSpinner = (Spinner) findViewById(R.id.serve_input);
        this.mContentEditText = (EditText) findViewById(R.id.content_input);
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    private void submit() {
        String name = this.mNameEditText.getText().toString();
        String phone = this.mPhoneEditText.getText().toString();
        String mail = this.mMailEditText.getText().toString();
        String type = this.mServeSpinner.getSelectedItem().toString();
        String content = this.mContentEditText.getText().toString();
        if (TextUtils.isEmpty(name) || TextUtils.isEmpty(phone) || TextUtils.isEmpty(mail) || TextUtils.isEmpty(type) || TextUtils.isEmpty(content)) {
            SweetDialogCreator.showWarning(this, "请填写全部信息");
            return;
        }
        NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ADVICE_NAME + name + StaticParam.ADVICE_PHONE + phone + "&GuestCategory=" + type + "&GuestEmail=" + mail + StaticParam.ADVICE_CONTENT + content + UnixTime.getUnixNet(), this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        if (ResultBean.checkBean(this, new PhoneVerifyBean((String) result))) {
            SweetDialogCreator.showSuccess(this, "提交成功,谢谢您的支持");
        }
        return true;
    }
}
