package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.CheckBox;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.AdrLocActivity;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import com.baidu.location.BDLocation;

public class ActivityAddressAdd extends AdrLocActivity implements View.OnClickListener {
    TextView mAddressMoreTextView;
    TextView mAddressTextView;
    CheckBox mDefaultAddressBox;
    TextView mNameTextViewt;
    TextView mPhoneTextView;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.AdrLocActivity, cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_address_add);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("添加新地址");
        this.mNameTextViewt = (TextView) findViewById(R.id.name_input);
        this.mPhoneTextView = (TextView) findViewById(R.id.phone_input);
        this.mAddressTextView = (TextView) findViewById(R.id.address_input);
        this.mAddressMoreTextView = (TextView) findViewById(R.id.address_more_input);
        this.mAddressMoreTextView.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityAddressAdd.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityAddressAdd.this.submit();
                return false;
            }
        });
        this.mDefaultAddressBox = (CheckBox) findViewById(R.id.default_adress);
        this.mAddressTextView.setOnClickListener(this);
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit();
                return;
            case R.id.address_input:
                startSelect();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    @Override // cn.beekee.zhongtong.AdrLocActivity, cn.beekee.zhongtong.util.AddressAllSelect.IAddressSelectListener
    public void pickAddress(String province, String provinceCode, String city, String cityCode, String district, String districtCode) {
        super.pickAddress(province, provinceCode, city, cityCode, district, districtCode);
        this.mAddressTextView.setText(province + "/" + city + "/" + district);
    }

    @Override // com.baidu.location.BDLocationListener, cn.beekee.zhongtong.AdrLocActivity
    public void onReceiveLocation(BDLocation location) {
        super.onReceiveLocation(location);
        if (location != null) {
            String province = location.getProvince();
            String city = location.getCity();
            String district = location.getDistrict();
            String address = location.getAddrStr();
            Log.e("", "" + address);
            if (TextUtils.isEmpty(province) || TextUtils.isEmpty(city) || TextUtils.isEmpty(district)) {
                SweetDialogCreator.showWarning(this, "定位有误，请手动输入");
                return;
            }
            this.mAddressTextView.setText(province + "/" + city + "/" + district);
            if (TextUtils.isEmpty(address)) {
                SweetDialogCreator.showWarning(this, "请手动输入具体地址");
                return;
            }
            String[] detailAdr = address.split(district);
            if (detailAdr == null || detailAdr.length != 2 || detailAdr[1] == null) {
                this.mAddressMoreTextView.setText("");
                SweetDialogCreator.showWarning(this, "请手动输入具体地址");
                return;
            }
            this.mAddressMoreTextView.setText(detailAdr[1]);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void submit() {
        String name = this.mNameTextViewt.getText().toString();
        String phone = this.mPhoneTextView.getText().toString();
        String adr = this.mAddressTextView.getText().toString();
        String adrMore = this.mAddressMoreTextView.getText().toString();
        if (TextUtils.isEmpty(name) || TextUtils.isEmpty(phone) || TextUtils.isEmpty(adr) || TextUtils.isEmpty(adrMore)) {
            SweetDialogCreator.showWarning(this, "请输入完整信息");
        } else if (TextUtils.isEmpty(this.mProvinceId) || TextUtils.isEmpty(this.mCityId) || TextUtils.isEmpty(this.mDistrictId)) {
            SweetDialogCreator.showWarning(this, "请手动输入地址！--非常抱歉");
        } else {
            NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ADDRESS_ADD_OPENID + MainActivity.gLoginBean.getOpenId() + StaticParam.ADDRESS_ADD_UPDATE_NAME + name + "&Mobile=" + phone + StaticParam.ADDRESS_ADD_UPDATE_PROID + this.mProvinceId + StaticParam.ADDRESS_ADD_UPDATE_CITYID + this.mCityId + StaticParam.ADDRESS_ADD_UPDATE_DISID + this.mDistrictId + StaticParam.ADDRESS_ADD_UPDATE_ADR + adrMore + UnixTime.getUnixNet(), this);
        }
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        if (ResultBean.checkBean(this, new PhoneVerifyBean((String) result))) {
            Toast.makeText(this, "添加地址成功", 0).show();
            finish();
        }
        return true;
    }
}
