package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import java.util.Map;

public class ActivityForget extends ActivityBase implements View.OnClickListener {
    EditText mPhoneEditText;
    int mPswGet;
    EditText mUserEditText;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_forget);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("忘记密码");
        this.mUserEditText = (EditText) findViewById(R.id.user_input);
        this.mPhoneEditText = (EditText) findViewById(R.id.phone_input);
        this.mPhoneEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityForget.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityForget.this.submit(ActivityForget.this.mUserEditText.getText().toString(), ActivityForget.this.mPhoneEditText.getText().toString());
                return false;
            }
        });
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit(this.mUserEditText.getText().toString(), this.mPhoneEditText.getText().toString());
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void submit(String name, String phone) {
        if (TextUtils.isEmpty(name) || TextUtils.isEmpty(phone)) {
            SweetDialogCreator.showWarning(this, "请填写全部信息");
        }
        String link = StaticParam.FORGET_PHONE_NAME + name + "&Mobile=" + phone + UnixTime.getUnixNet();
        Log.e("", "找回密码：" + link);
        this.mPswGet = NetTaskManager.getInstance().startForceTaskGet(this, link, this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        Log.e("", "result：" + result);
        Map<String, String> map = JsonOperate.decodePhoneVerify((String) result);
        if (!"true".equals(map.get("Result"))) {
            Toast.makeText(getApplicationContext(), map.get("Message"), 0).show();
            return false;
        }
        SweetDialogCreator.showSuccess(this, "获取成功,注意查收短信");
        return true;
    }
}
