package cn.beekee.zhongtong.fragment.user;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.bean.UserBean;
import cn.beekee.zhongtong.fragment.FragmentSetting;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ActivityMyAccount extends ActivityBase implements View.OnClickListener, AdapterView.OnItemClickListener {
    private static final String TEXT_KEY = "text_key";
    private SimpleAdapter mAdapter;
    int mGetInfoFlag;
    private List<Map<String, Object>> mListData = new ArrayList();
    int mQuitFlag;
    private UserBean mUserBean;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_myaccount);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("我的账户");
        FragmentSetting.scaleTopImage(this, findViewById(R.id.my_account));
        ListView listView = (ListView) findViewById(R.id.list);
        this.mAdapter = new SimpleAdapter(this, this.mListData, R.layout.item_text, new String[]{TEXT_KEY}, new int[]{R.id.text});
        listView.setAdapter((ListAdapter) this.mAdapter);
        listView.setOnItemClickListener(this);
        findViewById(R.id.quit).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        getUserInfo();
    }

    private void getUserInfo() {
        this.mGetInfoFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.USER_INFO_OPEN_ID + MainActivity.gLoginBean.getOpenId() + UnixTime.getUnixNet(), this);
    }

    private void quit() {
        this.mQuitFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.OUT_OPENID + MainActivity.gLoginBean.getOpenId() + UnixTime.getUnixNet(), this);
    }

    private void initData() {
        this.mListData.clear();
        Map<String, Object> map1 = new HashMap<>();
        map1.put(TEXT_KEY, "已绑定手机号 :" + this.mUserBean.getMobile());
        this.mListData.add(map1);
        Map<String, Object> map2 = new HashMap<>();
        map2.put(TEXT_KEY, "修改密码");
        this.mListData.add(map2);
        this.mAdapter.notifyDataSetChanged();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.quit:
                quit();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        if (position == 0) {
            Intent intent = new Intent(this, ActivityPhoneChange.class);
            intent.putExtra("data", this.mUserBean);
            startActivity(intent);
        } else if (position == 1) {
            startActivity(new Intent(this, ActivityPswChange.class));
        }
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        if (flag == this.mGetInfoFlag) {
            UserBean userBean = new UserBean((String) result);
            if (ResultBean.checkBean(this, userBean)) {
                this.mUserBean = userBean;
                initData();
            }
        } else if (flag == this.mQuitFlag && ResultBean.checkBean(this, new PhoneVerifyBean((String) result))) {
            setResult(-1);
            finish();
        }
        return true;
    }
}
