package cn.beekee.zhongtong.fragment.user;

import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.AddressAllBean;
import cn.beekee.zhongtong.bean.AddressBean;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.ResultBean;
import cn.beekee.zhongtong.util.DialogHint;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import java.util.ArrayList;
import java.util.List;

public class ActivityMyAddress extends ActivityBase implements View.OnClickListener, AdapterView.OnItemClickListener, DialogHint.IDialogListener {
    BaseAdapter mAdapter = new AddressAdapter();
    int mAllGetFlag;
    int mDeleteFlag;
    List<AddressBean> mListData = new ArrayList();
    ListView mListView;
    int mPosition;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_myaddress);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("我的地址薄");
        this.mListView = (ListView) findViewById(R.id.list);
        this.mListView.setOnItemClickListener(this);
        TextView tView = (TextView) findViewById(R.id.address_add);
        tView.setText("＋添加新地址");
        tView.setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        getAllAddress();
    }

    private void getAllAddress() {
        this.mAllGetFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ADDRESS_ALL_OPENID + MainActivity.gLoginBean.getOpenId() + UnixTime.getUnixNet(), this);
    }

    private void deleteAddress() {
        this.mDeleteFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.ADDRESS_DEL_OPEN_ID + MainActivity.gLoginBean.getOpenId() + StaticParam.ADDRESS_DEL_ADR_ID + this.mListData.get(this.mPosition).getId() + UnixTime.getUnixNet(), this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.address_add:
                startActivity(new Intent(this, ActivityAddressAdd.class));
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        if (flag == this.mAllGetFlag) {
            AddressAllBean allBean = new AddressAllBean((String) result);
            if (ResultBean.checkBean(this, allBean)) {
                this.mListData = allBean.getAddressBeans();
                setAdapter();
            }
        } else if (flag == this.mDeleteFlag && ResultBean.checkBean(this, new PhoneVerifyBean((String) result))) {
            this.mListData.remove(this.mPosition);
            this.mAdapter.notifyDataSetChanged();
            SweetDialogCreator.showSuccess(this, "删除成功");
        }
        return true;
    }

    private void setAdapter() {
        this.mAdapter = new AddressAdapter();
        this.mListView.setAdapter((ListAdapter) this.mAdapter);
    }

    @Override // cn.beekee.zhongtong.util.DialogHint.IDialogListener
    public void clickOK(boolean ok) {
        if (ok) {
            deleteAddress();
        }
    }

    /* access modifiers changed from: package-private */
    public class AddressAdapter extends BaseAdapter {
        AddressAdapter() {
        }

        public int getCount() {
            return ActivityMyAddress.this.mListData.size();
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(final int position, View convertView, ViewGroup parent) {
            AddressBean data = ActivityMyAddress.this.mListData.get(position);
            if (convertView == null) {
                convertView = LayoutInflater.from(ActivityMyAddress.this).inflate(R.layout.address, (ViewGroup) null);
            }
            ((TextView) convertView.findViewById(R.id.order)).setText("在：" + data.getProvince() + "/" + data.getCity() + "/" + data.getDistrict());
            ((TextView) convertView.findViewById(R.id.name)).setText("姓名：" + data.getContactName());
            ((TextView) convertView.findViewById(R.id.address)).setText("详细地址：" + data.getAddress());
            ((TextView) convertView.findViewById(R.id.phone)).setText("电话：" + data.getMobile());
            convertView.findViewById(R.id.delete).setOnClickListener(new View.OnClickListener() {
                /* class cn.beekee.zhongtong.fragment.user.ActivityMyAddress.AddressAdapter.AnonymousClass1 */

                public void onClick(View v) {
                    ActivityMyAddress.this.mPosition = position;
                    DialogHint.showDialog(ActivityMyAddress.this, "要删除此条地址吗", ActivityMyAddress.this);
                }
            });
            return convertView;
        }
    }
}
