package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.myzto.OrderAlreadyFragment;
import cn.beekee.zhongtong.fragment.myzto.OrderCancelFragment;
import cn.beekee.zhongtong.fragment.myzto.OrderFragment;
import cn.beekee.zhongtong.fragment.myzto.OrderNotFragment;

public class ActivityMyOrder extends ActivityBase implements View.OnClickListener {
    EditText mContentEditText;
    OrderFragment[] mFragments = {new OrderNotFragment(), new OrderAlreadyFragment(), new OrderCancelFragment()};
    int mPosition;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_myorder);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("我的订单");
        this.mContentEditText = (EditText) findViewById(R.id.search_content);
        this.mContentEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityMyOrder.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityMyOrder.this.sendMessage(ActivityMyOrder.this.mContentEditText.getText().toString());
                return false;
            }
        });
        findViewById(R.id.search).setOnClickListener(this);
        getFragmentManager().beginTransaction().add(R.id.frame, this.mFragments[0]).add(R.id.frame, this.mFragments[1]).add(R.id.frame, this.mFragments[2]).commit();
        not(null);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.search:
                sendMessage(this.mContentEditText.getText().toString());
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    public void not(View view) {
        this.mPosition = 0;
        getFragmentManager().beginTransaction().show(this.mFragments[0]).hide(this.mFragments[1]).hide(this.mFragments[2]).commit();
    }

    public void already(View view) {
        this.mPosition = 1;
        getFragmentManager().beginTransaction().hide(this.mFragments[0]).show(this.mFragments[1]).hide(this.mFragments[2]).commit();
    }

    public void cancel(View view) {
        this.mPosition = 2;
        getFragmentManager().beginTransaction().hide(this.mFragments[0]).hide(this.mFragments[1]).show(this.mFragments[2]).commit();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendMessage(String request) {
        this.mFragments[this.mPosition].receive(request);
    }
}
