package cn.beekee.zhongtong.fragment.user;

import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.SiteInfoBean;
import cn.beekee.zhongtong.database.DatabaseSiteInfoHelper;
import cn.beekee.zhongtong.fragment.main.ActivityRangeInfo;
import cn.beekee.zhongtong.fragment.main.ActivityRangeSearch;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import com.baoyz.swipemenulistview.SwipeMenu;
import com.baoyz.swipemenulistview.SwipeMenuCreator;
import com.baoyz.swipemenulistview.SwipeMenuItem;
import com.baoyz.swipemenulistview.SwipeMenuListView;
import java.util.ArrayList;
import java.util.List;

public class ActivityMySite extends ActivityBase implements View.OnClickListener, AdapterView.OnItemClickListener {
    MySiteAdapter mAdapter;
    List<SiteListItem> mListData;
    SwipeMenuListView mListView;
    int mPosition;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mysite);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("我收藏的网点");
        this.mListView = (SwipeMenuListView) findViewById(R.id.listview);
        this.mListView.setOnItemClickListener(this);
        initListView();
        findViewById(R.id.site_add).setOnClickListener(this);
    }

    private void initListView() {
        this.mListView.setMenuCreator(new SwipeMenuCreator() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityMySite.AnonymousClass1 */

            @Override // com.baoyz.swipemenulistview.SwipeMenuCreator
            public void create(SwipeMenu menu) {
                switch (menu.getViewType()) {
                    case 0:
                    default:
                        return;
                    case 1:
                        createDelete(menu);
                        return;
                }
            }

            private void createDelete(SwipeMenu menu) {
                SwipeMenuItem deleteItem = new SwipeMenuItem(ActivityMySite.this.getApplicationContext());
                deleteItem.setBackground(new ColorDrawable(Color.rgb(249, 63, 37)));
                deleteItem.setWidth(DeviceUtil.dp2px(ActivityMySite.this, 90));
                deleteItem.setIcon(R.drawable.trash);
                menu.addMenuItem(deleteItem);
            }
        });
        this.mListView.setOnMenuItemClickListener(new SwipeMenuListView.OnMenuItemClickListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityMySite.AnonymousClass2 */

            @Override // com.baoyz.swipemenulistview.SwipeMenuListView.OnMenuItemClickListener
            public boolean onMenuItemClick(int position, SwipeMenu menu, int index) {
                Log.e("", "---position:" + position + "--index:" + index + "--listSize:" + ActivityMySite.this.mListData.size());
                switch (index) {
                    case 0:
                        ActivityMySite.this.performDelete(position);
                        return false;
                    default:
                        return false;
                }
            }
        });
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        new MyAsyncTask(-1).execute(new Void[0]);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.site_add:
                addSite();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    private void addSite() {
        startActivity(new Intent(this, ActivityRangeSearch.class));
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        if (this.mListData.get(position).getType() == 1) {
            Intent intent = new Intent(this, ActivityRangeInfo.class);
            Bundle bundle = new Bundle();
            bundle.putSerializable("data", this.mListData.get(position).getContent());
            intent.putExtras(bundle);
            startActivity(intent);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void performDelete(int position) {
        this.mPosition = position;
        new MyAsyncTask(this.mPosition).execute(new Void[0]);
    }

    class MySiteAdapter extends BaseAdapter {
        MySiteAdapter() {
        }

        public int getViewTypeCount() {
            return 2;
        }

        public int getItemViewType(int position) {
            return ActivityMySite.this.mListData.get(position).getType();
        }

        public int getCount() {
            if (ActivityMySite.this.mListData == null) {
                return 0;
            }
            return ActivityMySite.this.mListData.size();
        }

        public Object getItem(int position) {
            return Integer.valueOf(position);
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            View convertView2 = null;
            SiteListItem siteItem = ActivityMySite.this.mListData.get(position);
            switch (getItemViewType(position)) {
                case 0:
                    convertView2 = LayoutInflater.from(ActivityMySite.this).inflate(R.layout.item_listview_site_title, (ViewGroup) null);
                    ((TextView) convertView2.findViewById(R.id.group_basis)).setText(siteItem.getMsg());
                    break;
                case 1:
                    convertView2 = LayoutInflater.from(ActivityMySite.this).inflate(R.layout.item_listview_site_content_slip, (ViewGroup) null);
                    ((TextView) convertView2.findViewById(R.id.info)).setText(siteItem.getMsg());
                    break;
            }
            if (convertView2 != null) {
                return convertView2;
            }
            throw new RuntimeException("I'm is 咔擦，怎么会没有ListView类型呢");
        }
    }

    /* access modifiers changed from: package-private */
    public class MyAsyncTask extends AsyncTask<Void, Void, Object> {
        int flag;

        public MyAsyncTask(int flag2) {
            this.flag = flag2;
        }

        /* access modifiers changed from: protected */
        public Object doInBackground(Void... params) {
            if (this.flag < 0) {
                return DatabaseSiteInfoHelper.getInstance(ActivityMySite.this).query();
            }
            return Boolean.valueOf(DatabaseSiteInfoHelper.getInstance(ActivityMySite.this).delete(ActivityMySite.this.mListData.get(this.flag).getContent().getSiteId()));
        }

        /* access modifiers changed from: protected */
        @Override // android.os.AsyncTask
        public void onPostExecute(Object result) {
            super.onPostExecute(result);
            if (result != null) {
                if (this.flag < 0) {
                    ActivityMySite.this.mListData = dealRawData((List) result);
                    ActivityMySite.this.mAdapter = new MySiteAdapter();
                    ActivityMySite.this.mListView.setAdapter((ListAdapter) ActivityMySite.this.mAdapter);
                } else if (((Boolean) result).booleanValue()) {
                    Log.e("", "----remove:" + this.flag);
                    ActivityMySite.this.mListData.remove(this.flag);
                    if (ActivityMySite.this.mListData.get(this.flag - 1).getType() == 0 && (this.flag >= ActivityMySite.this.mListData.size() || ActivityMySite.this.mListData.get(this.flag).getType() == 0)) {
                        Log.e("", "----removeTitle:" + (this.flag - 1));
                        ActivityMySite.this.mListData.remove(this.flag - 1);
                    }
                    ActivityMySite.this.mAdapter = new MySiteAdapter();
                    ActivityMySite.this.mListView.setAdapter((ListAdapter) ActivityMySite.this.mAdapter);
                    SweetDialogCreator.showSuccess(ActivityMySite.this, "删除成功");
                } else {
                    SweetDialogCreator.showError(ActivityMySite.this, "删除失败");
                }
            }
        }

        private List<SiteListItem> dealRawData(List<SiteInfoBean> list) {
            List<SiteListItem> siteListItems = new ArrayList<>();
            copy(list, siteListItems);
            insertHead(siteListItems);
            return siteListItems;
        }

        private void copy(List<SiteInfoBean> srcList, List<SiteListItem> toList) {
            for (SiteInfoBean bean : srcList) {
                toList.add(new SiteListItem(bean));
            }
        }

        private void insertHead(List<SiteListItem> listItems) {
            List<String> cacheList = new ArrayList<>();
            for (int i = 0; i < listItems.size(); i++) {
                String basis = listItems.get(i).getGroupBasis();
                if (!cacheList.contains(basis)) {
                    listItems.add(i, new SiteListItem(basis));
                    cacheList.add(basis);
                }
            }
        }
    }

    public static class SiteListItem {
        private String province;
        private SiteInfoBean siteInfoBean;
        private int type = 1;

        public SiteListItem(String province2) {
            this.province = province2;
        }

        public SiteListItem(SiteInfoBean infoBean) {
            this.siteInfoBean = infoBean;
        }

        public int getType() {
            return this.type;
        }

        public SiteInfoBean getContent() {
            return this.siteInfoBean;
        }

        public String getGroupBasis() {
            return this.siteInfoBean.getSiteProvince();
        }

        public String getMsg() {
            if (this.type == 0) {
                return this.province;
            }
            return this.siteInfoBean.getSiteName();
        }
    }
}
