package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.UserBean;
import cn.beekee.zhongtong.fragment.FragmentSetting;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.TimerThreadHandler;

public class ActivityPhoneChange extends ActivityBase implements View.OnClickListener {
    public static final String DATA = "data";
    private Handler HANDLER = new Handler(new Handler.Callback() {
        /* class cn.beekee.zhongtong.fragment.user.ActivityPhoneChange.AnonymousClass1 */

        public boolean handleMessage(Message msg) {
            TextView textView = ActivityPhoneChange.this.mOldVerifyGet;
            if (msg.arg2 == 1) {
                textView = ActivityPhoneChange.this.mNewVerifyGet;
            }
            switch (msg.what) {
                case 0:
                    ActivityPhoneChange.this.updateVerify(msg.arg1, textView);
                    return false;
                case 1:
                    ActivityPhoneChange.this.usefulVerify(textView);
                    return false;
                case 2:
                    ActivityPhoneChange.this.unusefulVerify(textView);
                    return false;
                default:
                    return false;
            }
        }
    });
    int mModifyFlag;
    int mNewFlag;
    EditText mNewPhoneEditText;
    EditText mNewVerifyEditText;
    TextView mNewVerifyGet;
    int mOldFlag;
    EditText mOldVerifyEditText;
    TextView mOldVerifyGet;
    UserBean mUserBean;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_phone_change);
        this.mUserBean = (UserBean) getIntent().getSerializableExtra("data");
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("更改绑定手机");
        FragmentSetting.scaleTopImage(this, findViewById(R.id.my_account));
        ((TextView) findViewById(R.id.old)).setText("旧手机号：" + this.mUserBean.getMobile());
        this.mOldVerifyEditText = (EditText) findViewById(R.id.test1).findViewById(R.id.verify_input);
        this.mOldVerifyEditText.setHint("请输入旧手机验证码");
        this.mOldVerifyGet = (TextView) findViewById(R.id.test1).findViewById(R.id.verify);
        this.mNewPhoneEditText = (EditText) findViewById(R.id.phone_input);
        this.mNewPhoneEditText.setHint("请输入新绑定的手机号码");
        this.mNewVerifyEditText = (EditText) findViewById(R.id.test3).findViewById(R.id.verify_input);
        this.mNewVerifyEditText.setHint("请输入新手机验证码");
        this.mNewVerifyEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityPhoneChange.AnonymousClass2 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityPhoneChange.this.submit();
                return false;
            }
        });
        this.mNewVerifyGet = (TextView) findViewById(R.id.test3).findViewById(R.id.verify);
        this.mOldVerifyGet.setOnClickListener(this);
        this.mNewVerifyGet.setOnClickListener(this);
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        if (v == this.mOldVerifyGet) {
            getOldVerify();
        } else if (v == this.mNewVerifyGet) {
            getNewVerify();
        } else {
            switch (v.getId()) {
                case R.id.submit:
                    submit();
                    return;
                case R.id.back:
                    finish();
                    return;
                default:
                    return;
            }
        }
    }

    private void getOldVerify() {
        this.mOldFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.PHONE_MODIFY_SRC_OPENID + MainActivity.gLoginBean.getOpenId() + StaticParam.PHONE_MODIFY_SRC_SUF + UnixTime.getUnixNet(), this);
    }

    private void getNewVerify() {
        String srcVerify = this.mOldVerifyEditText.getText().toString();
        String newPhone = this.mNewPhoneEditText.getText().toString();
        if (TextUtils.isEmpty(srcVerify) || TextUtils.isEmpty(newPhone)) {
            SweetDialogCreator.showWarning(this, "请填写完整内容");
            return;
        }
        this.mNewFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.PHONE_MODIFY_NEW_OPENID + MainActivity.gLoginBean.getOpenId() + "&CheckCode=" + srcVerify + "&Mobile=" + newPhone + "&" + UnixTime.getUnixNet(), this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void submit() {
        String newVerify = this.mNewVerifyEditText.getText().toString();
        String newPhone = this.mNewPhoneEditText.getText().toString();
        if (TextUtils.isEmpty(newVerify) || TextUtils.isEmpty(newPhone)) {
            SweetDialogCreator.showWarning(this, "请填写完整内容");
            return;
        }
        this.mModifyFlag = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.PHONE_MODIFY_SUBMIT_OPENID + MainActivity.gLoginBean.getOpenId() + "&CheckCode=" + newVerify + "&Mobile=" + newPhone + "&" + UnixTime.getUnixNet(), this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        PhoneVerifyBean phoneBean = new PhoneVerifyBean((String) result);
        if (!phoneBean.isParseResult()) {
            SweetDialogCreator.showError(this, StaticParam.NET_SERVICE_DATA_NOT);
            return false;
        } else if (!phoneBean.isResult()) {
            SweetDialogCreator.showError(this, phoneBean.getMessage());
            return false;
        } else {
            if (this.mModifyFlag == flag) {
                Toast.makeText(this, "修改成功", 0).show();
                finish();
            } else if (flag == this.mOldFlag) {
                SweetDialogCreator.showSuccess(this, "获取成功,注意查收短信");
                TimerThreadHandler.startTimer(this.HANDLER, 0);
            } else if (flag == this.mNewFlag) {
                SweetDialogCreator.showSuccess(this, "获取成功,注意查收短信");
                TimerThreadHandler.startTimer(this.HANDLER, 1);
            }
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void unusefulVerify(TextView textView) {
        textView.setClickable(false);
        textView.setBackgroundResource(R.color.text_gray);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateVerify(int time, TextView textView) {
        if (time < 10) {
            textView.setText("请小憩0" + time + "秒");
        } else {
            textView.setText("请小憩" + time + "秒");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void usefulVerify(TextView textView) {
        textView.setText("获取验证码");
        textView.setClickable(true);
        textView.setBackgroundResource(R.drawable.selector_verify);
    }
}
