package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.MainActivity;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.bean.UserBean;
import cn.beekee.zhongtong.fragment.FragmentSetting;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.NetTaskManager;

public class ActivityPswChange extends ActivityBase implements View.OnClickListener {
    EditText mNewPswAgainEditText;
    EditText mNewPswEditText;
    EditText mOldPswEditText;
    UserBean mUserBean;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_psw_change);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("更改密码");
        FragmentSetting.scaleTopImage(this, findViewById(R.id.my_account));
        this.mOldPswEditText = (EditText) findViewById(R.id.test1).findViewById(R.id.psw_input);
        this.mNewPswEditText = (EditText) findViewById(R.id.test2).findViewById(R.id.psw_input);
        this.mNewPswAgainEditText = (EditText) findViewById(R.id.test3).findViewById(R.id.psw_again_input);
        this.mNewPswAgainEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityPswChange.AnonymousClass1 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityPswChange.this.submit();
                return false;
            }
        });
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void submit() {
        String oldPsw = this.mOldPswEditText.getText().toString();
        String newPsw = this.mNewPswEditText.getText().toString();
        String newAgainPsw = this.mNewPswAgainEditText.getText().toString();
        if (TextUtils.isEmpty(oldPsw) || TextUtils.isEmpty(newPsw) || TextUtils.isEmpty(newAgainPsw)) {
            SweetDialogCreator.showWarning(this, "请输入完整信息");
            return;
        }
        NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.PSW_MODIFY_OPENID + MainActivity.gLoginBean.getOpenId() + StaticParam.PSW_MODIFY_OLD_PSW + oldPsw + "&Password=" + newPsw + "&ConfirmPassword=" + newAgainPsw + UnixTime.getUnixNet(), this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        PhoneVerifyBean verifyBean = new PhoneVerifyBean((String) result);
        if (!verifyBean.isParseResult()) {
            SweetDialogCreator.showError(this, StaticParam.NET_SERVICE_DATA_NOT);
            return false;
        } else if (!verifyBean.isResult()) {
            SweetDialogCreator.showError(this, verifyBean.getMessage());
            return false;
        } else {
            Toast.makeText(this, "修改成功", 0).show();
            finish();
            return true;
        }
    }
}
