package cn.beekee.zhongtong.fragment.user;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.beekee.zhongtong.util.net.JsonOperate;
import cn.beekee.zhongtong.util.net.NetTaskManager;
import cn.beekee.zhongtong.util.net.TimerThreadHandler;
import java.util.Map;

public class ActivityRegister extends ActivityBase implements View.OnClickListener {
    private Handler HANDLER = new Handler(new Handler.Callback() {
        /* class cn.beekee.zhongtong.fragment.user.ActivityRegister.AnonymousClass1 */

        public boolean handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    ActivityRegister.this.updateVerify(msg.arg1, ActivityRegister.this.mVerifyText);
                    return false;
                case 1:
                    ActivityRegister.this.usefulVerify(ActivityRegister.this.mVerifyText);
                    return false;
                case 2:
                    ActivityRegister.this.unusefulVerify(ActivityRegister.this.mVerifyText);
                    return false;
                default:
                    return false;
            }
        }
    });
    EditText mPhoneEditText;
    EditText mPswAgainEditText;
    EditText mPswEditText;
    int mRegister;
    EditText mUserEditText;
    EditText mVerifyEditText;
    int mVerifyGet;
    TextView mVerifyText;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_register);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("注册");
        this.mUserEditText = (EditText) findViewById(R.id.user_input);
        this.mPhoneEditText = (EditText) findViewById(R.id.phone_input);
        this.mVerifyEditText = (EditText) findViewById(R.id.verify_input);
        this.mPswEditText = (EditText) findViewById(R.id.psw_input);
        this.mPswAgainEditText = (EditText) findViewById(R.id.psw_again_input);
        this.mPswAgainEditText.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            /* class cn.beekee.zhongtong.fragment.user.ActivityRegister.AnonymousClass2 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId != 6) {
                    return false;
                }
                ActivityRegister.this.submit(ActivityRegister.this.mUserEditText.getText().toString(), ActivityRegister.this.mPhoneEditText.getText().toString(), ActivityRegister.this.mVerifyEditText.getText().toString(), ActivityRegister.this.mPswEditText.getText().toString(), ActivityRegister.this.mPswAgainEditText.getText().toString());
                return false;
            }
        });
        this.mVerifyText = (TextView) findViewById(R.id.verify);
        this.mVerifyText.setOnClickListener(this);
        findViewById(R.id.submit).setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.submit:
                submit(this.mUserEditText.getText().toString(), this.mPhoneEditText.getText().toString(), this.mVerifyEditText.getText().toString(), this.mPswEditText.getText().toString(), this.mPswAgainEditText.getText().toString());
                return;
            case R.id.verify:
                getVerify(this.mPhoneEditText.getText().toString());
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    private void getVerify(String phone) {
        if (TextUtils.isEmpty(phone)) {
            SweetDialogCreator.showWarning(this, "请输入手机号码");
            return;
        }
        this.mVerifyGet = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.VERIFY_PHONE + phone + StaticParam.VERIFY_PHONE_SUF + UnixTime.getUnixNet(), this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void submit(String name, String phone, String verify, String psw, String pswAgain) {
        if (TextUtils.isEmpty(name) || TextUtils.isEmpty(phone) || TextUtils.isEmpty(verify) || TextUtils.isEmpty(psw) || TextUtils.isEmpty(pswAgain)) {
            SweetDialogCreator.showWarning(this, "请填写完整信息");
            return;
        }
        this.mRegister = NetTaskManager.getInstance().startForceTaskGet(this, StaticParam.REGISTER_NAME + name + StaticParam.REGISTER_PHONE + phone + "&ValidateCode=" + verify + "&Password=" + psw + "&ConfirmPassword=" + pswAgain + StaticParam.REGISTER_SUF + UnixTime.getUnixNet(), this);
    }

    @Override // cn.beekee.zhongtong.util.net.NetTaskManager.INetListener, cn.beekee.zhongtong.ActivityBase
    public boolean netResult(int flag, Object result) {
        if (!super.netResult(flag, result)) {
            return false;
        }
        Map<String, String> map = JsonOperate.decodePhoneVerify((String) result);
        if (!"true".equals(map.get("Result"))) {
            SweetDialogCreator.showError(this, map.get("Message"));
            return false;
        }
        if (flag == this.mVerifyGet) {
            SweetDialogCreator.showSuccess(this, "获取成功,注意查收短信");
            TimerThreadHandler.startTimer(this.HANDLER);
        } else if (flag == this.mRegister) {
            SweetDialogCreator.showSuccess(this, "注册成功");
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void unusefulVerify(TextView textView) {
        textView.setClickable(false);
        textView.setBackgroundResource(R.color.text_gray);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateVerify(int time, TextView textView) {
        if (time < 10) {
            textView.setText("请小憩0" + time + "秒");
        } else {
            textView.setText("请小憩" + time + "秒");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void usefulVerify(TextView textView) {
        textView.setText("获取验证码");
        textView.setClickable(true);
        textView.setBackgroundResource(R.drawable.selector_verify);
    }
}
