package cn.beekee.zhongtong.util;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.NumberPicker;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.database.DatabaseAdrressHelper;
import cn.beekee.zhongtong.util.AddressManager;
import cn.beekee.zhongtong.view.MyPicker;
import com.orhanobut.dialogplus.DialogPlus;
import com.orhanobut.dialogplus.ViewHolder;

public class AddressAllSelect implements AddressManager.IAddressOpeListener {
    AddressManager mAddressManager = new AddressManager(this.mContext, this);
    MyPicker mCityPicker;
    Context mContext;
    DialogPlus mDialogPlus;
    MyPicker mDistrictPicker;
    IAddressSelectListener mListener;
    MyPicker mProvincePicker;

    public interface IAddressSelectListener {
        void pickAddress(String str, String str2, String str3, String str4, String str5, String str6);
    }

    public AddressAllSelect(Context context, IAddressSelectListener listener) {
        this.mContext = context;
        this.mListener = listener;
        createDialogPlus();
    }

    private void createDialogPlus() {
        this.mDialogPlus = DialogPlus.newDialog(this.mContext).setContentHolder(new ViewHolder(createSelectView())).setCancelable(true).setGravity(80).create();
    }

    private View createSelectView() {
        View view = LayoutInflater.from(this.mContext).inflate(R.layout.address_selector, (ViewGroup) null);
        this.mProvincePicker = (MyPicker) view.findViewById(R.id.province);
        this.mCityPicker = (MyPicker) view.findViewById(R.id.city);
        this.mDistrictPicker = (MyPicker) view.findViewById(R.id.district);
        NumberPicker.OnValueChangeListener onValueChangeListener = new NumberPicker.OnValueChangeListener() {
            /* class cn.beekee.zhongtong.util.AddressAllSelect.AnonymousClass1 */

            public void onValueChange(NumberPicker picker, int oldVal, int newVal) {
                if (picker == AddressAllSelect.this.mProvincePicker) {
                    AddressAllSelect.this.mAddressManager.getCityArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + AddressAllSelect.this.mProvincePicker.getSelectName());
                } else if (picker == AddressAllSelect.this.mCityPicker) {
                    AddressAllSelect.this.mAddressManager.getDistrictArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + AddressAllSelect.this.mProvincePicker.getSelectName() + AddressAllSelect.this.mCityPicker.getSelectName());
                } else if (picker == AddressAllSelect.this.mDistrictPicker) {
                    AddressAllSelect.this.performAddressListener();
                }
            }
        };
        this.mProvincePicker.setOnValueChangedListener(onValueChangeListener);
        this.mCityPicker.setOnValueChangedListener(onValueChangeListener);
        this.mDistrictPicker.setOnValueChangedListener(onValueChangeListener);
        return view;
    }

    public void startSelect() {
        this.mAddressManager.getProvinceArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE);
        this.mDialogPlus.show();
    }

    public void closeSelect() {
        if (this.mDialogPlus != null && this.mDialogPlus.isShowing()) {
            this.mDialogPlus.dismiss();
        }
    }

    @Override // cn.beekee.zhongtong.util.AddressManager.IAddressOpeListener
    public void onAddressOver(int flag, Object result) {
        Object result2 = result;
        if (result == null) {
            result2 = new String[][]{new String[]{""}, new String[]{""}};
        }
        String[][] save = (String[][]) result2;
        if (flag == 3) {
            this.mProvincePicker.setMyDisplayStrings(save);
            this.mAddressManager.getCityArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + this.mProvincePicker.getSelectName());
        } else if (flag == 4) {
            this.mCityPicker.setMyDisplayStrings(save);
            this.mAddressManager.getDistrictArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + this.mProvincePicker.getSelectName() + this.mCityPicker.getSelectName());
        } else if (flag == 5) {
            this.mDistrictPicker.setMyDisplayStrings(save);
            performAddressListener();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void performAddressListener() {
        if (this.mListener != null) {
            this.mListener.pickAddress(this.mProvincePicker.getSelectName(), this.mProvincePicker.getSelectCode(), this.mCityPicker.getSelectName(), this.mCityPicker.getSelectCode(), this.mDistrictPicker.getSelectName(), this.mDistrictPicker.getSelectCode());
        }
    }
}
