package cn.beekee.zhongtong.util;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.NumberPicker;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.database.DatabaseAdrressHelper;
import cn.beekee.zhongtong.util.AddressManager;
import cn.beekee.zhongtong.view.MyPicker;
import com.orhanobut.dialogplus.DialogPlus;
import com.orhanobut.dialogplus.ViewHolder;

public class AddressPriceSelect implements AddressManager.IAddressOpeListener {
    AddressManager mAddressManager = new AddressManager(this.mContext, this);
    MyPicker mCityPicker;
    Context mContext;
    DialogPlus mDialogPlus;
    IAddressPriceSelectListener mListener;
    MyPicker mProvincePicker;

    public interface IAddressPriceSelectListener {
        void pickAddressPrice(String str, String str2, String str3);
    }

    public AddressPriceSelect(Context context, IAddressPriceSelectListener listener) {
        this.mContext = context;
        this.mListener = listener;
        createDialogPlus();
    }

    private void createDialogPlus() {
        this.mDialogPlus = DialogPlus.newDialog(this.mContext).setContentHolder(new ViewHolder(createSelectView())).setCancelable(true).setGravity(80).create();
    }

    private View createSelectView() {
        View view = LayoutInflater.from(this.mContext).inflate(R.layout.address_price_selector, (ViewGroup) null);
        this.mProvincePicker = (MyPicker) view.findViewById(R.id.province);
        this.mCityPicker = (MyPicker) view.findViewById(R.id.city);
        NumberPicker.OnValueChangeListener onValueChangeListener = new NumberPicker.OnValueChangeListener() {
            /* class cn.beekee.zhongtong.util.AddressPriceSelect.AnonymousClass1 */

            public void onValueChange(NumberPicker picker, int oldVal, int newVal) {
                if (picker == AddressPriceSelect.this.mProvincePicker) {
                    AddressPriceSelect.this.mAddressManager.getCityArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + AddressPriceSelect.this.mProvincePicker.getSelectName());
                } else if (picker == AddressPriceSelect.this.mCityPicker) {
                    AddressPriceSelect.this.performListener();
                }
            }
        };
        this.mProvincePicker.setOnValueChangedListener(onValueChangeListener);
        this.mCityPicker.setOnValueChangedListener(onValueChangeListener);
        return view;
    }

    public void startSelect() {
        this.mAddressManager.getProvinceArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE);
        this.mDialogPlus.show();
    }

    public void closeSelect() {
        if (this.mDialogPlus != null && this.mDialogPlus.isShowing()) {
            this.mDialogPlus.dismiss();
        }
    }

    @Override // cn.beekee.zhongtong.util.AddressManager.IAddressOpeListener
    public void onAddressOver(int flag, Object result) {
        if (result != null) {
            Object save = (String[][]) result;
            if (flag == 3) {
                this.mProvincePicker.setMyDisplayStrings(save);
                this.mAddressManager.getCityArray(DatabaseAdrressHelper.TYPE_GET_PROVINCE + this.mProvincePicker.getSelectName());
            } else if (flag == 4) {
                this.mCityPicker.setMyDisplayStrings(save);
                performListener();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void performListener() {
        if (this.mListener != null) {
            this.mListener.pickAddressPrice(this.mProvincePicker.getSelectName(), this.mCityPicker.getSelectName(), this.mCityPicker.getSelectCode());
        }
    }
}
