package cn.beekee.zhongtong.util;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class BitmapUtil {
    public static BitmapFactory.Options getSize(Context context, int resId) {
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeResource(context.getResources(), resId, options);
        return options;
    }

    public static Bitmap zoomOutSizeSmaller(Context context, int resId, int requestHeight, int requestWidth) {
        BitmapFactory.Options sizeOption = getSize(context, resId);
        int scale = getScaleSmaller(sizeOption.outHeight, sizeOption.outWidth, requestHeight, requestWidth);
        BitmapFactory.Options bitmapOption = new BitmapFactory.Options();
        bitmapOption.inSampleSize = scale;
        return BitmapFactory.decodeResource(context.getResources(), resId, bitmapOption);
    }

    public static Bitmap zoomOutSizeLarger(Context context, int resId, int requestHeight, int requestWidth) {
        BitmapFactory.Options sizeOption = getSize(context, resId);
        int scale = getScaleLarger(sizeOption.outHeight, sizeOption.outWidth, requestHeight, requestWidth);
        BitmapFactory.Options bitmapOption = new BitmapFactory.Options();
        bitmapOption.inSampleSize = scale;
        return BitmapFactory.decodeResource(context.getResources(), resId, bitmapOption);
    }

    private static int getScaleSmaller(int srcHeight, int srcWidth, int toHeight, int toWidth) {
        int scale = 1;
        if (srcHeight <= toHeight && srcWidth <= toWidth) {
            return 1;
        }
        while (true) {
            scale *= 2;
            srcHeight /= 2;
            srcWidth /= 2;
            if (srcHeight <= toHeight && srcWidth <= toWidth) {
                return scale;
            }
        }
    }

    private static int getScaleLarger(int srcHeight, int srcWidth, int toHeight, int toWidth) {
        int scale = 1;
        if (srcHeight <= toHeight && srcWidth <= toWidth) {
            return 1;
        }
        do {
            scale *= 2;
            srcHeight /= 2;
            srcWidth /= 2;
            if (srcHeight < toHeight) {
                break;
            }
        } while (srcWidth >= toWidth);
        return scale / 2;
    }
}
