package cn.beekee.zhongtong.util;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.WindowManager;

public class DeviceUtil {
    public static String getUniqueId(Context context) {
        String uniqueId = MySharePreference.getIMEI(context);
        if (!TextUtils.isEmpty(uniqueId)) {
            return uniqueId;
        }
        String uniqueId2 = getDeviceImei(context);
        if (TextUtils.isEmpty(uniqueId2)) {
            uniqueId2 = System.currentTimeMillis() + "";
        }
        MySharePreference.setIMEI(context, uniqueId2);
        return uniqueId2;
    }

    private static String getDeviceImei(Context context) {
        return ((TelephonyManager) context.getSystemService("phone")).getDeviceId();
    }

    public static int getScreenWidth(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getWidth();
    }

    public static int getScreenHeight(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getHeight();
    }

    public static int getVersion(Context context) {
        PackageInfo info = getPackageInfo(context);
        if (info != null) {
            return info.versionCode;
        }
        return -1;
    }

    public static String getVersionName(Context context) {
        PackageInfo info = getPackageInfo(context);
        if (info != null) {
            return info.versionName;
        }
        return "";
    }

    public static String getPackageName(Context context) {
        return context.getPackageName();
    }

    private static PackageInfo getPackageInfo(Context context) {
        try {
            return context.getPackageManager().getPackageInfo(getPackageName(context), 0);
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static int dp2px(Context context, int dp) {
        return (int) TypedValue.applyDimension(1, (float) dp, context.getResources().getDisplayMetrics());
    }
}
