package cn.beekee.zhongtong.util;

import android.content.Context;
import cn.pedant.SweetAlert.SweetAlertDialog;

public class DialogHint {
    private static SweetAlertDialog mAlertDialog;

    public interface IDialogListener {
        void clickOK(boolean z);
    }

    public static void showDialog(Context context, String message, final IDialogListener listener) {
        if (mAlertDialog != null && mAlertDialog.isShowing()) {
            mAlertDialog.dismiss();
        }
        mAlertDialog = new SweetAlertDialog(context, 3);
        mAlertDialog.setTitleText(message);
        mAlertDialog.setCancelable(true);
        mAlertDialog.setConfirmText("好的").setCancelText("取消");
        mAlertDialog.setConfirmClickListener(new SweetAlertDialog.OnSweetClickListener() {
            /* class cn.beekee.zhongtong.util.DialogHint.AnonymousClass1 */

            @Override // cn.pedant.SweetAlert.SweetAlertDialog.OnSweetClickListener
            public void onClick(SweetAlertDialog sweetAlertDialog) {
                sweetAlertDialog.dismissWithAnimation();
                if (listener != null) {
                    listener.clickOK(true);
                }
            }
        });
        mAlertDialog.setCancelClickListener(new SweetAlertDialog.OnSweetClickListener() {
            /* class cn.beekee.zhongtong.util.DialogHint.AnonymousClass2 */

            @Override // cn.pedant.SweetAlert.SweetAlertDialog.OnSweetClickListener
            public void onClick(SweetAlertDialog sweetAlertDialog) {
                sweetAlertDialog.dismissWithAnimation();
                if (listener != null) {
                    listener.clickOK(false);
                }
            }
        });
        mAlertDialog.show();
    }

    public static void stopDialog() {
        if (mAlertDialog != null && mAlertDialog.isShowing()) {
            mAlertDialog.dismiss();
        }
    }
}
