package cn.beekee.zhongtong.util;

import android.app.AlertDialog;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import cn.beekee.zhongtong.R;

public class DialogPhoneHelper {
    Context mContext;
    AlertDialog mDialog;
    String mPhoneNumber;

    public void initDialog(Context context, String phoneNumber) {
        this.mContext = context;
        this.mPhoneNumber = phoneNumber;
        View view = LayoutInflater.from(this.mContext).inflate(R.layout.phone_call, (ViewGroup) null);
        ((TextView) view.findViewById(R.id.text)).setText("拨打" + this.mPhoneNumber);
        view.findViewById(R.id.yes).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.util.DialogPhoneHelper.AnonymousClass1 */

            public void onClick(View v) {
                DialogPhoneHelper.this.mDialog.dismiss();
                PhoneCall.phone(DialogPhoneHelper.this.mContext, DialogPhoneHelper.this.mPhoneNumber);
            }
        });
        view.findViewById(R.id.no).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.util.DialogPhoneHelper.AnonymousClass2 */

            public void onClick(View v) {
                DialogPhoneHelper.this.mDialog.dismiss();
            }
        });
        AlertDialog.Builder builder = new AlertDialog.Builder(this.mContext);
        builder.setView(view);
        this.mDialog = builder.create();
    }

    public void showDialog() {
        if (this.mDialog != null) {
            this.mDialog.show();
        }
    }

    public void dismissDialog() {
        if (this.mDialog != null && this.mDialog.isShowing()) {
            this.mDialog.dismiss();
        }
    }
}
