package cn.beekee.zhongtong.util;

import android.os.Environment;
import android.text.TextUtils;
import java.io.File;

public class FileUtil {
    static final String CACHE = "cache";
    static final String PROJECT = "ZTO";

    public File getProjectFolder() {
        if (hasExtendSdCard()) {
            return createFolder(Environment.getExternalStorageDirectory(), PROJECT);
        }
        return createFolder(Environment.getDataDirectory(), PROJECT);
    }

    public File getCacheFile(String fileName) {
        File cacheFolder = getCacheFolder();
        if (cacheFolder == null) {
            return null;
        }
        return new File(cacheFolder, fileName);
    }

    public boolean clearCache() {
        File[] files;
        File cacheFolder = getCacheFolder();
        if (!(cacheFolder == null || (files = cacheFolder.listFiles()) == null)) {
            for (File file : files) {
                file.delete();
            }
        }
        return true;
    }

    private File getCacheFolder() {
        File projectFolder = getProjectFolder();
        if (projectFolder == null) {
            return null;
        }
        return createFolder(projectFolder, CACHE);
    }

    private File createFolder(File parentFile, String folderName) {
        if (parentFile == null || TextUtils.isEmpty(folderName)) {
            return null;
        }
        File file = new File(parentFile, folderName);
        if (file.exists()) {
            return file;
        }
        file.mkdirs();
        return file;
    }

    private boolean hasExtendSdCard() {
        return "mounted".equals(Environment.getExternalStorageState());
    }
}
