package cn.beekee.zhongtong.util;

import java.util.ArrayList;
import java.util.List;

public class GroupListItem<T, C> {
    private C groupContent;
    private T groupTitle;
    private int type;

    public interface IGroupList<B> {
        B getBasis();
    }

    public GroupListItem setTitle(T groupTitle2) {
        this.groupTitle = groupTitle2;
        this.type = 0;
        return this;
    }

    public GroupListItem setContent(C groupContent2) {
        this.groupContent = groupContent2;
        this.type = 1;
        return this;
    }

    public int getType() {
        return this.type;
    }

    public T getTitle() {
        if (this.type == 0) {
            return this.groupTitle;
        }
        throw new IllegalArgumentException("此对象是组对象，不能获得头对象");
    }

    public C getContent() {
        if (this.type == 1) {
            return this.groupContent;
        }
        throw new IllegalArgumentException("此对象是头对象，不能获得组对象");
    }

    public static <C> List<GroupListItem> translate(List<C> rawList) {
        List<GroupListItem> listItems = new ArrayList<>();
        if (rawList == null) {
            return listItems;
        }
        for (C element : rawList) {
            listItems.add(new GroupListItem().setContent(element));
        }
        return null;
    }
}
