package cn.beekee.zhongtong.util;

import android.content.Context;
import cn.pedant.SweetAlert.SweetAlertDialog;

public class SweetDialogCreator {
    public static SweetAlertDialog getLoadingDialog(Context context) {
        SweetAlertDialog dialog = createAlertDialog(context, "加载中...", null, 5);
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(true);
        return dialog;
    }

    public static SweetAlertDialog successDialog(Context context, String title, String message) {
        SweetAlertDialog dialog = createAlertDialog(context, title, message, 2);
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(true);
        dialog.setConfirmText("OK");
        return dialog;
    }

    public static SweetAlertDialog successDialog(Context context, String title) {
        return successDialog(context, title, null);
    }

    public static SweetAlertDialog successDialog(Context context) {
        return successDialog(context, null);
    }

    public static SweetAlertDialog warningDialog(Context context, String title, String message) {
        SweetAlertDialog dialog = createAlertDialog(context, title, message, 3);
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(false);
        dialog.setConfirmText("额");
        return dialog;
    }

    public static SweetAlertDialog warningDialog(Context context, String title) {
        return warningDialog(context, title, null);
    }

    public static SweetAlertDialog warningDialog(Context context) {
        return warningDialog(context, null);
    }

    public static SweetAlertDialog errorDialog(Context context, String title, String message) {
        SweetAlertDialog dialog = createAlertDialog(context, title, message, 1);
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(false);
        dialog.setConfirmText("I see");
        return dialog;
    }

    public static SweetAlertDialog errorDialog(Context context, String title) {
        return errorDialog(context, title, null);
    }

    public static SweetAlertDialog errorDialog(Context context) {
        return errorDialog(context, null);
    }

    public static void notNetTip(Context context) {
        warningDialog(context, "请检查网络连接").setConfirmText("OK").show();
    }

    public static void showNormalTip(Context context, String message) {
        SweetAlertDialog dialog = createAlertDialog(context, message, null, 0);
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(true);
        dialog.setConfirmText("OK").show();
    }

    public static void showWarning(Context context, String message) {
        warningDialog(context, message).setConfirmText("OK").show();
    }

    public static void showError(Context context, String message) {
        errorDialog(context, message).setConfirmText("OK").show();
    }

    public static void showSuccess(Context context, String message) {
        successDialog(context, message).setConfirmText("OK").show();
    }

    public static SweetAlertDialog showProgress(Context context, String message) {
        SweetAlertDialog dialog = createAlertDialog(context, message, null, 5);
        dialog.show();
        return dialog;
    }

    private static SweetAlertDialog fromProgressToOther(SweetAlertDialog dialog, String message, int type) {
        if (dialog == null) {
            return null;
        }
        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(true);
        dialog.setTitleText(message);
        dialog.setConfirmText("OK");
        dialog.changeAlertType(type);
        return dialog;
    }

    public static SweetAlertDialog fromProgressToSuc(SweetAlertDialog dialog, String message) {
        return fromProgressToOther(dialog, message, 2);
    }

    public static SweetAlertDialog fromProgressToSuc(Context context, String message) {
        return fromProgressToOther(createAlertDialog(context, null, null, 2), message, 2);
    }

    public static SweetAlertDialog fromProgressToFail(SweetAlertDialog dialog, String message) {
        return fromProgressToOther(dialog, message, 1);
    }

    public static SweetAlertDialog fromProgressToFail(Context context, String message) {
        return fromProgressToOther(createAlertDialog(context, null, null, 1), message, 1);
    }

    private static SweetAlertDialog createAlertDialog(Context context, String title, String message, int alertType) {
        return new SweetAlertDialog(context, alertType).setTitleText(title).setContentText(message);
    }
}
