package cn.beekee.zhongtong.util;

import android.content.Context;
import android.graphics.BitmapFactory;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

public class ViewScale {
    public static void scaleView(View view, int width, int height) {
        ViewGroup.LayoutParams params = view.getLayoutParams();
        params.height = height;
        params.width = width;
    }

    public static void scaleViewByResource(Context context, int resId, View view) {
        BitmapFactory.Options options = BitmapUtil.getSize(context, resId);
        int width = DeviceUtil.getScreenWidth(context);
        scaleView(view, width, (options.outHeight * width) / options.outWidth);
    }

    public static void setBitmapByScreenWidth(Context context, int resId, ImageView imageView) {
        BitmapFactory.Options options = BitmapUtil.getSize(context, resId);
        int width = DeviceUtil.getScreenWidth(context);
        imageView.setImageBitmap(BitmapUtil.zoomOutSizeSmaller(context, resId, (options.outHeight * width) / options.outWidth, width));
    }
}
