package cn.beekee.zhongtong.util.net;

import cn.beekee.zhongtong.util.OrderCodeUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class JsonOperate {
    public static final String ADDRESS_FULL = "FullName";
    public static final String ADDRESS_ID = "Id";
    public static final String ADDRESS_SHORT = "ShortName";
    public static final String ADDRESS_USER_ADR = "Address";
    public static final String ADDRESS_USER_ADR_ID = "Id";
    public static final String ADDRESS_USER_CITY = "City";
    public static final String ADDRESS_USER_CITY_ID = "CityId";
    public static final String ADDRESS_USER_DISTRICT = "District";
    public static final String ADDRESS_USER_DISTRICT_ID = "DistrictId";
    public static final String ADDRESS_USER_NAME = "ContactName";
    public static final String ADDRESS_USER_PHONE = "Mobile";
    public static final String ADDRESS_USER_PROVINCE = "Province";
    public static final String ADDRESS_USER_PROVINCE_ID = "ProvinceId";
    public static final String COMPLAIN_DETAIL_REPLY = "Reply";
    public static final String COMPLAIN_DETAIL_REPLY_CONTENT = "Content";
    public static final String COMPLAIN_DETAIL_REPLY_DEPT = "Dept";
    public static final String COMPLAIN_DETAIL_SUG = "Suggestion";
    public static final String COMPLAIN_DETAIL_SUG_CONTENT = "Content";
    public static final String COMPLAIN_DETAIL_SUG_NAME = "Name";
    public static final String COMPLAIN_LIST_CONTENT = "Content";
    private static final String COMPLAIN_LIST_DATA = "Data";
    public static final String COMPLAIN_LIST_ID = "Id";
    public static final String COMPLAIN_LIST_STATUS = "Status";
    public static final String COMPLAIN_LIST_TYPE = "Type";
    public static final String COMPLAIN_MANAGER = "Manager";
    public static final String COMPLAIN_MANAGER_PHONE = "ManagerPhone";
    public static final String COMPLAIN_SITE_NAME = "SiteName";
    public static final String COMPLAIN_SITE_PHONE = "Phone";
    public static final String LOGIN_MESSAGE = "Message";
    public static final String LOGIN_OPEN_ID = "OpenId";
    public static final String LOGIN_RESULT = "Result";
    public static final String LOGIN_USER_ID = "UserId";
    public static final String LOGIN_USER_NAME = "UserName";
    public static final String MESSAGE = "Message";
    public static final String NEWS_ID = "id";
    private static final String NEWS_ROOT = "news";
    public static final String NEWS_TIME = "inputtime";
    public static final String NEWS_TITLE = "title";
    public static final String ORDER_ADDRESS = "address";
    public static final String ORDER_ALL_ARRAY = "order_list";
    public static final String ORDER_CODE = "orderCode";
    public static final String ORDER_CREATE_TIME = "create_date";
    public static final String ORDER_NAME = "name";
    public static final String ORDER_PHONE = "mobile";
    public static final String ORDER_REASON = "reason";
    public static final String ORDER_RESULT = "result";
    public static final String ORDER_STATUS = "status";
    public static final String PRICE_ADDRESS_ELE = "NAME";
    public static final String PRICE_ADDRESS_ROOT = "data";
    public static final String PRICE_BASE = "firstMoney";
    public static final String PRICE_DATA = "data";
    public static final String PRICE_MSG = "msg";
    public static final String PRICE_OTHER = "addMoney";
    public static final String PRICE_STATIC = "status";
    public static final String PRICE_TIME = "hour";
    public static final String RESULT = "Result";
    public static final String SITE_CITY = "CITY";
    public static final String SITE_DISPATCH = "DISPATCH_RANGE";
    public static final String SITE_DISPATCH_NOT = "NOT_DISPATCH_RANGE";
    public static final String SITE_DISTRICT = "DISTRICT";
    public static final String SITE_ENABLED = "ENABLED";
    public static final String SITE_FAX = "FAX";
    public static final String SITE_ID = "ID";
    public static final String SITE_MANAGER = "MANAGER";
    public static final String SITE_NAME = "WEBSITENAME";
    public static final String SITE_PARENT = "PARENTNAME";
    public static final String SITE_PHONE = "OUTERPHONE";
    public static final String SITE_PROVINCE = "PROVINCEFULLNAME";
    public static final String USER_INFO_EMAIL = "Email";
    public static final String USER_INFO_EMAIL_VERIFY = "EmailVerify";
    public static final String USER_INFO_GENDER = "Gender";
    public static final String USER_INFO_MOBILE = "Mobile";
    public static final String USER_INFO_MOBILE_VERIFY = "MobileVarify";
    public static final String USER_INFO_MSG = "Message";
    public static final String USER_INFO_NICKNAME = "NickName";
    public static final String USER_INFO_QQ = "QQ";
    public static final String USER_INFO_RESULT = "Result";
    public static final String USER_INFO_TEL = "Telephone";
    public static final String USER_INFO_USERID = "UserId";
    public static final String USER_INFO_USERNAME = "UserName";

    public static List<Map<String, String>> decodeNews(String newsJson) {
        if (newsJson == null) {
            return null;
        }
        try {
            JSONArray newsJArray = new JSONObject(newsJson).getJSONArray(NEWS_ROOT);
            List<Map<String, String>> list = new ArrayList<>();
            for (int i = 0; i < newsJArray.length(); i++) {
                JSONObject newsObject = newsJArray.getJSONObject(i);
                Map<String, String> map = new HashMap<>();
                map.put(NEWS_ID, newsObject.getString(NEWS_ID));
                map.put(NEWS_TITLE, newsObject.getString(NEWS_TITLE));
                map.put(NEWS_TIME, newsObject.getString(NEWS_TIME));
                list.add(map);
            }
            return list;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, String> decodePhoneVerify(String phoneResult) {
        JSONException e;
        if (phoneResult == null) {
            return null;
        }
        try {
            JSONObject object = new JSONObject(phoneResult);
            Map<String, String> map = new HashMap<>();
            try {
                map.put("Result", object.getString("Result"));
                map.put("Message", object.getString("Message"));
                return map;
            } catch (JSONException e2) {
                e = e2;
                e.printStackTrace();
                return null;
            }
        } catch (JSONException e3) {
            e = e3;
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeLogin(String loginData) {
        if (loginData == null) {
            return null;
        }
        try {
            JSONObject object = new JSONObject(loginData);
            Map<String, Object> map = new HashMap<>();
            map.put("Result", Boolean.valueOf(object.getBoolean("Result")));
            map.put("Message", object.getString("Message"));
            map.put(LOGIN_OPEN_ID, object.getString(LOGIN_OPEN_ID));
            map.put("UserName", object.getString("UserName"));
            map.put("UserId", object.getString("UserId"));
            return map;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeUserInfo(String userInfo) {
        if (userInfo == null) {
            return null;
        }
        try {
            JSONObject object = new JSONObject(userInfo);
            Map<String, Object> map = new HashMap<>();
            map.put("Result", Boolean.valueOf(object.getBoolean("Result")));
            map.put("Message", object.getString("Message"));
            map.put("UserId", Integer.valueOf(object.getInt("UserId")));
            map.put("UserName", object.getString("UserName"));
            map.put(USER_INFO_GENDER, object.getString(USER_INFO_GENDER));
            map.put("Mobile", object.getString("Mobile"));
            map.put(USER_INFO_EMAIL, object.getString(USER_INFO_EMAIL));
            map.put(USER_INFO_TEL, object.getString(USER_INFO_TEL));
            map.put(USER_INFO_QQ, object.getString(USER_INFO_QQ));
            map.put(USER_INFO_NICKNAME, object.getString(USER_INFO_NICKNAME));
            map.put(USER_INFO_EMAIL_VERIFY, Boolean.valueOf(object.getBoolean(USER_INFO_EMAIL_VERIFY)));
            map.put(USER_INFO_MOBILE_VERIFY, Boolean.valueOf(object.getBoolean(USER_INFO_MOBILE_VERIFY)));
            return map;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String decodeAdrPri(String adrData) {
        if (adrData == null) {
            return null;
        }
        try {
            JSONArray proArray = new JSONArray(adrData);
            StringBuilder builder = new StringBuilder();
            for (int i = 0; i < proArray.length(); i++) {
                JSONObject jsonObject = proArray.getJSONObject(i);
                builder.append(jsonObject.getString(ADDRESS_FULL));
                builder.append(",");
                builder.append(jsonObject.getString("Id"));
                builder.append(";");
            }
            return builder.toString();
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static List<?> decodeUserAdr(String userAdrJson) {
        if (userAdrJson == null) {
            return null;
        }
        try {
            JSONArray jArray = new JSONObject(userAdrJson).getJSONArray(ADDRESS_USER_ADR);
            int adrCount = jArray.length();
            List<Map<String, String>> list = new ArrayList<>();
            for (int i = 0; i < adrCount; i++) {
                JSONObject adrObject = jArray.getJSONObject(i);
                Map<String, String> map = new HashMap<>();
                map.put("Id", adrObject.getString("Id"));
                map.put(ADDRESS_USER_NAME, adrObject.getString(ADDRESS_USER_NAME));
                map.put("Mobile", adrObject.getString("Mobile"));
                map.put(ADDRESS_USER_PROVINCE, adrObject.getString(ADDRESS_USER_PROVINCE));
                map.put(ADDRESS_USER_CITY, adrObject.getString(ADDRESS_USER_CITY));
                map.put(ADDRESS_USER_DISTRICT, adrObject.getString(ADDRESS_USER_DISTRICT));
                map.put(ADDRESS_USER_ADR, adrObject.getString(ADDRESS_USER_ADR));
                map.put(ADDRESS_USER_PROVINCE_ID, adrObject.getString(ADDRESS_USER_PROVINCE_ID));
                map.put(ADDRESS_USER_CITY_ID, adrObject.getString(ADDRESS_USER_CITY_ID));
                map.put(ADDRESS_USER_DISTRICT_ID, adrObject.getString(ADDRESS_USER_DISTRICT_ID));
                list.add(map);
            }
            return list;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String[] decodePriceAdr(String adrPrice) {
        if (adrPrice == null) {
            return null;
        }
        try {
            JSONArray array = new JSONObject(adrPrice).getJSONArray("data");
            int length = array.length();
            String[] result = new String[length];
            for (int i = 0; i < length; i++) {
                result[i] = array.getJSONObject(i).getString(PRICE_ADDRESS_ELE);
            }
            return result;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Object[] decodeComplainList(String complainList) {
        if (complainList == null) {
            return null;
        }
        try {
            JSONObject jObject = new JSONObject(complainList);
            Object[] result = new Object[2];
            result[0] = new Object[]{Boolean.valueOf(jObject.getBoolean("Result")), jObject.getString("Message")};
            List<Map<String, String>> list = new ArrayList<>();
            JSONArray jArray = jObject.getJSONArray(COMPLAIN_LIST_DATA);
            int length = jArray.length();
            for (int i = 0; i < length; i++) {
                JSONObject compalinObject = jArray.getJSONObject(i);
                Map<String, String> map = new HashMap<>();
                map.put("Id", compalinObject.getString("Id"));
                map.put(COMPLAIN_LIST_TYPE, compalinObject.getString(COMPLAIN_LIST_TYPE));
                map.put(COMPLAIN_LIST_STATUS, compalinObject.getString(COMPLAIN_LIST_STATUS));
                map.put("Content", compalinObject.getString("Content"));
                list.add(map);
            }
            result[1] = list;
            return result;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeComplainDetail(String complainDetail) {
        if (complainDetail == null) {
            return null;
        }
        try {
            JSONObject jObject = new JSONObject(complainDetail);
            Map<String, Object> resultMap = new HashMap<>();
            resultMap.put("Result", Boolean.valueOf(jObject.getBoolean("Result")));
            resultMap.put("Message", jObject.getString("Message"));
            JSONObject dataObject = jObject.getJSONObject(COMPLAIN_LIST_DATA);
            JSONObject complainData = dataObject.getJSONObject(COMPLAIN_DETAIL_SUG);
            Map<String, String> compMap = new HashMap<>();
            compMap.put(COMPLAIN_DETAIL_SUG_NAME, complainData.getString(COMPLAIN_DETAIL_SUG_NAME));
            compMap.put("Content", complainData.getString("Content"));
            resultMap.put(COMPLAIN_DETAIL_SUG, compMap);
            JSONArray replyArray = dataObject.getJSONArray(COMPLAIN_DETAIL_REPLY);
            List<Map<String, String>> replyList = new ArrayList<>();
            for (int i = 0; i < replyArray.length(); i++) {
                JSONObject replyObject = replyArray.getJSONObject(i);
                Map<String, String> replyMap = new HashMap<>();
                replyMap.put("Content", replyObject.getString("Content"));
                replyMap.put(COMPLAIN_DETAIL_REPLY_DEPT, replyObject.getString(COMPLAIN_DETAIL_REPLY_DEPT));
                replyList.add(replyMap);
            }
            resultMap.put(COMPLAIN_DETAIL_REPLY, replyList);
            return resultMap;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeOrderCreate(String jsonString) {
        try {
            JSONObject jsonObject = new JSONObject(jsonString);
            Map<String, Object> map = new HashMap<>();
            map.put(ORDER_REASON, jsonObject.getString(ORDER_REASON));
            boolean jsonResult = jsonObject.getBoolean(ORDER_RESULT);
            map.put(ORDER_RESULT, Boolean.valueOf(jsonResult));
            if (!jsonResult) {
                return map;
            }
            map.put(ORDER_CODE, jsonObject.getString(ORDER_CODE));
            return map;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeOrderAll(String orderAllString) {
        try {
            JSONObject jsonObject = new JSONObject(orderAllString);
            Map<String, Object> resultMap = new HashMap<>();
            resultMap.put(ORDER_RESULT, Boolean.valueOf(jsonObject.getBoolean(ORDER_RESULT)));
            resultMap.put(ORDER_REASON, jsonObject.getString(ORDER_REASON));
            JSONArray dataArray = jsonObject.getJSONObject("data").getJSONArray(ORDER_ALL_ARRAY);
            List<Map<String, String>> list = new ArrayList<>();
            int length = dataArray.length();
            for (int i = 0; i < length; i++) {
                JSONObject object = dataArray.getJSONObject(i);
                Map<String, String> map = new HashMap<>();
                map.put(ORDER_CREATE_TIME, object.getString(ORDER_CREATE_TIME));
                map.put("status", OrderCodeUtil.getStatusDescription(object.getInt("status")));
                map.put(ORDER_CODE, object.getString(ORDER_CODE));
                map.put(ORDER_NAME, object.getJSONObject("sender").getString(ORDER_NAME));
                list.add(map);
            }
            resultMap.put(ORDER_ALL_ARRAY, list);
            return resultMap;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeOrderDetail(String orderDetailString) {
        try {
            JSONObject jsonObject = new JSONObject(orderDetailString);
            Map<String, Object> returnMap = new HashMap<>();
            boolean serverResult = jsonObject.getBoolean(ORDER_RESULT);
            returnMap.put(ORDER_RESULT, Boolean.valueOf(serverResult));
            if (!serverResult) {
                returnMap.put(ORDER_REASON, jsonObject.getString(ORDER_REASON));
                return returnMap;
            }
            JSONArray dataJsonArray = jsonObject.getJSONObject("data").getJSONArray(ORDER_ALL_ARRAY);
            if (dataJsonArray.length() != 1) {
                return null;
            }
            JSONObject sigleDataJson = dataJsonArray.getJSONObject(0);
            returnMap.put(ORDER_CODE, sigleDataJson.getString(ORDER_CODE));
            returnMap.put(ORDER_CREATE_TIME, sigleDataJson.getString(ORDER_CREATE_TIME));
            JSONObject sigleDataSenderJson = sigleDataJson.getJSONObject("sender");
            returnMap.put(ORDER_NAME, sigleDataSenderJson.getString(ORDER_NAME));
            returnMap.put(ORDER_PHONE, sigleDataSenderJson.getString(ORDER_PHONE));
            returnMap.put("address", sigleDataSenderJson.getString("address"));
            return returnMap;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Map<String, Object> decodeOrderUpdate(String orderUpdateString) {
        try {
            JSONObject jsonObject = new JSONObject(orderUpdateString);
            Map<String, Object> resultMap = new HashMap<>();
            boolean linkStatus = jsonObject.getBoolean("status");
            if (!linkStatus) {
                resultMap.put(ORDER_RESULT, Boolean.valueOf(linkStatus));
                resultMap.put(ORDER_REASON, jsonObject.getString(ORDER_REASON));
                return resultMap;
            }
            JSONArray resultArray = jsonObject.getJSONArray("data");
            if (resultArray.length() != 1) {
                return resultMap;
            }
            JSONObject resultObject = resultArray.getJSONObject(0);
            resultMap.put(ORDER_RESULT, Boolean.valueOf(resultObject.getBoolean(ORDER_RESULT)));
            resultMap.put(ORDER_REASON, resultObject.getString(ORDER_REASON));
            return resultMap;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static List<Map<String, String>> decodeSiteList(String siteListString) {
        List<Map<String, String>> list = new ArrayList<>();
        try {
            JSONArray array = new JSONArray(siteListString);
            for (int i = 0; i < array.length(); i++) {
                JSONObject object = array.getJSONObject(i);
                Map<String, String> map = new HashMap<>();
                map.put(SITE_ID, object.getString(SITE_ID));
                map.put(SITE_MANAGER, object.getString(SITE_MANAGER));
                map.put(SITE_NAME, object.getString(SITE_NAME));
                map.put(SITE_PHONE, object.getString(SITE_PHONE));
                list.add(map);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return list;
    }

    public static Map<String, String> decodeSiteInfo(String siteString) {
        Map<String, String> map = new HashMap<>();
        try {
            JSONArray array = new JSONArray(siteString);
            if (array.length() == 1) {
                JSONObject object = array.getJSONObject(0);
                map.put(SITE_ID, object.getString(SITE_ID));
                map.put(SITE_MANAGER, object.getString(SITE_MANAGER));
                map.put(SITE_NAME, object.getString(SITE_NAME));
                map.put(SITE_PHONE, object.getString(SITE_PHONE));
                map.put(SITE_ENABLED, object.getString(SITE_ENABLED));
                map.put(SITE_PROVINCE, object.getString(SITE_PROVINCE));
                map.put(SITE_CITY, object.getString(SITE_ENABLED));
                map.put(SITE_PARENT, object.getString(SITE_PARENT));
                map.put(SITE_FAX, object.getString(SITE_FAX));
                map.put(SITE_DISTRICT, object.getString(SITE_DISTRICT));
                map.put(SITE_DISPATCH, object.getString(SITE_DISPATCH));
                map.put(SITE_DISPATCH_NOT, object.getString(SITE_DISPATCH_NOT));
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return map;
    }

    public static Map<String, String> decodePrice(String priceJsonString) {
        Map<String, String> map = new HashMap<>();
        try {
            JSONObject object = new JSONObject(priceJsonString);
            map.put("status", object.getString("status"));
            map.put("msg", object.getString("msg"));
            JSONObject object2 = object.getJSONObject("data");
            map.put(PRICE_TIME, object2.getString(PRICE_TIME));
            map.put(PRICE_BASE, object2.getString(PRICE_BASE));
            map.put(PRICE_OTHER, object2.getString(PRICE_OTHER));
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return map;
    }

    public static List<Map<String, String>> decodeComplainPhone(String complainPhoneString) {
        JSONException e;
        List<Map<String, String>> list = null;
        try {
            JSONArray array = new JSONObject(complainPhoneString).getJSONObject(COMPLAIN_LIST_DATA).getJSONArray("Items");
            List<Map<String, String>> list2 = new ArrayList<>();
            for (int i = 0; i < array.length(); i++) {
                try {
                    JSONObject object3 = array.getJSONObject(i);
                    Map<String, String> map = new HashMap<>();
                    map.put(COMPLAIN_SITE_NAME, object3.getString(COMPLAIN_SITE_NAME));
                    map.put(COMPLAIN_MANAGER, object3.getString(COMPLAIN_MANAGER));
                    map.put(COMPLAIN_MANAGER_PHONE, object3.getString(COMPLAIN_MANAGER_PHONE));
                    map.put(COMPLAIN_SITE_PHONE, object3.getString(COMPLAIN_SITE_PHONE));
                    list2.add(map);
                } catch (JSONException e2) {
                    e = e2;
                    list = list2;
                    e.printStackTrace();
                    return list;
                }
            }
            return list2;
        } catch (JSONException e3) {
            e = e3;
            e.printStackTrace();
            return list;
        }
    }
}
