package cn.beekee.zhongtong.util.net;

import android.os.AsyncTask;
import android.util.Log;
import java.io.IOException;

/* access modifiers changed from: package-private */
public class NetAsyncTask extends AsyncTask<String, Void, Object> {
    private final int mFlag;
    private boolean mIsPost;
    private final IAsyncListener mListener;
    private final String mUrlString;

    public interface IAsyncListener {
        void onNetOver(int i, Object obj);

        void onNetStart(int i);
    }

    public NetAsyncTask(int flag, boolean isPost, String urlString, IAsyncListener listener) {
        this.mFlag = flag;
        this.mIsPost = isPost;
        this.mUrlString = urlString;
        this.mListener = listener;
    }

    /* access modifiers changed from: protected */
    public void onPreExecute() {
        super.onPreExecute();
        if (this.mListener != null) {
            this.mListener.onNetStart(this.mFlag);
        }
    }

    /* access modifiers changed from: protected */
    public Object doInBackground(String... params) {
        Log.e("", this.mUrlString);
        if (!this.mIsPost) {
            return NetOperate.getUrlDataApach(this.mUrlString);
        }
        try {
            return NetOperate.post(this.mUrlString, params[0], "utf-8");
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.os.AsyncTask
    public void onPostExecute(Object result) {
        super.onPostExecute(result);
        if (this.mListener != null) {
            this.mListener.onNetOver(this.mFlag, result);
        }
    }
}
