package cn.beekee.zhongtong.util.net;

import android.content.Context;
import android.content.DialogInterface;
import android.os.AsyncTask;
import cn.beekee.zhongtong.bean.PhoneVerifyBean;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;
import cn.beekee.zhongtong.util.UnixTime;
import cn.pedant.SweetAlert.SweetAlertDialog;

public class NetNoAccountGetVerify extends AsyncTask<String, Void, String> {
    private Context mContext;
    private SweetAlertDialog mDialog;
    private INoAccountLoginVerify mListener;
    private String mPhoneNum;

    public interface INoAccountLoginVerify {
        void loginVerify(String str);
    }

    public NetNoAccountGetVerify(Context context, String phone, INoAccountLoginVerify listener) {
        this.mContext = context;
        this.mPhoneNum = phone;
        this.mListener = listener;
    }

    /* access modifiers changed from: protected */
    public void onPreExecute() {
        super.onPreExecute();
        if (!NetStatus.isConnect(this.mContext)) {
            SweetDialogCreator.showWarning(this.mContext, "请检查网络");
            return;
        }
        this.mDialog = SweetDialogCreator.getLoadingDialog(this.mContext);
        this.mDialog.setOnCancelListener(new DialogInterface.OnCancelListener() {
            /* class cn.beekee.zhongtong.util.net.NetNoAccountGetVerify.AnonymousClass1 */

            public void onCancel(DialogInterface dialog) {
                NetNoAccountGetVerify.this.cancel(true);
            }
        });
        this.mDialog.show();
    }

    /* access modifiers changed from: protected */
    public String doInBackground(String... params) {
        PhoneVerifyBean registerBean = new PhoneVerifyBean(NetOperate.getUrlDataApach(StaticParam.CHECK_MOBILE_REGISTER_MOBILE + this.mPhoneNum));
        if (registerBean.isParseResult()) {
            if (!registerBean.isResult()) {
                return registerBean.getMessage();
            }
            PhoneVerifyBean verifyBean = new PhoneVerifyBean(NetOperate.getUrlDataApach(StaticParam.VERIFY_PHONE + this.mPhoneNum + StaticParam.VERIFY_PHONE_SUF + UnixTime.getUnixNet()));
            if (verifyBean.isParseResult()) {
                if (verifyBean.isResult()) {
                    return "true";
                }
                return verifyBean.getMessage();
            }
        }
        return StaticParam.NET_SERVICE_DATA_NOT;
    }

    /* access modifiers changed from: protected */
    public void onPostExecute(String result) {
        super.onPostExecute((Object) result);
        if (this.mDialog != null && this.mDialog.isShowing()) {
            this.mDialog.dismiss();
        }
        if (this.mListener != null) {
            this.mListener.loginVerify(result);
        }
    }
}
