package cn.beekee.zhongtong.util.net;

import android.content.Context;
import android.support.v7.internal.widget.ActivityChooserView;
import android.util.Log;
import android.widget.Toast;
import cn.beekee.zhongtong.util.net.NetAsyncTask;
import java.util.HashMap;
import java.util.Map;

public class NetTaskManagerNoDialog implements NetAsyncTask.IAsyncListener {
    private static int KEY = 0;
    public static final int NET_UN_LINK = -1;
    private static NetTaskManagerNoDialog mManager = new NetTaskManagerNoDialog();
    private static Map<Integer, TaskHelper> mMap = new HashMap();

    public interface INetNoDialogListener {
        boolean netNoDialogResult(int i, Object obj);
    }

    private NetTaskManagerNoDialog() {
    }

    public static NetTaskManagerNoDialog getInstance() {
        return mManager;
    }

    public int startTaskGet(Context context, String urlString, INetNoDialogListener listener) {
        if (!judgeNet(context)) {
            return -1;
        }
        initFlag();
        NetAsyncTask task = new NetAsyncTask(KEY, false, urlString, this);
        mMap.put(Integer.valueOf(KEY), new TaskHelper(task, listener, context));
        task.execute(new String[0]);
        return KEY;
    }

    public int startForceTaskGet(Context context, String urlString, INetNoDialogListener listener) {
        cancelAll();
        return startTaskGet(context, urlString, listener);
    }

    public int startTaskPost(Context context, String urlString, String dataString, INetNoDialogListener listener) {
        if (!judgeNet(context)) {
            return -1;
        }
        initFlag();
        NetAsyncTask task = new NetAsyncTask(KEY, true, urlString, this);
        mMap.put(Integer.valueOf(KEY), new TaskHelper(task, listener, context));
        task.execute(dataString);
        return KEY;
    }

    public int startForceTaskPost(Context context, String urlString, String dataString, INetNoDialogListener listener) {
        cancelAll();
        return startTaskPost(context, urlString, dataString, listener);
    }

    public void startLinkPost(String link, String data) {
        initFlag();
        new NetAsyncTask(KEY, true, link, null).execute(data);
    }

    private void initFlag() {
        int i = KEY + 1;
        KEY = i;
        KEY = i % ActivityChooserView.ActivityChooserViewAdapter.MAX_ACTIVITY_COUNT_UNLIMITED;
    }

    private boolean judgeNet(Context context) {
        if (NetStatus.isConnect(context)) {
            return true;
        }
        Toast.makeText(context, "请检查网络", 0).show();
        return false;
    }

    public void cancel(int flag) {
        Log.e("", "任务取消成功吗？" + mMap.get(Integer.valueOf(flag)).mTask.cancel(true));
        removeTask(flag);
    }

    public void cancelAll() {
        Log.e("", "cancell_all");
        for (Integer flag : mMap.keySet()) {
            cancel(flag.intValue());
        }
    }

    private void removeTask(int flag) {
        if (mMap.get(Integer.valueOf(flag)) != null) {
            mMap.remove(Integer.valueOf(flag));
        }
    }

    @Override // cn.beekee.zhongtong.util.net.NetAsyncTask.IAsyncListener
    public void onNetStart(int flag) {
    }

    @Override // cn.beekee.zhongtong.util.net.NetAsyncTask.IAsyncListener
    public void onNetOver(int flag, Object data) {
        TaskHelper helper = mMap.get(Integer.valueOf(flag));
        if (helper.mTaskListener != null) {
            helper.mTaskListener.netNoDialogResult(flag, data);
        }
        removeTask(flag);
    }

    /* access modifiers changed from: package-private */
    public class TaskHelper {
        final Context mContext;
        final NetAsyncTask mTask;
        final INetNoDialogListener mTaskListener;

        public TaskHelper(NetAsyncTask task, INetNoDialogListener listenner, Context context) {
            this.mTask = task;
            this.mTaskListener = listenner;
            this.mContext = context;
        }
    }
}
