package cn.beekee.zhongtong.util.net;

import android.os.Looper;
import android.widget.TextView;
import cn.beekee.zhongtong.R;

public class TimerThread extends Thread {
    private static final int TIME = 15;
    private String mOriginalString = this.mTextView.getText().toString();
    private TextView mTextView;

    public static void startTimer(TextView textView) {
        if (textView != null) {
            new TimerThread(textView).start();
        }
    }

    private TimerThread(TextView textView) {
        this.mTextView = textView;
    }

    public void run() {
        Looper.prepare();
        setNotClickable();
        try {
            runTimer();
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        restoreText();
        setClickable();
        Looper.loop();
    }

    private void runTimer() throws InterruptedException {
        for (int time = 15; time > 0; time--) {
            setCountText(time);
            Thread.sleep(1000);
        }
    }

    private void setCountText(int time) {
        if (time < 10) {
            this.mTextView.setText("请小憩0" + time + "秒");
        } else {
            this.mTextView.setText("请小憩" + time + "秒");
        }
    }

    private void restoreText() {
        this.mTextView.setText(this.mOriginalString);
    }

    private void setNotClickable() {
        this.mTextView.setClickable(false);
        this.mTextView.setBackgroundResource(R.color.bg_gray);
    }

    private void setClickable() {
        this.mTextView.setClickable(false);
        this.mTextView.setBackgroundResource(R.drawable.selector_verify);
    }
}
