package cn.beekee.zhongtong.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.NumberPicker;

public class MyPicker extends NumberPicker {
    public static final int MAX_INDICES = 40;
    private String[] mDefaultCodes;
    private String[] mDefaultNames;

    public MyPicker(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.mDefaultNames = new String[40];
        this.mDefaultCodes = new String[40];
        initFakeData();
    }

    public MyPicker(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        this.mDefaultNames = new String[40];
        this.mDefaultCodes = new String[40];
        initFakeData();
    }

    private void initFakeData() {
        for (int i = 0; i < this.mDefaultNames.length; i++) {
            this.mDefaultNames[i] = "";
        }
        setDisplayedValues(this.mDefaultNames);
    }

    public void setMyDisplayStrings(String[][] strings) {
        if (strings != null) {
            initActualData(strings, 0);
            setMinValue(0);
            if (getMaxValue() == strings[0].length - 1) {
                setMaxValue(strings[0].length);
            }
            setMaxValue(strings[0].length - 1);
        }
    }

    private void initActualData(String[][] strings, int startIndex) {
        System.arraycopy(strings[0], 0, this.mDefaultNames, startIndex, strings[0].length);
        System.arraycopy(strings[1], 0, this.mDefaultCodes, startIndex, strings[1].length);
    }

    public String getSelectName() {
        return this.mDefaultNames[getValue()];
    }

    public String getSelectCode() {
        return this.mDefaultCodes[getValue()];
    }
}
