package cn.beekee.zhongtong.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import cn.beekee.zhongtong.R;

public class ZListViewFooter extends LinearLayout {
    public static final String HINT_NORMAL = "查看更多";
    public static final String HINT_READ = "松开载入更多";
    public static final int STATE_LOADING = 2;
    public static final int STATE_NORMAL = 0;
    public static final int STATE_READY = 1;
    private View mContentView;
    private TextView mHintView;
    private View mProgressBar;

    public ZListViewFooter(Context context) {
        super(context);
        initView(context);
    }

    public ZListViewFooter(Context context, AttributeSet attrs) {
        super(context, attrs);
        initView(context);
    }

    private void initView(Context context) {
        LinearLayout moreView = (LinearLayout) LayoutInflater.from(context).inflate(R.layout.xlistview_footer, (ViewGroup) null);
        addView(moreView);
        moreView.setLayoutParams(new LinearLayout.LayoutParams(-1, -2));
        this.mContentView = moreView.findViewById(R.id.xlistview_footer_content);
        this.mProgressBar = moreView.findViewById(R.id.xlistview_footer_progressbar);
        this.mHintView = (TextView) moreView.findViewById(R.id.xlistview_footer_hint_textview);
    }

    public void setState(int state) {
        this.mProgressBar.setVisibility(4);
        this.mHintView.setVisibility(4);
        switch (state) {
            case 0:
                this.mHintView.setVisibility(0);
                this.mHintView.setText(HINT_NORMAL);
                return;
            case 1:
                this.mHintView.setVisibility(0);
                this.mHintView.setText(HINT_READ);
                return;
            case 2:
                this.mProgressBar.setVisibility(0);
                return;
            default:
                return;
        }
    }

    public void setBottomMargin(int height) {
        if (height > 0) {
            LinearLayout.LayoutParams lp = (LinearLayout.LayoutParams) this.mContentView.getLayoutParams();
            lp.bottomMargin = height;
            this.mContentView.setLayoutParams(lp);
        }
    }

    public int getBottomMargin() {
        return ((LinearLayout.LayoutParams) this.mContentView.getLayoutParams()).bottomMargin;
    }

    public void hide() {
        LinearLayout.LayoutParams lp = (LinearLayout.LayoutParams) this.mContentView.getLayoutParams();
        lp.height = 0;
        this.mContentView.setLayoutParams(lp);
    }

    public void show() {
        LinearLayout.LayoutParams lp = (LinearLayout.LayoutParams) this.mContentView.getLayoutParams();
        lp.height = -2;
        this.mContentView.setLayoutParams(lp);
    }
}
