package cn.beekee.zhongtong.view.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.SiteInfoBean;

public class ExpandableSiteInfoAdapter extends BaseExpandableListAdapter {
    Context mContext;
    SiteInfoBean mInfoBean;

    public ExpandableSiteInfoAdapter(Context context, SiteInfoBean infoBean) {
        this.mContext = context;
        this.mInfoBean = infoBean;
    }

    public int getGroupCount() {
        return this.mInfoBean == null ? 0 : 3;
    }

    public int getChildrenCount(int groupPosition) {
        return this.mInfoBean == null ? 0 : 1;
    }

    public Object getGroup(int groupPosition) {
        return this.mInfoBean;
    }

    public Object getChild(int groupPosition, int childPosition) {
        return this.mInfoBean;
    }

    public long getGroupId(int groupPosition) {
        return (long) groupPosition;
    }

    public long getChildId(int groupPosition, int childPosition) {
        return (long) childPosition;
    }

    public boolean hasStableIds() {
        return true;
    }

    public View getGroupView(int groupPosition, boolean isExpanded, View convertView, ViewGroup parent) {
        View convertView2 = LayoutInflater.from(this.mContext).inflate(R.layout.site_info_parent, (ViewGroup) null);
        TextView titleTextView = (TextView) convertView2.findViewById(R.id.title);
        switch (groupPosition) {
            case 0:
                titleTextView.setText(this.mInfoBean.getSiteName() + "网点-公司简介");
                break;
            case 1:
                titleTextView.setText(this.mInfoBean.getSiteName() + "网点-派送范围");
                break;
            case 2:
                titleTextView.setText(this.mInfoBean.getSiteName() + "网点-不派送范围");
                break;
        }
        return convertView2;
    }

    public View getChildView(int groupPosition, int childPosition, boolean isLastChild, View convertView, ViewGroup parent) {
        switch (groupPosition) {
            case 0:
                View convertView2 = LayoutInflater.from(this.mContext).inflate(R.layout.site_info_child_ad, (ViewGroup) null);
                ((TextView) convertView2.findViewById(R.id.site_enable)).setText("网点是否可用：" + ("1".equals(this.mInfoBean.getSiteEnable()) ? "是" : "否"));
                ((TextView) convertView2.findViewById(R.id.site_name)).setText("网点名称：" + this.mInfoBean.getSiteName());
                ((TextView) convertView2.findViewById(R.id.site_manager)).setText("经理名字：" + this.mInfoBean.getSiteManager());
                ((TextView) convertView2.findViewById(R.id.site_phone)).setText("网点电话：" + this.mInfoBean.getSitePhone());
                ((TextView) convertView2.findViewById(R.id.site_address)).setText("网点地址：" + this.mInfoBean.getSiteAddress());
                return convertView2;
            case 1:
                View convertView3 = LayoutInflater.from(this.mContext).inflate(R.layout.site_info_child_dispatch, (ViewGroup) null);
                ((TextView) convertView3.findViewById(R.id.dispatch)).setText(this.mInfoBean.getSiteDispatch());
                return convertView3;
            case 2:
                View convertView4 = LayoutInflater.from(this.mContext).inflate(R.layout.site_info_child_dispatch_not, (ViewGroup) null);
                ((TextView) convertView4.findViewById(R.id.dispatch_not)).setText(this.mInfoBean.getSiteDispatchNot());
                return convertView4;
            default:
                return convertView;
        }
    }

    public boolean isChildSelectable(int groupPosition, int childPosition) {
        return true;
    }
}
