package cn.beekee.zhongtong.view.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.main.ActivityZTOProduct;
import java.util.List;

public class ProductsExpandableAdapter extends BaseExpandableListAdapter {
    Context mContext;
    List<ActivityZTOProduct.ProductGroup> mList;

    public ProductsExpandableAdapter(Context context, List<ActivityZTOProduct.ProductGroup> list) {
        this.mContext = context;
        this.mList = list;
    }

    public int getGroupCount() {
        return this.mList.size();
    }

    public int getChildrenCount(int groupPosition) {
        return this.mList.get(groupPosition).getProductList().size();
    }

    public Object getGroup(int groupPosition) {
        return this.mList.get(groupPosition);
    }

    public Object getChild(int groupPosition, int childPosition) {
        return this.mList.get(groupPosition).getProductList().get(childPosition);
    }

    public long getGroupId(int groupPosition) {
        return (long) groupPosition;
    }

    public long getChildId(int groupPosition, int childPosition) {
        return (long) childPosition;
    }

    public boolean hasStableIds() {
        return true;
    }

    public View getGroupView(int groupPosition, boolean isExpanded, View convertView, ViewGroup parent) {
        ActivityZTOProduct.ProductGroup productGroup = this.mList.get(groupPosition);
        if (convertView == null) {
            convertView = LayoutInflater.from(this.mContext).inflate(R.layout.product_group, (ViewGroup) null);
        }
        ((TextView) convertView.findViewById(R.id.product_group_text)).setText(productGroup.getProductGroupName());
        return convertView;
    }

    public View getChildView(int groupPosition, int childPosition, boolean isLastChild, View convertView, ViewGroup parent) {
        ActivityZTOProduct.Product product = this.mList.get(groupPosition).getProductList().get(childPosition);
        if (convertView == null) {
            convertView = LayoutInflater.from(this.mContext).inflate(R.layout.product, (ViewGroup) null);
        }
        ((TextView) convertView.findViewById(R.id.product_text)).setText(product.getProductName());
        return convertView;
    }

    public boolean isChildSelectable(int groupPosition, int childPosition) {
        return true;
    }
}
