package cn.beekee.zhongtong.view.adapter;

import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.view.ZSwipeItem;
import cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter;
import cn.beekee.zhongtong.view.adapter.util.DragEdge;
import cn.beekee.zhongtong.view.adapter.util.ShowMode;
import cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener;
import java.util.List;
import java.util.Map;

public class ZListViewAddressAdapter extends BaseSwipeAdapter {
    protected static final String TAG = "ListViewAdapter";
    private Activity context;
    private List<Map<String, String>> mData;
    private IXListDeleteListenner mListenner;

    public ZListViewAddressAdapter(Activity context2, List<Map<String, String>> data, IXListDeleteListenner listenner) {
        this.context = context2;
        this.mData = data;
        this.mListenner = listenner;
    }

    public int getCount() {
        return this.mData.size();
    }

    public Object getItem(int position) {
        return Integer.valueOf(position);
    }

    public long getItemId(int position) {
        return (long) position;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public int getSwipeLayoutResourceId(int position) {
        return R.id.swipe_item;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public View generateView(int position, ViewGroup parent) {
        return this.context.getLayoutInflater().inflate(R.layout.item_listview_address, parent, false);
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public void fillValues(final int position, View convertView) {
        final ZSwipeItem swipeItem = (ZSwipeItem) convertView.findViewById(R.id.swipe_item);
        ((TextView) convertView.findViewById(R.id.address)).setText(this.mData.get(position).get("address"));
        ((TextView) convertView.findViewById(R.id.date)).setText(this.mData.get(position).get("date"));
        swipeItem.setShowMode(ShowMode.PullOut);
        swipeItem.setDragEdge(DragEdge.Right);
        swipeItem.addSwipeListener(new SimpleSwipeListener() {
            /* class cn.beekee.zhongtong.view.adapter.ZListViewAddressAdapter.AnonymousClass1 */

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onOpen(ZSwipeItem layout) {
                Log.d(ZListViewAddressAdapter.TAG, "打开:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onClose(ZSwipeItem layout) {
                Log.d(ZListViewAddressAdapter.TAG, "关闭:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onStartOpen(ZSwipeItem layout) {
                Log.d(ZListViewAddressAdapter.TAG, "准备打开:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onStartClose(ZSwipeItem layout) {
                Log.d(ZListViewAddressAdapter.TAG, "准备关闭:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onHandRelease(ZSwipeItem layout, float xvel, float yvel) {
                Log.d(ZListViewAddressAdapter.TAG, "手势释放");
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onUpdate(ZSwipeItem layout, int leftOffset, int topOffset) {
                Log.d(ZListViewAddressAdapter.TAG, "位置更新");
            }
        });
        ((LinearLayout) convertView.findViewById(R.id.ll)).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.view.adapter.ZListViewAddressAdapter.AnonymousClass2 */

            public void onClick(View v) {
                if (ZListViewAddressAdapter.this.mListenner != null) {
                    ZListViewAddressAdapter.this.mListenner.delete(position);
                }
                swipeItem.close();
            }
        });
    }
}
