package cn.beekee.zhongtong.view.adapter;

import android.app.Activity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.user.ActivityMySite;
import cn.beekee.zhongtong.view.ZSwipeItem;
import cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter;
import cn.beekee.zhongtong.view.adapter.util.DragEdge;
import cn.beekee.zhongtong.view.adapter.util.ShowMode;
import cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener;
import java.util.List;

public class ZListViewMySiteAdapter extends BaseSwipeAdapter {
    protected static final String TAG = "ZListViewMySiteAdapter";
    private Activity context;
    private List<ActivityMySite.SiteListItem> mData;
    private IXListDeleteListenner mListener;

    public ZListViewMySiteAdapter(Activity context2, List<ActivityMySite.SiteListItem> data, IXListDeleteListenner listener) {
        this.context = context2;
        this.mData = data;
        this.mListener = listener;
    }

    public int getCount() {
        return this.mData.size();
    }

    public Object getItem(int position) {
        return Integer.valueOf(position);
    }

    public long getItemId(int position) {
        return (long) position;
    }

    public int getViewTypeCount() {
        return 2;
    }

    public int getItemViewType(int position) {
        return this.mData.get(position).getType();
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public View getView(int position, View convertView, ViewGroup parent) {
        View convertView2 = generateView(position, parent);
        if (getItemViewType(position) == 1) {
            initialize(convertView2, position);
            fillValues(position, convertView2);
        } else {
            ((TextView) convertView2.findViewById(R.id.group_basis)).setText(this.mData.get(position).getMsg());
        }
        return convertView2;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public int getSwipeLayoutResourceId(int position) {
        if (this.mData.get(position).getType() == 1) {
            return R.id.swipe_item_site;
        }
        return 0;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public View generateView(int position, ViewGroup parent) {
        if (getItemViewType(position) == 1) {
            return LayoutInflater.from(this.context).inflate(R.layout.item_listview_site_content, (ViewGroup) null);
        }
        return LayoutInflater.from(this.context).inflate(R.layout.item_listview_site_title, (ViewGroup) null);
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public void fillValues(final int position, View convertView) {
        if (getItemViewType(position) == 1) {
            final ZSwipeItem swipeItem = (ZSwipeItem) convertView.findViewById(R.id.swipe_item_site);
            ((TextView) convertView.findViewById(R.id.info)).setText(this.mData.get(position).getMsg());
            swipeItem.setShowMode(ShowMode.PullOut);
            swipeItem.setDragEdge(DragEdge.Right);
            swipeItem.addSwipeListener(new SimpleSwipeListener() {
                /* class cn.beekee.zhongtong.view.adapter.ZListViewMySiteAdapter.AnonymousClass1 */

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onOpen(ZSwipeItem layout) {
                    Log.d(ZListViewMySiteAdapter.TAG, "打开:" + position);
                }

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onClose(ZSwipeItem layout) {
                    Log.d(ZListViewMySiteAdapter.TAG, "关闭:" + position);
                }

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onStartOpen(ZSwipeItem layout) {
                    Log.d(ZListViewMySiteAdapter.TAG, "准备打开:" + position);
                }

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onStartClose(ZSwipeItem layout) {
                    Log.d(ZListViewMySiteAdapter.TAG, "准备关闭:" + position);
                }

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onHandRelease(ZSwipeItem layout, float xvel, float yvel) {
                    Log.d(ZListViewMySiteAdapter.TAG, "手势释放");
                }

                @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
                public void onUpdate(ZSwipeItem layout, int leftOffset, int topOffset) {
                    Log.d(ZListViewMySiteAdapter.TAG, "位置更新");
                }
            });
            ((LinearLayout) convertView.findViewById(R.id.ll)).setOnClickListener(new View.OnClickListener() {
                /* class cn.beekee.zhongtong.view.adapter.ZListViewMySiteAdapter.AnonymousClass2 */

                public void onClick(View v) {
                    if (ZListViewMySiteAdapter.this.mListener != null) {
                        ZListViewMySiteAdapter.this.mListener.delete(position);
                    }
                    swipeItem.close();
                }
            });
        }
    }
}
