package cn.beekee.zhongtong.view.adapter;

import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.RegisterMsgBean;
import cn.beekee.zhongtong.view.ZSwipeItem;
import cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter;
import cn.beekee.zhongtong.view.adapter.util.DragEdge;
import cn.beekee.zhongtong.view.adapter.util.ShowMode;
import cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener;
import java.util.List;

public class ZListViewWayBillMsgAdapter extends BaseSwipeAdapter {
    protected static final String TAG = "ZListViewWayBill";
    private Activity context;
    private List<RegisterMsgBean> mData;
    private IXListDeleteListenner mListenner;

    public ZListViewWayBillMsgAdapter(Activity context2, List<RegisterMsgBean> data, IXListDeleteListenner listenner) {
        this.context = context2;
        this.mData = data;
        this.mListenner = listenner;
    }

    public int getCount() {
        return this.mData.size();
    }

    public Object getItem(int position) {
        return Integer.valueOf(position);
    }

    public long getItemId(int position) {
        return (long) position;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public int getSwipeLayoutResourceId(int position) {
        return R.id.swipe_item_order;
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public View generateView(int position, ViewGroup parent) {
        return this.context.getLayoutInflater().inflate(R.layout.item_listview_msg_waybill, parent, false);
    }

    @Override // cn.beekee.zhongtong.view.adapter.util.BaseSwipeAdapter
    public void fillValues(final int position, View convertView) {
        int imgRes;
        final ZSwipeItem swipeItem = (ZSwipeItem) convertView.findViewById(R.id.swipe_item_order);
        LinearLayout ll = (LinearLayout) convertView.findViewById(R.id.ll);
        ImageView wayBillStatus = (ImageView) convertView.findViewById(R.id.waybill_status);
        String content = this.mData.get(position).getWayBillContent();
        ((TextView) convertView.findViewById(R.id.waybill_content)).setText(content);
        if (content.contains("签收")) {
            imgRes = R.drawable.signin;
        } else if (content.contains("派件")) {
            imgRes = R.drawable.delivery;
        } else if (content.contains("收件")) {
            imgRes = R.drawable.receive;
        } else {
            imgRes = R.drawable.transport;
        }
        wayBillStatus.setImageResource(imgRes);
        swipeItem.setShowMode(ShowMode.PullOut);
        swipeItem.setDragEdge(DragEdge.Right);
        swipeItem.addSwipeListener(new SimpleSwipeListener() {
            /* class cn.beekee.zhongtong.view.adapter.ZListViewWayBillMsgAdapter.AnonymousClass1 */

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onOpen(ZSwipeItem layout) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "打开:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onClose(ZSwipeItem layout) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "关闭:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onStartOpen(ZSwipeItem layout) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "准备打开:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onStartClose(ZSwipeItem layout) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "准备关闭:" + position);
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onHandRelease(ZSwipeItem layout, float xvel, float yvel) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "手势释放");
            }

            @Override // cn.beekee.zhongtong.view.adapter.util.SimpleSwipeListener, cn.beekee.zhongtong.view.adapter.util.SwipeListener
            public void onUpdate(ZSwipeItem layout, int leftOffset, int topOffset) {
                Log.d(ZListViewWayBillMsgAdapter.TAG, "位置更新");
            }
        });
        ll.setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.view.adapter.ZListViewWayBillMsgAdapter.AnonymousClass2 */

            public void onClick(View v) {
                if (ZListViewWayBillMsgAdapter.this.mListenner != null) {
                    ZListViewWayBillMsgAdapter.this.mListenner.delete(position);
                }
                swipeItem.close();
            }
        });
    }
}
