package com.baidu.android.bbalbs.common.util;

import android.content.Context;
import android.os.Environment;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Log;
import com.baidu.android.bbalbs.common.a.b;
import com.baidu.android.bbalbs.common.a.c;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.UUID;

/* compiled from: DeviceId */
public final class a {
    public static String a(Context context) {
        boolean sysRwFail;
        a(context, "android.permission.WRITE_SETTINGS");
        a(context, "android.permission.READ_PHONE_STATE");
        a(context, "android.permission.WRITE_EXTERNAL_STORAGE");
        C0004a info = C0004a.a(context);
        String tmDeviceId = info.a;
        if (info.b) {
            sysRwFail = false;
        } else {
            sysRwFail = true;
        }
        String androidId = c(context);
        if (sysRwFail) {
            return c.a(("com.baidu" + androidId).getBytes(), true);
        }
        String oldName = null;
        String bdDeviceId = Settings.System.getString(context.getContentResolver(), "com.baidu.deviceid");
        if (TextUtils.isEmpty(bdDeviceId)) {
            oldName = c.a(("com.baidu" + tmDeviceId + androidId).getBytes(), true);
            bdDeviceId = Settings.System.getString(context.getContentResolver(), oldName);
            if (!TextUtils.isEmpty(bdDeviceId)) {
                Settings.System.putString(context.getContentResolver(), "com.baidu.deviceid", bdDeviceId);
                a(tmDeviceId, bdDeviceId);
            }
        }
        if (TextUtils.isEmpty(bdDeviceId)) {
            bdDeviceId = a(tmDeviceId);
            if (!TextUtils.isEmpty(bdDeviceId)) {
                Settings.System.putString(context.getContentResolver(), oldName, bdDeviceId);
                Settings.System.putString(context.getContentResolver(), "com.baidu.deviceid", bdDeviceId);
            }
        }
        if (TextUtils.isEmpty(bdDeviceId)) {
            bdDeviceId = c.a((String.valueOf(tmDeviceId) + androidId + UUID.randomUUID().toString()).getBytes(), true);
            Settings.System.putString(context.getContentResolver(), oldName, bdDeviceId);
            Settings.System.putString(context.getContentResolver(), "com.baidu.deviceid", bdDeviceId);
            a(tmDeviceId, bdDeviceId);
        }
        return bdDeviceId;
    }

    public static String b(Context context) {
        return C0004a.a(context).a;
    }

    public static String c(Context context) {
        String androidId = Settings.Secure.getString(context.getContentResolver(), "android_id");
        if (TextUtils.isEmpty(androidId)) {
            return "";
        }
        return androidId;
    }

    private static void a(Context context, String permission) {
        if (!(context.checkCallingOrSelfPermission(permission) == 0)) {
            throw new SecurityException("Permission Denial: requires permission " + permission);
        }
    }

    private static String a(String imei) {
        if (TextUtils.isEmpty(imei)) {
            return "";
        }
        try {
            BufferedReader br = new BufferedReader(new FileReader(new File(Environment.getExternalStorageDirectory(), "baidu/.cuid")));
            StringBuilder encodeStr = new StringBuilder();
            while (true) {
                String line = br.readLine();
                if (line == null) {
                    break;
                }
                encodeStr.append(line);
                encodeStr.append("\r\n");
            }
            br.close();
            String[] kv = new String(com.baidu.android.bbalbs.common.a.a.b("30212102dicudiab", "30212102dicudiab", b.a(encodeStr.toString().getBytes()))).split("=");
            if (kv == null || kv.length != 2 || !imei.equals(kv[0])) {
                return "";
            }
            return kv[1];
        } catch (FileNotFoundException | IOException | Exception e) {
            return "";
        }
    }

    private static void a(String imei, String deviceId) {
        if (!TextUtils.isEmpty(imei)) {
            File extFile = new File(Environment.getExternalStorageDirectory(), "baidu/.cuid");
            try {
                new File(extFile.getParent()).mkdirs();
                FileWriter fw = new FileWriter(extFile, false);
                fw.write(b.a(com.baidu.android.bbalbs.common.a.a.a("30212102dicudiab", "30212102dicudiab", (imei + "=" + deviceId).getBytes()), "utf-8"));
                fw.flush();
                fw.close();
            } catch (IOException | Exception e) {
            }
        }
    }

    /* renamed from: com.baidu.android.bbalbs.common.util.a$a  reason: collision with other inner class name */
    /* compiled from: DeviceId */
    static final class C0004a {
        public final String a;
        public final boolean b;

        private C0004a(String imei, boolean canReadAndWrite) {
            this.a = imei;
            this.b = canReadAndWrite;
        }

        private static String a(Context context, String defValue) {
            String imei = null;
            try {
                TelephonyManager tm = (TelephonyManager) context.getSystemService("phone");
                if (tm != null) {
                    imei = tm.getDeviceId();
                }
            } catch (Exception e) {
                Log.e("DeviceId", "Read IMEI failed", e);
            }
            String imei2 = a(imei);
            return TextUtils.isEmpty(imei2) ? defValue : imei2;
        }

        static C0004a a(Context context) {
            boolean z;
            boolean sysRwFail = false;
            String imei = "";
            try {
                imei = Settings.System.getString(context.getContentResolver(), "bd_setting_i");
                if (TextUtils.isEmpty(imei)) {
                    imei = a(context, "");
                }
                Settings.System.putString(context.getContentResolver(), "bd_setting_i", imei);
            } catch (Exception e) {
                Log.e("DeviceId", "Settings.System.getString or putString failed", e);
                sysRwFail = true;
                if (TextUtils.isEmpty(imei)) {
                    imei = a(context, "");
                }
            }
            if (sysRwFail) {
                z = false;
            } else {
                z = true;
            }
            return new C0004a(imei, z);
        }

        private static String a(String imei) {
            if (imei == null || !imei.contains(":")) {
                return imei;
            }
            return "";
        }
    }
}
