package com.baidu.lbsapi.auth;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import cn.beekee.zhongtong.fragment.FragmentWeb;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.net.UnknownHostException;
import java.security.KeyManagementException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.UnrecoverableKeyException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.net.ssl.SSLContext;
import javax.net.ssl.TrustManager;
import org.apache.http.Header;
import org.apache.http.HttpHost;
import org.apache.http.HttpResponse;
import org.apache.http.HttpVersion;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.conn.ConnectTimeoutException;
import org.apache.http.conn.scheme.PlainSocketFactory;
import org.apache.http.conn.scheme.Scheme;
import org.apache.http.conn.scheme.SchemeRegistry;
import org.apache.http.conn.ssl.SSLSocketFactory;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpProtocolParams;
import org.apache.http.util.EntityUtils;
import org.json.JSONException;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public class f {
    private final String a = "HttpAsyncTask";
    private Context b;
    private String c = null;
    private String d = null;
    private List<HashMap<String, String>> e = null;
    private a<String> f = null;

    /* access modifiers changed from: package-private */
    public interface a<Result> {
        void a(Result result);
    }

    /* access modifiers changed from: package-private */
    public class b extends SSLSocketFactory {
        SSLContext a = SSLContext.getInstance("TLS");

        public b(KeyStore keyStore) throws NoSuchAlgorithmException, KeyManagementException, KeyStoreException, UnrecoverableKeyException {
            super(keyStore);
            h hVar = new h(this, f.this);
            this.a.init(null, new TrustManager[]{hVar}, null);
        }

        @Override // org.apache.http.conn.scheme.SocketFactory, org.apache.http.conn.ssl.SSLSocketFactory
        public Socket createSocket() throws IOException {
            return this.a.getSocketFactory().createSocket();
        }

        @Override // org.apache.http.conn.scheme.LayeredSocketFactory, org.apache.http.conn.ssl.SSLSocketFactory
        public Socket createSocket(Socket socket, String str, int i, boolean z) throws IOException, UnknownHostException {
            return this.a.getSocketFactory().createSocket(socket, str, i, z);
        }
    }

    protected f(Context context) {
        this.b = context;
    }

    private String a(Context context) {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
        if (activeNetworkInfo == null || !activeNetworkInfo.isAvailable()) {
            return "";
        }
        String extraInfo = activeNetworkInfo.getExtraInfo();
        return (extraInfo == null || (!extraInfo.trim().toLowerCase().equals("cmwap") && !extraInfo.trim().toLowerCase().equals("uniwap") && !extraInfo.trim().toLowerCase().equals("3gwap") && !extraInfo.trim().toLowerCase().equals("ctwap"))) ? "wifi" : extraInfo.trim().toLowerCase().equals("ctwap") ? "ctwap" : "cmwap";
    }

    private String a(HttpClient httpClient, String str, HashMap<String, String> hashMap) {
        if (a.a) {
            a.a("httpPost start");
        }
        double currentTimeMillis = a.a ? (double) System.currentTimeMillis() : 0.0d;
        HttpPost httpPost = new HttpPost(str);
        if (a.a) {
            a.a("httpPost url:" + str);
        }
        if (hashMap == null) {
            return ErrorMessage.a("Post paramters is null;");
        }
        ArrayList arrayList = new ArrayList(hashMap.size());
        for (Map.Entry<String, String> entry : hashMap.entrySet()) {
            if (!entry.getKey().equals(FragmentWeb.URL)) {
                if (a.a) {
                    a.a("" + entry.getKey() + ":" + entry.getValue());
                }
                arrayList.add(new BasicNameValuePair(entry.getKey(), entry.getValue()));
            }
        }
        if (a.a) {
            a.a("httpPost add params end");
        }
        Header[] allHeaders = httpPost.getAllHeaders();
        for (Header header : allHeaders) {
            if (a.a) {
                a.a("http header : " + header.getName() + "=" + header.getValue());
            }
        }
        try {
            httpPost.setEntity(new UrlEncodedFormEntity(arrayList, "utf-8"));
            try {
                if (a.a) {
                    a.a("httpPost execute");
                }
                HttpResponse execute = httpClient.execute(httpPost);
                if (a.a) {
                    a.a("POST Thread duration:" + ((((double) System.currentTimeMillis()) - currentTimeMillis) / 1000.0d) + "[url:" + str + "]");
                }
                if (execute == null || execute.getStatusLine() == null) {
                    return ErrorMessage.a("Error: http response can not get status code.");
                }
                int statusCode = execute.getStatusLine().getStatusCode();
                if (statusCode != 200) {
                    if (a.a) {
                        a.a("syncConnect 104" + execute.getStatusLine().getReasonPhrase());
                    }
                    return ErrorMessage.a("Http code:" + statusCode + ";" + execute.getStatusLine().getReasonPhrase());
                }
                try {
                    this.c = EntityUtils.toString(execute.getEntity(), "utf-8");
                    if (a.a) {
                        a.a("syncConnect parse result = " + this.c);
                    }
                    try {
                        JSONObject jSONObject = new JSONObject(this.c);
                        if (a.a) {
                            a.a("httpPost end");
                        }
                        return jSONObject.toString();
                    } catch (JSONException e2) {
                        return ErrorMessage.a("JSONException:" + e2.getMessage());
                    }
                } catch (Exception e3) {
                    return ErrorMessage.a("Exception:" + e3.getMessage());
                }
            } catch (ConnectTimeoutException e4) {
                return ErrorMessage.a("Connect timeout exception:" + e4.getMessage());
            } catch (SocketTimeoutException e5) {
                return ErrorMessage.a("Socket timeout exception:" + e5.getMessage());
            } catch (Exception e6) {
                return ErrorMessage.a("Exception:" + e6.getMessage());
            }
        } catch (UnsupportedEncodingException e7) {
            return ErrorMessage.a("Paramters encoding exception:" + e7.getMessage());
        }
    }

    private List<HashMap<String, String>> a(HashMap<String, String> hashMap, String[] strArr) {
        ArrayList arrayList = new ArrayList();
        if (strArr == null || strArr.length <= 0) {
            HashMap hashMap2 = new HashMap();
            for (String str : hashMap.keySet()) {
                String obj = str.toString();
                hashMap2.put(obj, hashMap.get(obj));
            }
            arrayList.add(hashMap2);
        } else {
            for (String str2 : strArr) {
                HashMap hashMap3 = new HashMap();
                for (String str3 : hashMap.keySet()) {
                    String obj2 = str3.toString();
                    hashMap3.put(obj2, hashMap.get(obj2));
                }
                hashMap3.put("mcode", str2);
                arrayList.add(hashMap3);
            }
        }
        return arrayList;
    }

    private HttpClient a() {
        try {
            KeyStore instance = KeyStore.getInstance(KeyStore.getDefaultType());
            instance.load(null, null);
            b bVar = new b(instance);
            bVar.setHostnameVerifier(SSLSocketFactory.ALLOW_ALL_HOSTNAME_VERIFIER);
            BasicHttpParams basicHttpParams = new BasicHttpParams();
            HttpProtocolParams.setVersion(basicHttpParams, HttpVersion.HTTP_1_1);
            HttpProtocolParams.setContentCharset(basicHttpParams, "UTF-8");
            SchemeRegistry schemeRegistry = new SchemeRegistry();
            schemeRegistry.register(new Scheme("http", PlainSocketFactory.getSocketFactory(), 80));
            schemeRegistry.register(new Scheme("https", bVar, 443));
            return new DefaultHttpClient(new ThreadSafeClientConnManager(basicHttpParams, schemeRegistry), basicHttpParams);
        } catch (Exception e2) {
            return new DefaultHttpClient();
        }
    }

    private void a(String str) {
        JSONObject jSONObject;
        try {
            jSONObject = new JSONObject(str);
            if (!jSONObject.has("status")) {
                jSONObject.put("status", -1);
            }
        } catch (JSONException e2) {
            jSONObject = new JSONObject();
            try {
                jSONObject.put("status", -1);
            } catch (JSONException e3) {
                e3.printStackTrace();
            }
        }
        if (this.f != null) {
            this.f.a(jSONObject != null ? jSONObject.toString() : new JSONObject().toString());
        }
    }

    /* access modifiers changed from: private */
    public void a(List<HashMap<String, String>> list) {
        int i = 0;
        if (a.a) {
            a.a("syncConnect start Thread id = " + String.valueOf(Thread.currentThread().getId()));
        }
        if (list != null && list.size() > 0) {
            ArrayList arrayList = new ArrayList();
            while (i < list.size()) {
                if (a.a) {
                    a.a("auth sync resuest " + i + "  start!!!");
                }
                HashMap<String, String> hashMap = list.get(i);
                HttpClient a2 = a();
                b(a2);
                String str = hashMap.get(FragmentWeb.URL);
                if (a(a2)) {
                    String a3 = a(a2, str, hashMap);
                    if (a.a) {
                        a.a("auth sync resuest " + i + "  result:" + a3);
                    }
                    arrayList.add(a3);
                    try {
                        JSONObject jSONObject = new JSONObject(a3);
                        if (jSONObject.has("status") && jSONObject.getInt("status") == 0) {
                            if (a.a) {
                                a.a("auth end and break");
                            }
                            a(a3);
                            return;
                        }
                    } catch (JSONException e2) {
                        if (a.a) {
                            a.a("continue-------------------------------");
                        }
                    }
                } else {
                    if (a.a) {
                        a.a("Current network is not available.");
                    }
                    arrayList.add(ErrorMessage.a("Current network is not available."));
                }
                if (a.a) {
                    a.a("syncConnect end");
                }
                i++;
            }
            if (a.a) {
                a.a("---------------------------iiiiii:" + i + "<><>paramList.size():" + list.size() + "<><>authResults.size():" + arrayList.size());
            }
            if (list.size() > 0 && i == list.size() && arrayList.size() > 0 && i == arrayList.size() && i - 1 > 0) {
                try {
                    JSONObject jSONObject2 = new JSONObject((String) arrayList.get(i - 1));
                    if (jSONObject2.has("status") && jSONObject2.getInt("status") != 0) {
                        if (a.a) {
                            a.a("i-1 result is not 0,return first result");
                        }
                        a((String) arrayList.get(0));
                    }
                } catch (JSONException e3) {
                    a(ErrorMessage.a("JSONException:" + e3.getMessage()));
                }
            }
        }
    }

    private boolean a(HttpClient httpClient) {
        if (a.a) {
            a.a("checkNetwork 1 start");
        }
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) this.b.getSystemService("connectivity")).getActiveNetworkInfo();
        if (activeNetworkInfo == null || !activeNetworkInfo.isAvailable()) {
            return false;
        }
        String a2 = a(this.b);
        if (a.a) {
            a.a("checkNetwork = " + a2);
        }
        if (a2.equals("cmwap")) {
            httpClient.getParams().setParameter("http.route.default-proxy", new HttpHost("10.0.0.172", 80, "http"));
        } else if (a2.equals("ctwap")) {
            httpClient.getParams().setParameter("http.route.default-proxy", new HttpHost("10.0.0.200", 80, "http"));
        }
        if (a.a) {
            a.a("checkNetwork 4 end");
        }
        return true;
    }

    private void b(HttpClient httpClient) {
        if (a.a) {
            a.a("setTimeout start");
        }
        httpClient.getParams().setIntParameter("http.socket.timeout", 50000);
        httpClient.getParams().setIntParameter("http.connection.timeout", 50000);
        if (a.a) {
            a.a("setTimeout end");
        }
    }

    /* access modifiers changed from: protected */
    public void a(HashMap<String, String> hashMap, String[] strArr, a<String> aVar) {
        this.e = a(hashMap, strArr);
        this.f = aVar;
        new Thread(new g(this)).start();
    }
}
