package com.baidu.mapapi.map;

import android.graphics.Point;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.LatLngBounds;
import com.baidu.mapapi.model.a;
import com.baidu.platform.comapi.a.b;
import com.baidu.platform.comapi.map.z;

public final class MapStatus {
    z a;
    private double b;
    public final LatLngBounds bound;
    private double c;
    public final float overlook;
    public final float rotate;
    public final LatLng target;
    public final Point targetScreen;
    public final float zoom;

    public static final class Builder {
        private float a = -2.14748365E9f;
        private LatLng b = null;
        private float c = -2.14748365E9f;
        private float d = -2.14748365E9f;
        private Point e = null;
        private LatLngBounds f = null;
        private double g = 0.0d;
        private double h = 0.0d;

        public Builder() {
        }

        public Builder(MapStatus mapStatus) {
            this.a = mapStatus.rotate;
            this.b = mapStatus.target;
            this.c = mapStatus.overlook;
            this.d = mapStatus.zoom;
            this.e = mapStatus.targetScreen;
            this.g = mapStatus.a();
            this.h = mapStatus.b();
        }

        public MapStatus build() {
            return new MapStatus(this.a, this.b, this.c, this.d, this.e, this.f);
        }

        public Builder overlook(float f2) {
            this.c = f2;
            return this;
        }

        public Builder rotate(float f2) {
            this.a = f2;
            return this;
        }

        public Builder target(LatLng latLng) {
            this.b = latLng;
            return this;
        }

        public Builder targetScreen(Point point) {
            this.e = point;
            return this;
        }

        public Builder zoom(float f2) {
            this.d = f2;
            return this;
        }
    }

    MapStatus(float f, LatLng latLng, float f2, float f3, Point point, double d, double d2, LatLngBounds latLngBounds) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        this.b = d;
        this.c = d2;
        this.bound = latLngBounds;
    }

    MapStatus(float f, LatLng latLng, float f2, float f3, Point point, LatLngBounds latLngBounds) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        if (this.target != null) {
            this.b = a.a(this.target).b();
            this.c = a.a(this.target).a();
        }
        this.bound = latLngBounds;
    }

    MapStatus(float f, LatLng latLng, float f2, float f3, Point point, z zVar, double d, double d2, LatLngBounds latLngBounds) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        this.a = zVar;
        this.b = d;
        this.c = d2;
        this.bound = latLngBounds;
    }

    static MapStatus a(z zVar) {
        float f = (float) zVar.b;
        double d = zVar.e;
        double d2 = zVar.d;
        LatLng a2 = a.a(new b(d, d2));
        float f2 = (float) zVar.c;
        float f3 = zVar.a;
        Point point = new Point(zVar.f, zVar.g);
        LatLng a3 = a.a(new b((double) zVar.k.e.b, (double) zVar.k.e.a));
        LatLng a4 = a.a(new b((double) zVar.k.f.b, (double) zVar.k.f.a));
        LatLng a5 = a.a(new b((double) zVar.k.h.b, (double) zVar.k.h.a));
        LatLng a6 = a.a(new b((double) zVar.k.g.b, (double) zVar.k.g.a));
        LatLngBounds.Builder builder = new LatLngBounds.Builder();
        builder.include(a3);
        builder.include(a4);
        builder.include(a5);
        builder.include(a6);
        return new MapStatus(f, a2, f2, f3, point, zVar, d2, d, builder.build());
    }

    /* access modifiers changed from: package-private */
    public double a() {
        return this.b;
    }

    /* access modifiers changed from: package-private */
    public double b() {
        return this.c;
    }

    /* access modifiers changed from: package-private */
    public z b(z zVar) {
        if (this.rotate != -2.14748365E9f) {
            zVar.b = (int) this.rotate;
        }
        if (this.zoom != -2.14748365E9f) {
            zVar.a = this.zoom;
        }
        if (this.overlook != -2.14748365E9f) {
            zVar.c = (int) this.overlook;
        }
        if (this.target != null) {
            a.a(this.target);
            zVar.d = this.b;
            zVar.e = this.c;
        }
        if (this.targetScreen != null) {
            zVar.f = this.targetScreen.x;
            zVar.g = this.targetScreen.y;
        }
        return zVar;
    }

    /* access modifiers changed from: package-private */
    public z c() {
        return b(new z());
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.target != null) {
            sb.append("target lat: " + this.target.latitude + "\n");
            sb.append("target lng: " + this.target.longitude + "\n");
        }
        if (this.targetScreen != null) {
            sb.append("target screen x: " + this.targetScreen.x + "\n");
            sb.append("target screen y: " + this.targetScreen.y + "\n");
        }
        sb.append("zoom: " + this.zoom + "\n");
        sb.append("rotate: " + this.rotate + "\n");
        sb.append("overlook: " + this.overlook + "\n");
        return sb.toString();
    }
}
