package com.baidu.mapapi.map;

import android.os.Bundle;
import android.support.v4.view.ViewCompat;
import android.util.Log;
import com.baidu.mapapi.model.LatLng;
import java.util.ArrayList;
import java.util.List;

public final class PolylineOptions extends OverlayOptions {
    int a;
    boolean b = true;
    boolean c = false;
    Bundle d;
    private int e = ViewCompat.MEASURED_STATE_MASK;
    private List<LatLng> f;
    private List<Integer> g;
    private int h = 5;
    private BitmapDescriptor i;
    private List<BitmapDescriptor> j;
    private boolean k = true;

    /* access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.OverlayOptions
    public Overlay a() {
        Polyline polyline = new Polyline();
        polyline.q = this.b;
        polyline.e = this.c;
        polyline.p = this.a;
        polyline.r = this.d;
        if (this.f == null || this.f.size() < 2) {
            throw new IllegalStateException("when you add polyline, you must at least supply 2 points");
        }
        polyline.b = this.f;
        polyline.a = this.e;
        polyline.d = this.h;
        polyline.g = this.i;
        polyline.h = this.j;
        polyline.f = this.k;
        if (this.g != null && this.g.size() < this.f.size() - 1) {
            this.g.addAll(this.g.size(), new ArrayList((this.f.size() - 1) - this.g.size()));
        }
        if (this.g != null && this.g.size() > 0) {
            int[] iArr = new int[this.g.size()];
            int i2 = 0;
            for (Integer num : this.g) {
                iArr[i2] = num.intValue();
                i2++;
            }
            polyline.c = iArr;
        }
        return polyline;
    }

    public PolylineOptions color(int i2) {
        this.e = i2;
        return this;
    }

    public PolylineOptions customTexture(BitmapDescriptor bitmapDescriptor) {
        this.i = bitmapDescriptor;
        this.c = true;
        return this;
    }

    public PolylineOptions customTextureList(List<BitmapDescriptor> list) {
        if (list == null) {
            throw new IllegalArgumentException("customTexture list can not be null");
        }
        if (list.size() == 0) {
            Log.e("baidumapsdk", "custom texture list is empty,the texture will not work");
        }
        for (BitmapDescriptor bitmapDescriptor : list) {
            if (bitmapDescriptor == null) {
                Log.e("baidumapsdk", "the custom texture item is null,it will be discard");
            }
        }
        this.j = list;
        this.c = true;
        return this;
    }

    public PolylineOptions dottedLine(boolean z) {
        this.c = z;
        return this;
    }

    public PolylineOptions extraInfo(Bundle bundle) {
        this.d = bundle;
        return this;
    }

    public PolylineOptions focus(boolean z) {
        this.k = z;
        return this;
    }

    public int getColor() {
        return this.e;
    }

    public BitmapDescriptor getCustomTexture() {
        return this.i;
    }

    public List<BitmapDescriptor> getCustomTextureList() {
        return this.j;
    }

    public Bundle getExtraInfo() {
        return this.d;
    }

    public List<LatLng> getPoints() {
        return this.f;
    }

    public List<Integer> getTextureIndexs() {
        return this.g;
    }

    public int getWidth() {
        return this.h;
    }

    public int getZIndex() {
        return this.a;
    }

    public boolean isDottedLine() {
        return this.c;
    }

    public boolean isFocus() {
        return this.k;
    }

    public boolean isVisible() {
        return this.b;
    }

    public PolylineOptions points(List<LatLng> list) {
        if (list == null) {
            throw new IllegalArgumentException("points list can not be null");
        } else if (list.size() < 2 || list.size() > 10000) {
            throw new IllegalArgumentException("points count can not less than 2 or more than 10000");
        } else if (list.contains(null)) {
            throw new IllegalArgumentException("points list can not contains null");
        } else {
            this.f = list;
            return this;
        }
    }

    public PolylineOptions textureIndex(List<Integer> list) {
        if (list == null) {
            throw new IllegalArgumentException("indexs list can not be null");
        } else if (list.contains(null)) {
            throw new IllegalArgumentException("index list can not contains null");
        } else {
            this.g = list;
            return this;
        }
    }

    public PolylineOptions visible(boolean z) {
        this.b = z;
        return this;
    }

    public PolylineOptions width(int i2) {
        if (i2 > 0) {
            this.h = i2;
        }
        return this;
    }

    public PolylineOptions zIndex(int i2) {
        this.a = i2;
        return this;
    }
}
