package com.baidu.mapapi.overlayutil;

import android.graphics.Color;
import android.os.Bundle;
import android.widget.Toast;
import com.baidu.mapapi.a;
import com.baidu.mapapi.map.BaiduMap;
import com.baidu.mapapi.map.BitmapDescriptor;
import com.baidu.mapapi.map.BitmapDescriptorFactory;
import com.baidu.mapapi.map.Marker;
import com.baidu.mapapi.map.MarkerOptions;
import com.baidu.mapapi.map.Overlay;
import com.baidu.mapapi.map.OverlayOptions;
import com.baidu.mapapi.map.Polyline;
import com.baidu.mapapi.map.PolylineOptions;
import com.baidu.mapapi.search.route.DrivingRouteLine;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class DrivingRouteOverlay extends OverlayManager {
    boolean a = false;
    private DrivingRouteLine d = null;

    public DrivingRouteOverlay(BaiduMap baiduMap) {
        super(baiduMap);
    }

    public List<BitmapDescriptor> getCustomTextureList() {
        ArrayList arrayList = new ArrayList();
        arrayList.add(BitmapDescriptorFactory.fromAsset("Icon_road_blue_arrow.png"));
        arrayList.add(BitmapDescriptorFactory.fromAsset("Icon_road_green_arrow.png"));
        arrayList.add(BitmapDescriptorFactory.fromAsset("Icon_road_yellow_arrow.png"));
        arrayList.add(BitmapDescriptorFactory.fromAsset("Icon_road_red_arrow.png"));
        arrayList.add(BitmapDescriptorFactory.fromAsset("Icon_road_nofocus.png"));
        return arrayList;
    }

    public int getLineColor() {
        return 0;
    }

    @Override // com.baidu.mapapi.overlayutil.OverlayManager
    public final List<OverlayOptions> getOverlayOptions() {
        if (this.d == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        if (this.d.getAllStep() != null && this.d.getAllStep().size() > 0) {
            for (DrivingRouteLine.DrivingStep drivingStep : this.d.getAllStep()) {
                Bundle bundle = new Bundle();
                bundle.putInt("index", this.d.getAllStep().indexOf(drivingStep));
                if (drivingStep.getEntrance() != null) {
                    arrayList.add(new MarkerOptions().position(drivingStep.getEntrance().getLocation()).anchor(0.5f, 0.5f).zIndex(10).rotate((float) (360 - drivingStep.getDirection())).extraInfo(bundle).icon(BitmapDescriptorFactory.fromAssetWithDpi("Icon_line_node.png")));
                }
                if (this.d.getAllStep().indexOf(drivingStep) == this.d.getAllStep().size() - 1 && drivingStep.getExit() != null) {
                    arrayList.add(new MarkerOptions().position(drivingStep.getExit().getLocation()).anchor(0.5f, 0.5f).zIndex(10).icon(BitmapDescriptorFactory.fromAssetWithDpi("Icon_line_node.png")));
                }
            }
        }
        if (this.d.getStarting() != null) {
            arrayList.add(new MarkerOptions().position(this.d.getStarting().getLocation()).icon(getStartMarker() != null ? getStartMarker() : BitmapDescriptorFactory.fromAssetWithDpi("Icon_start.png")).zIndex(10));
        }
        if (this.d.getTerminal() != null) {
            arrayList.add(new MarkerOptions().position(this.d.getTerminal().getLocation()).icon(getTerminalMarker() != null ? getTerminalMarker() : BitmapDescriptorFactory.fromAssetWithDpi("Icon_end.png")).zIndex(10));
        }
        if (this.d.getAllStep() != null && this.d.getAllStep().size() > 0) {
            List allStep = this.d.getAllStep();
            int size = allStep.size();
            ArrayList arrayList2 = new ArrayList();
            ArrayList arrayList3 = new ArrayList();
            int i = 0;
            int i2 = 0;
            while (i < size) {
                if (i == size - 1) {
                    arrayList2.addAll(((DrivingRouteLine.DrivingStep) allStep.get(i)).getWayPoints());
                } else {
                    arrayList2.addAll(((DrivingRouteLine.DrivingStep) allStep.get(i)).getWayPoints().subList(0, ((DrivingRouteLine.DrivingStep) allStep.get(i)).getWayPoints().size() - 1));
                }
                int size2 = i2 + (((DrivingRouteLine.DrivingStep) allStep.get(i)).getWayPoints().size() - 1);
                if (((DrivingRouteLine.DrivingStep) allStep.get(i)).getTrafficList() != null && ((DrivingRouteLine.DrivingStep) allStep.get(i)).getTrafficList().length > 0) {
                    for (int i3 = 0; i3 < ((DrivingRouteLine.DrivingStep) allStep.get(i)).getTrafficList().length; i3++) {
                        arrayList3.add(Integer.valueOf(((DrivingRouteLine.DrivingStep) allStep.get(i)).getTrafficList()[i3]));
                    }
                }
                i++;
                i2 = size2;
            }
            boolean z = arrayList3 != null && arrayList3.size() > 0;
            PolylineOptions zIndex = new PolylineOptions().points(arrayList2).textureIndex(arrayList3).width(7).dottedLine(z).focus(true).color(getLineColor() != 0 ? getLineColor() : Color.argb(178, 0, 78, 255)).zIndex(0);
            if (z) {
                zIndex.customTextureList(getCustomTextureList());
            }
            arrayList.add(zIndex);
        }
        return arrayList;
    }

    public BitmapDescriptor getStartMarker() {
        return null;
    }

    public BitmapDescriptor getTerminalMarker() {
        return null;
    }

    @Override // com.baidu.mapapi.map.BaiduMap.OnMarkerClickListener
    public final boolean onMarkerClick(Marker marker) {
        for (Overlay overlay : this.c) {
            if ((overlay instanceof Marker) && overlay.equals(marker) && marker.getExtraInfo() != null) {
                onRouteNodeClick(marker.getExtraInfo().getInt("index"));
            }
        }
        return true;
    }

    @Override // com.baidu.mapapi.map.BaiduMap.OnPolylineClickListener
    public boolean onPolylineClick(Polyline polyline) {
        boolean z;
        Iterator it = this.c.iterator();
        while (true) {
            if (!it.hasNext()) {
                z = false;
                break;
            }
            Overlay overlay = (Overlay) it.next();
            if ((overlay instanceof Polyline) && overlay.equals(polyline)) {
                z = true;
                break;
            }
        }
        setFocus(z);
        return true;
    }

    public boolean onRouteNodeClick(int i) {
        if (this.d.getAllStep() == null || this.d.getAllStep().get(i) == null) {
            return false;
        }
        Toast.makeText(a.a().e(), ((DrivingRouteLine.DrivingStep) this.d.getAllStep().get(i)).getInstructions(), 1).show();
        return false;
    }

    public void setData(DrivingRouteLine drivingRouteLine) {
        this.d = drivingRouteLine;
    }

    public void setFocus(boolean z) {
        this.a = z;
        for (Overlay overlay : this.c) {
            if (overlay instanceof Polyline) {
                ((Polyline) overlay).setFocus(z);
                return;
            }
        }
    }
}
