package com.baidu.mapapi.overlayutil;

import com.baidu.mapapi.map.BaiduMap;
import com.baidu.mapapi.map.MapStatusUpdateFactory;
import com.baidu.mapapi.map.Marker;
import com.baidu.mapapi.map.Overlay;
import com.baidu.mapapi.map.OverlayOptions;
import com.baidu.mapapi.model.LatLngBounds;
import java.util.ArrayList;
import java.util.List;

public abstract class OverlayManager implements BaiduMap.OnMarkerClickListener, BaiduMap.OnPolylineClickListener {
    private List<OverlayOptions> a = null;
    BaiduMap b = null;
    List<Overlay> c = null;

    public OverlayManager(BaiduMap baiduMap) {
        this.b = baiduMap;
        if (this.a == null) {
            this.a = new ArrayList();
        }
        if (this.c == null) {
            this.c = new ArrayList();
        }
    }

    public final void addToMap() {
        if (this.b != null) {
            removeFromMap();
            if (getOverlayOptions() != null) {
                this.a.addAll(getOverlayOptions());
            }
            for (OverlayOptions overlayOptions : this.a) {
                this.c.add(this.b.addOverlay(overlayOptions));
            }
        }
    }

    public abstract List<OverlayOptions> getOverlayOptions();

    public final void removeFromMap() {
        if (this.b != null) {
            for (Overlay overlay : this.c) {
                overlay.remove();
            }
            this.a.clear();
            this.c.clear();
        }
    }

    public void zoomToSpan() {
        if (this.b != null && this.c.size() > 0) {
            LatLngBounds.Builder builder = new LatLngBounds.Builder();
            for (Overlay overlay : this.c) {
                if (overlay instanceof Marker) {
                    builder.include(((Marker) overlay).getPosition());
                }
            }
            this.b.setMapStatus(MapStatusUpdateFactory.newLatLngBounds(builder.build()));
        }
    }
}
