package com.baidu.mapapi.radar;

import android.os.Handler;
import com.baidu.mapapi.a;
import com.baidu.mapapi.model.LatLng;
import com.baidu.platform.comapi.c.c;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;
import java.util.Timer;
import java.util.TimerTask;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class RadarSearchManager implements c {
    private static RadarSearchManager a;
    private static String b = "";
    private static int l = 10;
    private ArrayList<RadarSearchListener> c = new ArrayList<>();
    private Timer d = new Timer();
    private TimerTask e;
    private boolean f = false;
    private Handler g;
    private RadarUploadInfoCallback h;
    private RadarUploadInfo i;
    private long j;
    private int k = 0;

    private RadarSearchManager() {
        a.a().b();
        com.baidu.platform.comapi.c.a.a().a(this);
    }

    private RadarNearbyResult a(String str) {
        JSONArray optJSONArray;
        RadarNearbyResult radarNearbyResult = new RadarNearbyResult();
        try {
            JSONObject jSONObject = new JSONObject(str);
            int optInt = jSONObject.optInt("total");
            radarNearbyResult.totalNum = optInt;
            int optInt2 = jSONObject.optInt("count");
            radarNearbyResult.pageNum = (optInt % l > 0 ? 1 : 0) + (optInt / l);
            radarNearbyResult.pageIndex = this.k;
            if (optInt2 > 0 && (optJSONArray = jSONObject.optJSONArray("contents")) != null) {
                ArrayList arrayList = new ArrayList();
                for (int i2 = 0; i2 < optJSONArray.length(); i2++) {
                    RadarNearbyInfo radarNearbyInfo = new RadarNearbyInfo();
                    JSONObject optJSONObject = optJSONArray.optJSONObject(i2);
                    radarNearbyInfo.userID = optJSONObject.optString("uid");
                    radarNearbyInfo.pt = new LatLng(optJSONObject.optDouble("locy"), optJSONObject.optDouble("locx"));
                    radarNearbyInfo.distance = optJSONObject.optInt("distance");
                    radarNearbyInfo.mobileName = optJSONObject.optString("mb");
                    radarNearbyInfo.mobileOS = optJSONObject.optString("os");
                    radarNearbyInfo.comments = optJSONObject.optString("comments");
                    radarNearbyInfo.timeStamp = new Date(((long) optJSONObject.optDouble("time")) * 1000);
                    arrayList.add(radarNearbyInfo);
                }
                radarNearbyResult.infoList = arrayList;
            }
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return radarNearbyResult;
    }

    private RadarSearchError a(int i2) {
        RadarSearchError radarSearchError = RadarSearchError.RADAR_NO_ERROR;
        switch (i2) {
            case 0:
                return RadarSearchError.RADAR_NO_ERROR;
            case 2:
            case 404:
                return RadarSearchError.RADAR_NETWORK_ERROR;
            case 8:
                return RadarSearchError.RADAR_NETWORK_TIMEOUT;
            case 500:
            case 504:
                return RadarSearchError.RADAR_AK_ERROR;
            case 502:
                return RadarSearchError.RADAR_FORBID_BY_USER;
            case 503:
                return RadarSearchError.RADAR_FORBID_BY_ADMIN;
            case 506:
                return RadarSearchError.RADAR_AK_NOT_BIND;
            case 507:
                return RadarSearchError.RADAR_USERID_NOT_EXIST;
            case 508:
                return RadarSearchError.RADAR_PERMISSION_UNFINISHED;
            default:
                return RadarSearchError.RADAR_NO_RESULT;
        }
    }

    /* access modifiers changed from: public */
    private boolean a(RadarUploadInfo radarUploadInfo) {
        if (radarUploadInfo == null || b.equals("") || System.currentTimeMillis() - this.j < 5000) {
            return false;
        }
        this.i = radarUploadInfo;
        this.j = System.currentTimeMillis();
        return com.baidu.platform.comapi.c.a.a().a(b, radarUploadInfo.pt, radarUploadInfo.comments);
    }

    static /* synthetic */ Handler b(RadarSearchManager radarSearchManager) {
        return radarSearchManager.g;
    }

    public static RadarSearchManager getInstance() {
        if (a == null) {
            a = new RadarSearchManager();
        }
        return a;
    }

    public void addNearbyInfoListener(RadarSearchListener radarSearchListener) {
        if (a != null && radarSearchListener != null) {
            this.c.add(radarSearchListener);
        }
    }

    public void clearUserInfo() {
        if (a != null && b != null && !b.equals("")) {
            com.baidu.platform.comapi.c.a.a().a(b);
        }
    }

    public void destroy() {
        if (a != null) {
            if (this.f) {
                stopUploadAuto();
                this.d.cancel();
            }
            com.baidu.platform.comapi.c.a.a().b();
            com.baidu.platform.comapi.c.a.a().d();
            a.a().d();
            a = null;
        }
    }

    public boolean nearbyInfoRequest(RadarNearbySearchOption radarNearbySearchOption) {
        int i2;
        LatLng latLng;
        int i3 = 1;
        if (a == null || radarNearbySearchOption == null) {
            return false;
        }
        if (radarNearbySearchOption.e == RadarNearbySearchSortType.distance_from_far_to_near || radarNearbySearchOption.e == RadarNearbySearchSortType.distance_from_near_to_far) {
            if (radarNearbySearchOption.e == RadarNearbySearchSortType.distance_from_far_to_near) {
                i2 = 0;
            } else {
                i3 = 0;
                i2 = 0;
            }
        } else if (radarNearbySearchOption.e == RadarNearbySearchSortType.time_from_past_to_recent) {
            i2 = 1;
        } else {
            i2 = 1;
            i3 = 0;
        }
        if ((radarNearbySearchOption.c == null && this.i == null) || b.equals("")) {
            return false;
        }
        if (radarNearbySearchOption.c != null) {
            latLng = radarNearbySearchOption.c;
        } else if (this.i.pt == null) {
            return false;
        } else {
            latLng = this.i.pt;
        }
        String str = "";
        if (!(radarNearbySearchOption.f == null || radarNearbySearchOption.g == null)) {
            Calendar instance = Calendar.getInstance();
            instance.setTime(radarNearbySearchOption.f);
            long timeInMillis = instance.getTimeInMillis();
            instance.setTime(radarNearbySearchOption.g);
            str = String.valueOf(timeInMillis / 1000) + "," + String.valueOf(instance.getTimeInMillis() / 1000);
        }
        l = radarNearbySearchOption.d;
        this.k = radarNearbySearchOption.b;
        return com.baidu.platform.comapi.c.a.a().a(b, latLng, radarNearbySearchOption.a, radarNearbySearchOption.b, radarNearbySearchOption.d, i2, i3, str);
    }

    @Override // com.baidu.platform.comapi.c.c
    public void onGetClearInfoResult(int i2) {
        RadarSearchError a2 = a(i2);
        if (this.c != null && this.c.size() > 0) {
            Iterator<RadarSearchListener> it = this.c.iterator();
            while (it.hasNext()) {
                it.next().onGetClearInfoState(a2);
            }
        }
    }

    @Override // com.baidu.platform.comapi.c.c
    public void onGetNearByResult(String str, int i2) {
        if (this.c != null && this.c.size() != 0) {
            RadarSearchError a2 = a(i2);
            if (a2 != RadarSearchError.RADAR_NO_ERROR) {
                Iterator<RadarSearchListener> it = this.c.iterator();
                while (it.hasNext()) {
                    it.next().onGetNearbyInfoList(null, a2);
                }
                return;
            }
            RadarNearbyResult a3 = a(str);
            if (a3 == null || a3.infoList == null || a3.infoList.size() <= 0) {
                Iterator<RadarSearchListener> it2 = this.c.iterator();
                while (it2.hasNext()) {
                    it2.next().onGetNearbyInfoList(a3, RadarSearchError.RADAR_NO_RESULT);
                }
                return;
            }
            Iterator<RadarSearchListener> it3 = this.c.iterator();
            while (it3.hasNext()) {
                it3.next().onGetNearbyInfoList(a3, a2);
            }
        }
    }

    @Override // com.baidu.platform.comapi.c.c
    public void onGetUploadResult(int i2) {
        RadarSearchError a2 = a(i2);
        if (this.c != null && this.c.size() > 0) {
            Iterator<RadarSearchListener> it = this.c.iterator();
            while (it.hasNext()) {
                it.next().onGetUploadState(a2);
            }
        }
    }

    public void removeNearbyInfoListener(RadarSearchListener radarSearchListener) {
        if (a != null && this.c.contains(radarSearchListener)) {
            this.c.remove(radarSearchListener);
        }
    }

    public void setUserID(String str) {
        if (a != null) {
            if (str == null || str.equals("")) {
                b = com.baidu.platform.comapi.e.c.l();
            } else {
                b = str;
            }
            this.i = null;
        }
    }

    public void startUploadAuto(RadarUploadInfoCallback radarUploadInfoCallback, int i2) {
        if (a != null && i2 >= 5000 && radarUploadInfoCallback != null && !this.f) {
            this.f = true;
            this.h = radarUploadInfoCallback;
            this.g = new a(this);
            this.e = new b(this);
            this.d.schedule(this.e, 1000, (long) i2);
        }
    }

    public void stopUploadAuto() {
        if (a != null && this.f) {
            this.f = false;
            this.h = null;
            this.e.cancel();
            this.g = null;
        }
    }

    public boolean uploadInfoRequest(RadarUploadInfo radarUploadInfo) {
        if (a == null) {
            return false;
        }
        return a(radarUploadInfo);
    }
}
