package com.handmark.pulltorefresh.library;

import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import com.handmark.pulltorefresh.library.internal.LoadingLayout;
import java.util.HashSet;
import java.util.Iterator;

public class LoadingLayoutProxy implements ILoadingLayout {
    private final HashSet<LoadingLayout> mLoadingLayouts = new HashSet<>();

    LoadingLayoutProxy() {
    }

    public void addLayout(LoadingLayout layout) {
        if (layout != null) {
            this.mLoadingLayouts.add(layout);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setLastUpdatedLabel(CharSequence label) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setLastUpdatedLabel(label);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setLoadingDrawable(Drawable drawable) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setLoadingDrawable(drawable);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setRefreshingLabel(CharSequence refreshingLabel) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setRefreshingLabel(refreshingLabel);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setPullLabel(CharSequence label) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setPullLabel(label);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setReleaseLabel(CharSequence label) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setReleaseLabel(label);
        }
    }

    @Override // com.handmark.pulltorefresh.library.ILoadingLayout
    public void setTextTypeface(Typeface tf) {
        Iterator i$ = this.mLoadingLayouts.iterator();
        while (i$.hasNext()) {
            i$.next().setTextTypeface(tf);
        }
    }
}
