package com.orhanobut.dialogplus;

import android.view.View;
import android.view.animation.Animation;
import android.view.animation.Transformation;

/* access modifiers changed from: package-private */
public class HeightAnimation extends Animation {
    protected final int originalHeight;
    protected float perValue;
    protected final View view;

    public HeightAnimation(View view2, int fromHeight, int toHeight) {
        this.view = view2;
        this.originalHeight = fromHeight;
        this.perValue = (float) (toHeight - fromHeight);
    }

    /* access modifiers changed from: protected */
    public void applyTransformation(float interpolatedTime, Transformation t) {
        this.view.getLayoutParams().height = (int) (((float) this.originalHeight) + (this.perValue * interpolatedTime));
        this.view.requestLayout();
    }

    public boolean willChangeBounds() {
        return true;
    }
}
