package com.umeng.analytics.onlineconfig;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.h;
import java.util.Iterator;
import org.json.JSONObject;
import u.aly.bq;
import u.aly.br;
import u.aly.bw;
import u.aly.bx;
import u.aly.by;
import u.aly.cd;

/* compiled from: OnlineConfigAgent */
public class a {
    public static final String a = "type";
    public static final String b = "package";
    public static final String c = "channel";
    public static final String d = "idmd5";
    public static final String e = "version_code";
    public static final String f = "appkey";
    public static final String g = "sdk_version";
    private static final long k = 600000;
    private final String h = "last_config_time";
    private final String i = "report_policy";
    private final String j = "online_config";
    private UmengOnlineConfigureListener l = null;
    private c m = null;

    public void a(Context context) {
        if (context == null) {
            try {
                br.b(com.umeng.analytics.a.e, "unexpected null context in updateOnlineConfig");
            } catch (Exception e2) {
                br.b(com.umeng.analytics.a.e, "exception in updateOnlineConfig");
            }
        } else {
            new Thread(new b(context.getApplicationContext())).start();
        }
    }

    public void a(UmengOnlineConfigureListener umengOnlineConfigureListener) {
        this.l = umengOnlineConfigureListener;
    }

    public void a() {
        this.l = null;
    }

    public void a(c cVar) {
        this.m = cVar;
    }

    public void b() {
        this.m = null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(JSONObject jSONObject) {
        if (this.l != null) {
            this.l.onDataReceived(jSONObject);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private long b(Context context) {
        return h.a(context).j().getLong("oc_mdf_told", 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Context context, b bVar) {
        if (bVar.c != -1) {
            h.a(context).a(bVar.c, bVar.d);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(Context context, b bVar) {
        if (bVar.a != null && bVar.a.length() != 0) {
            SharedPreferences.Editor edit = h.a(context).j().edit();
            try {
                JSONObject jSONObject = bVar.a;
                Iterator<String> keys = jSONObject.keys();
                while (keys.hasNext()) {
                    String next = keys.next();
                    edit.putString(next, jSONObject.getString(next));
                }
                edit.commit();
                br.a(com.umeng.analytics.a.e, "get online setting params: " + jSONObject);
            } catch (Exception e2) {
                br.c(com.umeng.analytics.a.e, "save online config params", e2);
            }
        }
    }

    /* compiled from: OnlineConfigAgent */
    public class b extends bw implements Runnable {
        Context a;

        public b(Context context) {
            this.a = context.getApplicationContext();
        }

        public void run() {
            try {
                if (c()) {
                    b();
                }
            } catch (Exception e) {
                a.this.a((a) null);
                br.c(com.umeng.analytics.a.e, "request online config error", e);
            }
        }

        @Override // u.aly.bw
        public boolean a() {
            return true;
        }

        private void b() {
            b bVar = (b) a(new C0009a(this.a), b.class);
            if (bVar == null) {
                a.this.a((a) null);
            } else if (bVar.b) {
                if (a.this.m != null) {
                    a.this.m.a(bVar.c, (long) bVar.d);
                }
                a.this.a((a) this.a, (Context) bVar);
                a.this.b(this.a, bVar);
                a.this.a((a) bVar.a);
            } else {
                a.this.a((a) null);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:20:0x008f  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x009c  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x00b7  */
        private boolean c() {
            boolean z;
            d dVar;
            SharedPreferences j;
            boolean z2 = true;
            if (TextUtils.isEmpty(AnalyticsConfig.getAppkey(this.a))) {
                br.b(com.umeng.analytics.a.e, "Appkey is missing ,Please check AndroidManifest.xml");
                return false;
            }
            boolean z3 = br.a && bq.w(this.a);
            if (!z3) {
                SharedPreferences j2 = h.a(this.a).j();
                long j3 = j2.getLong("last_test_t", 0);
                long currentTimeMillis = System.currentTimeMillis();
                if (currentTimeMillis - j3 > j2.getLong("oc_req_i", a.k)) {
                    j2.edit().putLong("last_test_t", currentTimeMillis).commit();
                    z = true;
                    if ((z3 && !z) || (dVar = (d) a(new c(this.a), d.class)) == null) {
                        return false;
                    }
                    j = h.a(this.a).j();
                    if (dVar.a <= j.getLong("oc_mdf_t", 0)) {
                        z2 = false;
                    }
                    SharedPreferences.Editor edit = j.edit();
                    if (dVar.b >= 0) {
                        edit.putLong("oc_req_i", dVar.b);
                    }
                    if (dVar.a >= 0) {
                        edit.putLong("oc_mdf_told", j.getLong("oc_mdf_t", 0));
                        edit.putLong("oc_mdf_t", dVar.a);
                    }
                    edit.commit();
                    return z2;
                }
            }
            z = false;
            if (z3) {
            }
            j = h.a(this.a).j();
            if (dVar.a <= j.getLong("oc_mdf_t", 0)) {
            }
            SharedPreferences.Editor edit2 = j.edit();
            if (dVar.b >= 0) {
            }
            if (dVar.a >= 0) {
            }
            edit2.commit();
            return z2;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.umeng.analytics.onlineconfig.a$a  reason: collision with other inner class name */
    /* compiled from: OnlineConfigAgent */
    public class C0009a extends bx {
        private final String e = "http://oc.umeng.com/v2/check_config_update";
        private JSONObject f;

        public C0009a(Context context) {
            super(null);
            this.d = "http://oc.umeng.com/v2/check_config_update";
            this.f = a(context);
        }

        @Override // u.aly.bx
        public JSONObject a() {
            return this.f;
        }

        @Override // u.aly.bx
        public String b() {
            return this.d;
        }

        private JSONObject a(Context context) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put(a.a, "online_config");
                jSONObject.put(a.f, AnalyticsConfig.getAppkey(context));
                jSONObject.put(a.e, bq.c(context));
                jSONObject.put(a.b, bq.u(context));
                jSONObject.put(a.g, AnalyticsConfig.getSDKVersion());
                jSONObject.put(a.d, cd.b(bq.f(context)));
                jSONObject.put(a.c, AnalyticsConfig.getChannel(context));
                jSONObject.put("report_policy", h.a(context).c()[0]);
                jSONObject.put("last_config_time", a.this.b(context));
                return jSONObject;
            } catch (Exception e2) {
                br.b(com.umeng.analytics.a.e, "exception in onlineConfigInternal");
                return null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: OnlineConfigAgent */
    public class c extends bx {
        private final String e = "http://oc.umeng.com/v2/get_update_time";
        private JSONObject f;

        public c(Context context) {
            super(null);
            this.d = "http://oc.umeng.com/v2/get_update_time";
            this.f = a(context);
        }

        @Override // u.aly.bx
        public JSONObject a() {
            return this.f;
        }

        private JSONObject a(Context context) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put(a.f, AnalyticsConfig.getAppkey(context));
                jSONObject.put(a.e, bq.c(context));
                return jSONObject;
            } catch (Exception e2) {
                br.b(com.umeng.analytics.a.e, "exception in onlineConfigInternal");
                return null;
            }
        }

        @Override // u.aly.bx
        public String b() {
            return this.d;
        }
    }

    /* compiled from: OnlineConfigAgent */
    public static class d extends by {
        public long a = -1;
        public long b = -1;

        public d(JSONObject jSONObject) {
            super(jSONObject);
            a(jSONObject);
        }

        private void a(JSONObject jSONObject) {
            if (jSONObject != null) {
                try {
                    this.a = jSONObject.optLong("last_config_time", -1);
                    this.b = jSONObject.optLong("oc_interval", -1) * 60 * 1000;
                } catch (Exception e) {
                    br.e(com.umeng.analytics.a.e, "fail to parce online config response", e);
                }
            }
        }
    }
}
