package u.aly;

import android.content.Context;
import android.content.SharedPreferences;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.a;
import java.util.Arrays;
import java.util.List;

/* compiled from: SessionTracker */
public class z {
    private static final String a = "session_start_time";
    private static final String b = "session_end_time";
    private static final String c = "session_id";
    private static final String f = "activities";
    private static String g = null;
    private final String d = "a_start_time";
    private final String e = "a_end_time";

    public aj a(Context context) {
        SharedPreferences a2 = x.a(context);
        String string = a2.getString(c, null);
        if (string == null) {
            return null;
        }
        long j = a2.getLong(a, 0);
        long j2 = a2.getLong(b, 0);
        long j3 = 0;
        if (j2 != 0) {
            j3 = j2 - j;
            if (Math.abs(j3) > a.m) {
                j3 = 0;
            }
        }
        aj ajVar = new aj();
        ajVar.a(string);
        ajVar.a(j);
        ajVar.b(j2);
        ajVar.c(j3);
        double[] location = AnalyticsConfig.getLocation();
        if (location != null) {
            be beVar = new be(location[0], location[1], System.currentTimeMillis());
            if (ajVar.y()) {
                ajVar.a(beVar);
            } else {
                ajVar.b(Arrays.asList(beVar));
            }
        }
        bm a3 = ac.a(context);
        if (a3 != null) {
            ajVar.a(a3);
        }
        List<bg> a4 = ad.a(a2);
        if (a4 != null && a4.size() > 0) {
            ajVar.a(a4);
        }
        a(a2);
        return ajVar;
    }

    private void a(SharedPreferences sharedPreferences) {
        SharedPreferences.Editor edit = sharedPreferences.edit();
        edit.remove(a);
        edit.remove(b);
        edit.remove("a_start_time");
        edit.remove("a_end_time");
        edit.putString(f, "");
        edit.commit();
    }

    public String b(Context context) {
        String f2 = bq.f(context);
        String appkey = AnalyticsConfig.getAppkey(context);
        long currentTimeMillis = System.currentTimeMillis();
        if (appkey == null) {
            throw new RuntimeException("Appkey is null or empty, Please check AndroidManifest.xml");
        }
        StringBuilder sb = new StringBuilder();
        sb.append(currentTimeMillis).append(appkey).append(f2);
        g = cd.a(sb.toString());
        return g;
    }

    public void c(Context context) {
        SharedPreferences a2 = x.a(context);
        if (a2 != null) {
            if (b(a2)) {
                br.a(a.e, "Start new session: " + a(context, a2));
                return;
            }
            String string = a2.getString(c, null);
            SharedPreferences.Editor edit = a2.edit();
            edit.putLong("a_start_time", System.currentTimeMillis());
            edit.putLong("a_end_time", 0);
            edit.commit();
            br.a(a.e, "Extend current session: " + string);
        }
    }

    public void d(Context context) {
        SharedPreferences a2 = x.a(context);
        if (a2 != null) {
            if (a2.getLong("a_start_time", 0) != 0 || !AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
                long currentTimeMillis = System.currentTimeMillis();
                SharedPreferences.Editor edit = a2.edit();
                edit.putLong("a_start_time", 0);
                edit.putLong("a_end_time", currentTimeMillis);
                edit.putLong(b, currentTimeMillis);
                edit.commit();
                return;
            }
            br.b(a.e, "onPause called before onResume");
        }
    }

    private boolean b(SharedPreferences sharedPreferences) {
        long j = sharedPreferences.getLong("a_start_time", 0);
        long j2 = sharedPreferences.getLong("a_end_time", 0);
        long currentTimeMillis = System.currentTimeMillis();
        if (j != 0 && currentTimeMillis - j < AnalyticsConfig.kContinueSessionMillis) {
            br.b(a.e, "onResume called before onPause");
            return false;
        } else if (currentTimeMillis - j2 > AnalyticsConfig.kContinueSessionMillis) {
            return true;
        } else {
            return false;
        }
    }

    private String a(Context context, SharedPreferences sharedPreferences) {
        l a2 = l.a(context);
        String b2 = b(context);
        aj a3 = a(context);
        SharedPreferences.Editor edit = sharedPreferences.edit();
        edit.putString(c, b2);
        edit.putLong(a, System.currentTimeMillis());
        edit.putLong(b, 0);
        edit.putLong("a_start_time", System.currentTimeMillis());
        edit.putLong("a_end_time", 0);
        edit.commit();
        if (a3 != null) {
            a2.a(a3);
        } else {
            a2.a((q) null);
        }
        return b2;
    }

    public boolean e(Context context) {
        boolean z = false;
        SharedPreferences a2 = x.a(context);
        if (!(a2 == null || a2.getString(c, null) == null)) {
            long j = a2.getLong("a_start_time", 0);
            long j2 = a2.getLong("a_end_time", 0);
            if (j > 0 && j2 == 0) {
                z = true;
                d(context);
            }
            l a3 = l.a(context);
            aj a4 = a(context);
            if (a4 != null) {
                a3.b(a4);
            }
        }
        return z;
    }

    public void f(Context context) {
        SharedPreferences a2 = x.a(context);
        if (a2 != null) {
            String b2 = b(context);
            SharedPreferences.Editor edit = a2.edit();
            edit.putString(c, b2);
            edit.putLong(a, System.currentTimeMillis());
            edit.putLong(b, 0);
            edit.putLong("a_start_time", System.currentTimeMillis());
            edit.putLong("a_end_time", 0);
            edit.commit();
            br.a(a.e, "Restart session: " + b2);
        }
    }

    public static String g(Context context) {
        if (g == null) {
            g = x.a(context).getString(c, null);
        }
        return g;
    }
}
