package com.baidu.location;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import java.util.List;

public class GeofenceClient implements a1, m {
    public static final String BUNDLE_FOR_GEOFENCE_ID = "geofence_id";
    private static final int bm = 1;
    private static long bq = a4.lh;
    private Context bi;
    private OnGeofenceTriggerListener bj;
    private ServiceConnection bk = new ServiceConnection() {
        /* class com.baidu.location.GeofenceClient.AnonymousClass1 */

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            GeofenceClient.this.bn = new Messenger(iBinder);
            if (GeofenceClient.this.bn != null) {
                GeofenceClient.this.bo = true;
                GeofenceClient.this.startGeofenceScann();
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            GeofenceClient.this.bn = null;
            GeofenceClient.this.bo = false;
        }
    };
    private Messenger bl = new Messenger(this.bp);
    private Messenger bn = null;
    private boolean bo = false;
    private a bp = new a();

    public interface OnAddBDGeofencesResultListener {
        void onAddBDGeofencesResult(int i, String str);
    }

    public interface OnGeofenceTriggerListener {
        void onGeofenceExit(String str);

        void onGeofenceTrigger(String str);
    }

    public interface OnRemoveBDGeofencesResultListener {
        void onRemoveBDGeofencesByRequestIdsResult(int i, String[] strArr);
    }

    private class a extends Handler {
        private a() {
        }

        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    GeofenceClient.this.d();
                    return;
                case a1.f51goto:
                    if (data != null) {
                        GeofenceClient.this.m5for(data.getString("geofence_id"));
                        return;
                    }
                    return;
                case a1.i:
                    if (data != null) {
                        GeofenceClient.this.m10int(data.getString("geofence_id"));
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    }

    public GeofenceClient(Context context) {
        this.bi = context;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        if (!this.bo) {
            Intent intent = new Intent(this.bi, f.class);
            intent.putExtra("interval", bq);
            try {
                this.bi.bindService(intent, this.bk, 1);
            } catch (Exception e) {
                this.bo = false;
            }
        }
    }

    protected static long e() {
        return bq;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: for  reason: not valid java name */
    private void m5for(String str) {
        if (this.bj != null) {
            this.bj.onGeofenceTrigger(str);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: int  reason: not valid java name */
    private void m10int(String str) {
        if (this.bj != null) {
            this.bj.onGeofenceExit(str);
        }
    }

    /* renamed from: void  reason: not valid java name */
    private void m11void() {
        try {
            Message obtain = Message.obtain((Handler) null, (int) a1.Q);
            obtain.replyTo = this.bl;
            this.bn.send(obtain);
        } catch (Exception e) {
        }
    }

    public void addBDGeofence(BDGeofence bDGeofence, OnAddBDGeofencesResultListener onAddBDGeofencesResultListener) throws NullPointerException, IllegalArgumentException, IllegalStateException {
        ar.a(bDGeofence, "geofence is null");
        if (bDGeofence != null) {
            ar.m197if(bDGeofence instanceof au, "BDGeofence must be created using BDGeofence.Builder");
        }
        ay.m242for(this.bi).m258if((au) bDGeofence, onAddBDGeofencesResultListener);
    }

    public boolean isStarted() {
        return this.bo;
    }

    public void registerGeofenceTriggerListener(OnGeofenceTriggerListener onGeofenceTriggerListener) {
        if (this.bj == null) {
            this.bj = onGeofenceTriggerListener;
        }
    }

    public void removeBDGeofences(List list, OnRemoveBDGeofencesResultListener onRemoveBDGeofencesResultListener) throws NullPointerException, IllegalArgumentException {
        ay.m242for(this.bi).m259if(list, onRemoveBDGeofencesResultListener);
    }

    public void setInterval(long j) {
        if (j > bq) {
            bq = j;
        }
    }

    public void start() throws NullPointerException {
        ar.a(this.bj, "OnGeofenceTriggerListener not register!");
        this.bp.obtainMessage(1).sendToTarget();
    }

    public void startGeofenceScann() {
        if (this.bo) {
            try {
                Message obtain = Message.obtain((Handler) null, (int) a1.p);
                obtain.replyTo = this.bl;
                this.bn.send(obtain);
            } catch (Exception e) {
            }
        }
    }

    public void stop() {
        m11void();
    }
}
