package com.baidu.mapapi.map;

import android.graphics.Bitmap;
import android.graphics.Rect;
import android.os.Bundle;
import android.support.v7.internal.widget.ActivityChooserView;
import android.view.MotionEvent;
import android.view.View;
import com.baidu.mapapi.map.MapStatus;
import com.baidu.mapapi.map.MapViewLayoutParams;
import com.baidu.mapapi.map.MyLocationConfiguration;
import com.baidu.mapapi.map.Overlay;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.a;
import com.baidu.platform.comapi.a.b;
import com.baidu.platform.comapi.map.e;
import com.baidu.platform.comapi.map.f;
import com.baidu.platform.comapi.map.z;
import com.baidu.platform.comjni.tools.ParcelItem;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.microedition.khronos.opengles.GL10;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class BaiduMap {
    public static final int MAP_TYPE_NORMAL = 1;
    public static final int MAP_TYPE_SATELLITE = 2;
    private static final String b = BaiduMap.class.getSimpleName();
    private MyLocationData A;
    private MyLocationConfiguration B;
    private boolean C;
    MapView a;
    private Projection c;
    private UiSettings d;
    private f e;
    private List<Overlay> f;
    private List<Marker> g;
    private Overlay.a h;
    private OnMapStatusChangeListener i;
    private OnMapTouchListener j;
    private OnMapClickListener k;
    private OnMapLoadedCallback l;
    private OnMapDoubleClickListener m;
    private OnMapLongClickListener n;
    private ArrayList<OnMarkerClickListener> o = new ArrayList<>();
    private ArrayList<OnPolylineClickListener> p = new ArrayList<>();
    private OnMarkerDragListener q;
    private OnMyLocationClickListener r;
    private SnapshotReadyCallback s;
    private OnMapDrawFrameCallback t;

    /* renamed from: u  reason: collision with root package name */
    private HeatMap f167u;
    private Lock v = new ReentrantLock();
    private InfoWindow w;
    private Marker x;
    private View y;
    private Marker z;

    public interface OnMapClickListener {
        void onMapClick(LatLng latLng);

        boolean onMapPoiClick(MapPoi mapPoi);
    }

    public interface OnMapDoubleClickListener {
        void onMapDoubleClick(LatLng latLng);
    }

    public interface OnMapDrawFrameCallback {
        void onMapDrawFrame(GL10 gl10, MapStatus mapStatus);
    }

    public interface OnMapLoadedCallback {
        void onMapLoaded();
    }

    public interface OnMapLongClickListener {
        void onMapLongClick(LatLng latLng);
    }

    public interface OnMapStatusChangeListener {
        void onMapStatusChange(MapStatus mapStatus);

        void onMapStatusChangeFinish(MapStatus mapStatus);

        void onMapStatusChangeStart(MapStatus mapStatus);
    }

    public interface OnMapTouchListener {
        void onTouch(MotionEvent motionEvent);
    }

    public interface OnMarkerClickListener {
        boolean onMarkerClick(Marker marker);
    }

    public interface OnMarkerDragListener {
        void onMarkerDrag(Marker marker);

        void onMarkerDragEnd(Marker marker);

        void onMarkerDragStart(Marker marker);
    }

    public interface OnMyLocationClickListener {
        boolean onMyLocationClick();
    }

    public interface OnPolylineClickListener {
        boolean onPolylineClick(Polyline polyline);
    }

    public interface SnapshotReadyCallback {
        void onSnapshotReady(Bitmap bitmap);
    }

    BaiduMap(f fVar) {
        this.e = fVar;
        this.d = new UiSettings(this.e);
        this.f = new LinkedList();
        this.g = new LinkedList();
        this.h = new a(this);
        this.e.a(new b(this));
        this.e.a(new c(this));
    }

    private z a(MapStatusUpdate mapStatusUpdate) {
        return mapStatusUpdate.a(this.e, getMapStatus()).b(this.e.p());
    }

    private final void a(MyLocationData myLocationData, MyLocationConfiguration myLocationConfiguration) {
        Bundle bundle;
        float f2;
        if (myLocationData != null && myLocationConfiguration != null && isMyLocationEnabled()) {
            JSONObject jSONObject = new JSONObject();
            JSONArray jSONArray = new JSONArray();
            JSONObject jSONObject2 = new JSONObject();
            JSONObject jSONObject3 = new JSONObject();
            LatLng latLng = new LatLng(myLocationData.latitude, myLocationData.longitude);
            b a2 = a.a(latLng);
            try {
                jSONObject.put(com.umeng.analytics.onlineconfig.a.a, 0);
                jSONObject2.put("ptx", a2.b());
                jSONObject2.put("pty", a2.a());
                jSONObject2.put(com.baidu.location.a.a.f30else, (double) ((float) a.a(latLng, (int) myLocationData.accuracy)));
                float f3 = myLocationData.direction;
                if (myLocationConfiguration.enableDirection) {
                    f2 = myLocationData.direction % 360.0f;
                    if (f2 > 180.0f) {
                        f2 -= 360.0f;
                    } else if (f2 < -180.0f) {
                        f2 += 360.0f;
                    }
                } else {
                    f2 = -1.0f;
                }
                jSONObject2.put("direction", (double) f2);
                jSONObject2.put("iconarrownor", "NormalLocArrow");
                jSONObject2.put("iconarrownorid", 28);
                jSONObject2.put("iconarrowfoc", "FocusLocArrow");
                jSONObject2.put("iconarrowfocid", 29);
                jSONArray.put(jSONObject2);
                jSONObject.put("data", jSONArray);
                if (myLocationConfiguration.locationMode == MyLocationConfiguration.LocationMode.COMPASS) {
                    jSONObject3.put("ptx", a2.b());
                    jSONObject3.put("pty", a2.a());
                    jSONObject3.put(com.baidu.location.a.a.f30else, 0);
                    jSONObject3.put("direction", 0);
                    jSONObject3.put("iconarrownor", "direction_wheel");
                    jSONObject3.put("iconarrownorid", 54);
                    jSONObject3.put("iconarrowfoc", "direction_wheel");
                    jSONObject3.put("iconarrowfocid", 54);
                    jSONArray.put(jSONObject3);
                }
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
            if (myLocationConfiguration.customMarker == null) {
                bundle = null;
            } else {
                ArrayList<BitmapDescriptor> arrayList = new ArrayList();
                arrayList.add(myLocationConfiguration.customMarker);
                Bundle bundle2 = new Bundle();
                ArrayList arrayList2 = new ArrayList();
                for (BitmapDescriptor bitmapDescriptor : arrayList) {
                    ParcelItem parcelItem = new ParcelItem();
                    Bundle bundle3 = new Bundle();
                    Bitmap bitmap = bitmapDescriptor.a;
                    ByteBuffer allocate = ByteBuffer.allocate(bitmap.getWidth() * bitmap.getHeight() * 4);
                    bitmap.copyPixelsToBuffer(allocate);
                    bundle3.putByteArray("imgdata", allocate.array());
                    bundle3.putInt("imgindex", bitmapDescriptor.hashCode());
                    bundle3.putInt("imgH", bitmap.getHeight());
                    bundle3.putInt("imgW", bitmap.getWidth());
                    parcelItem.setBundle(bundle3);
                    arrayList2.add(parcelItem);
                }
                if (arrayList2.size() > 0) {
                    ParcelItem[] parcelItemArr = new ParcelItem[arrayList2.size()];
                    for (int i2 = 0; i2 < arrayList2.size(); i2++) {
                        parcelItemArr[i2] = (ParcelItem) arrayList2.get(i2);
                    }
                    bundle2.putParcelableArray("icondata", parcelItemArr);
                }
                bundle = bundle2;
            }
            this.e.a(jSONObject.toString(), bundle);
            switch (myLocationConfiguration.locationMode) {
                case COMPASS:
                    animateMapStatus(MapStatusUpdateFactory.newMapStatus(new MapStatus.Builder().rotate(myLocationData.direction).overlook(-45.0f).target(new LatLng(myLocationData.latitude, myLocationData.longitude)).targetScreen(getMapStatus().targetScreen).zoom(getMapStatus().zoom).build()));
                    return;
                case FOLLOWING:
                    animateMapStatus(MapStatusUpdateFactory.newMapStatus(new MapStatus.Builder().target(new LatLng(myLocationData.latitude, myLocationData.longitude)).zoom(getMapStatus().zoom).rotate(getMapStatus().rotate).overlook(getMapStatus().overlook).targetScreen(getMapStatus().targetScreen).build()));
                    return;
                case NORMAL:
                default:
                    return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a() {
        this.e.j();
    }

    /* access modifiers changed from: package-private */
    public void a(HeatMap heatMap) {
        this.v.lock();
        try {
            if (this.f167u != null && heatMap == this.f167u) {
                this.f167u.b();
                this.f167u.c();
                this.f167u.a = null;
                this.e.t();
                this.f167u = null;
                this.e.h(false);
            }
        } finally {
            this.v.unlock();
        }
    }

    public void addHeatMap(HeatMap heatMap) {
        if (heatMap != null) {
            this.v.lock();
            try {
                if (heatMap != this.f167u) {
                    if (this.f167u != null) {
                        this.f167u.b();
                        this.f167u.c();
                        this.f167u.a = null;
                        this.e.t();
                    }
                    this.f167u = heatMap;
                    this.f167u.a = this;
                    this.e.h(true);
                    this.v.unlock();
                }
            } finally {
                this.v.unlock();
            }
        }
    }

    public final Overlay addOverlay(OverlayOptions overlayOptions) {
        Overlay a2 = overlayOptions.a();
        a2.listener = this.h;
        if (a2 instanceof Marker) {
            Marker marker = (Marker) a2;
            if (!(marker.l == null || marker.l.size() == 0)) {
                this.g.add(marker);
                this.e.a(true);
            }
        }
        Bundle bundle = new Bundle();
        a2.a(bundle);
        this.e.a(bundle);
        this.f.add(a2);
        return a2;
    }

    public final void animateMapStatus(MapStatusUpdate mapStatusUpdate) {
        animateMapStatus(mapStatusUpdate, 300);
    }

    public final void animateMapStatus(MapStatusUpdate mapStatusUpdate, int i2) {
        if (mapStatusUpdate != null && i2 > 0) {
            z a2 = a(mapStatusUpdate);
            if (!this.C) {
                this.e.a(a2);
            } else {
                this.e.a(a2, i2);
            }
        }
    }

    public final void clear() {
        this.f.clear();
        this.g.clear();
        this.e.a(false);
        this.e.s();
        hideInfoWindow();
    }

    public final MyLocationConfiguration getLocationConfigeration() {
        return this.B;
    }

    public final MyLocationData getLocationData() {
        return this.A;
    }

    public final MapStatus getMapStatus() {
        return MapStatus.a(this.e.p());
    }

    public final int getMapType() {
        return this.e.f() ? 2 : 1;
    }

    public final float getMaxZoomLevel() {
        return this.e.a;
    }

    public final float getMinZoomLevel() {
        return this.e.b;
    }

    public final Projection getProjection() {
        return this.c;
    }

    public final UiSettings getUiSettings() {
        return this.d;
    }

    public void hideInfoWindow() {
        if (this.w != null) {
            if (this.w.b != null) {
                this.a.removeView(this.y);
                this.y = null;
            }
            this.w = null;
            this.x.remove();
            this.x = null;
        }
    }

    public final boolean isBaiduHeatMapEnabled() {
        return this.e.d();
    }

    public final boolean isBuildingsEnabled() {
        return this.e.g();
    }

    public final boolean isMyLocationEnabled() {
        return this.e.i();
    }

    public final boolean isSupportBaiduHeatMap() {
        return this.e.e();
    }

    public final boolean isTrafficEnabled() {
        return this.e.c();
    }

    public final void removeMarkerClickListener(OnMarkerClickListener onMarkerClickListener) {
        if (this.o.contains(onMarkerClickListener)) {
            this.o.remove(onMarkerClickListener);
        }
    }

    public final void setBaiduHeatMapEnabled(boolean z2) {
        this.e.b(z2);
    }

    public final void setBuildingsEnabled(boolean z2) {
        this.e.e(z2);
    }

    public final void setMapStatus(MapStatusUpdate mapStatusUpdate) {
        if (mapStatusUpdate != null) {
            this.e.a(a(mapStatusUpdate));
            if (this.i != null) {
                this.i.onMapStatusChange(getMapStatus());
            }
        }
    }

    public final void setMapType(int i2) {
        if (i2 == 1) {
            this.e.d(false);
        } else if (i2 == 2) {
            this.e.d(true);
        }
    }

    public final void setMaxAndMinZoomLevel(float f2, float f3) {
        if (f2 <= 20.0f && f3 >= 3.0f && f2 >= f3) {
            this.e.a = f2;
            this.e.b = f3;
        }
    }

    public final void setMyLocationConfigeration(MyLocationConfiguration myLocationConfiguration) {
        this.B = myLocationConfiguration;
        a(this.A, this.B);
    }

    public final void setMyLocationData(MyLocationData myLocationData) {
        this.A = myLocationData;
        if (this.B == null) {
            this.B = new MyLocationConfiguration(MyLocationConfiguration.LocationMode.NORMAL, false, null);
        }
        a(myLocationData, this.B);
    }

    public final void setMyLocationEnabled(boolean z2) {
        this.e.g(z2);
    }

    public final void setOnMapClickListener(OnMapClickListener onMapClickListener) {
        this.k = onMapClickListener;
    }

    public final void setOnMapDoubleClickListener(OnMapDoubleClickListener onMapDoubleClickListener) {
        this.m = onMapDoubleClickListener;
    }

    public final void setOnMapDrawFrameCallback(OnMapDrawFrameCallback onMapDrawFrameCallback) {
        this.t = onMapDrawFrameCallback;
    }

    public void setOnMapLoadedCallback(OnMapLoadedCallback onMapLoadedCallback) {
        this.l = onMapLoadedCallback;
    }

    public final void setOnMapLongClickListener(OnMapLongClickListener onMapLongClickListener) {
        this.n = onMapLongClickListener;
    }

    public final void setOnMapStatusChangeListener(OnMapStatusChangeListener onMapStatusChangeListener) {
        this.i = onMapStatusChangeListener;
    }

    public final void setOnMapTouchListener(OnMapTouchListener onMapTouchListener) {
        this.j = onMapTouchListener;
    }

    public final void setOnMarkerClickListener(OnMarkerClickListener onMarkerClickListener) {
        if (onMarkerClickListener != null && !this.o.contains(onMarkerClickListener)) {
            this.o.add(onMarkerClickListener);
        }
    }

    public final void setOnMarkerDragListener(OnMarkerDragListener onMarkerDragListener) {
        this.q = onMarkerDragListener;
    }

    public final void setOnMyLocationClickListener(OnMyLocationClickListener onMyLocationClickListener) {
        this.r = onMyLocationClickListener;
    }

    public final void setOnPolylineClickListener(OnPolylineClickListener onPolylineClickListener) {
        if (onPolylineClickListener != null) {
            this.p.add(onPolylineClickListener);
        }
    }

    public final void setTrafficEnabled(boolean z2) {
        this.e.c(z2);
    }

    public void showInfoWindow(InfoWindow infoWindow) {
        if (infoWindow != null) {
            hideInfoWindow();
            if (infoWindow.b != null) {
                this.y = infoWindow.b;
                this.y.destroyDrawingCache();
                this.a.addView(this.y, new MapViewLayoutParams.Builder().layoutMode(MapViewLayoutParams.ELayoutMode.mapMode).position(infoWindow.c).yOffset(infoWindow.e).build());
            }
            this.w = infoWindow;
            Overlay a2 = new MarkerOptions().perspective(false).icon(infoWindow.b != null ? BitmapDescriptorFactory.fromView(infoWindow.b) : infoWindow.a).position(infoWindow.c).zIndex(ActivityChooserView.ActivityChooserViewAdapter.MAX_ACTIVITY_COUNT_UNLIMITED).a(infoWindow.e).a();
            a2.listener = this.h;
            a2.o = e.popup;
            Bundle bundle = new Bundle();
            a2.a(bundle);
            this.e.a(bundle);
            this.f.add(a2);
            this.x = (Marker) a2;
        }
    }

    public final void snapshot(SnapshotReadyCallback snapshotReadyCallback) {
        this.s = snapshotReadyCallback;
        this.e.a("anything", (Rect) null);
    }

    public final void snapshotScope(Rect rect, SnapshotReadyCallback snapshotReadyCallback) {
        this.s = snapshotReadyCallback;
        this.e.a("anything", rect);
    }
}
